PC-DMIS CMM

  • PC-DMIS CMM: Introduction

  • Getting Started

  • Setting Up and Using Probes

  • Using the Probe Toolbox

  • Creating Alignments

  • Measuring Features

  • Scanning


Current Help System: PC-DMIS CMM (View Core Help)

PC-DMIS CMM

Introduction to PC-DMIS CMM

Welcome to PC-DMIS CMM. This help file discusses the PC-DMIS CMM software package. Specifically, it covers those items related to creating and running a part program using a Coordinate Measuring Machine (CMM) with PC-DMIS for Windows. It also covers contact probing with touch trigger probes and other topics specific to CMMs.

The available topics are:

  • Getting Started

  • Setting Up and Using Probes

  • Using the Probe Toolbox

  • Creating Alignments

  • Measuring Features

  • Scanning

For information on general PC-DMIS options, see your PC-DMIS Core documentation. For information on portable measuring machines, video or laser devices, or other specific configurations of PC-DMIS, consult one of the other documentation projects available.

If you're new to PC-DMIS and you want to begin exploring the capabilities of PC-DMIS, consult the "Getting Started" topic and follow along on your system.


Getting Started

  • Getting Started: Introduction

  • CMM Startup and Homing Procedure

  • A Simple Tutorial


Getting Started: Introduction

PC-DMIS is a powerful software with a multitude of options and useful functionality. This short section will provide you with a brief tutorial that will walk you through creating and executing a very simple part program. The purpose of this tutorial is not to train you in all the ins and outs of PC-DMIS. But if you are new to PC-DMIS, it will give you a brief exposure to the software.

As you progress, you will be introduced to creating new part programs, defining and calibrating probes, working with views, measuring part features, creating alignments, setting preferences, adding programmer comments, constructing features, creating dimensions, executing part programs, and viewing and printing reports.

Since experiencing something is one of the best teachers, jump in and give PC-DMIS a spin! Go ahead and start up your CMM, and then launch PC-DMIS for Windows if you haven't already done so. The following two links should get you started.

  • CMM Startup and Homing Procedure

  • A Simple Tutorial

If you do not have an online seat of PC-DMIS you can follow through many of the tutorial's steps in offline mode.


a simple tutorial overview

Current Help System: PC-DMIS CMM (View Core Help)

A Simple Tutorial

The purpose of this section is to guide you through the process of creating a simple part program and measuring a part using the CMM in online mode. It will give you a brief taste for what PC-DMIS can do. Be sure to consult the PC-DMIS Core documentation if you have questions about the functionality discussed in any given step.

The Hexagon test block was used to create this short tutorial.

Hexagon Metrology Test Block

Hexagon Test Block

If you want to actually work with a machine in online mode and you don't physically have this part, any similar part allowing the measurement of several circles and a cone will be satisfactory.

Note for Offline Users: If you are working in offline mode (without a CMM), you can import the test block model and follow along with some of the steps below by clicking on the part with the mouse in place of taking actual hits with your probing in online mode. This model comes with the PC-DMIS for Windows installation. It is located in the directory where you installed PC-DMIS. If you want to use it, simply import the file named "HEXBLOCK_WIREFRAME_SURFACE.igs". See "Importing CAD Data or Program Data" in the PC-DMIS Core documentation for information.

This section highlights the steps necessary to create a simple part program. You will create a part program using on-line PC-DMIS, without the use of CAD data. Before beginning, start up your CMM by following the steps detailed in "CMM Startup and Homing Procedure".

If a procedure is unfamiliar to you, please use the on-line help (press F1) to obtain additional information.

The tutorial guides you through the following steps:

CMM Startup and Homing Procedure

Step 1. Create a New Part Program

Step 2. Define a Probe

Step 3. Set the View

Step 4. Measure the Features

Step 5. Scale the Image

Step 6. Create an Alignment

Step 7. Set your Preferences

Step 8. Add Comments

Step 9. Measure Additional Features

Step 10. Construct Features from Existing Features

Step 11. Calculate Dimensions

Step 12. Mark the Items to Execute

Step 13. Set the Report Output

Step 14. Execute the Finished Program

Step 15. Print the Report


CMM Startup and Homing Procedure for PC-DMIS Online

Current Help System: PC-DMIS CMM (View Core Help)

CMM Startup and Homing Procedure:

Using on-line PC-DMIS, you can execute existing part programs, quickly inspect parts (or sections of parts), and develop part programs directly on the CMM. On-line PC-DMIS will not function unless it is connected to a CMM. Off-line programming techniques will work while on-line.

CMM Startup and Homing Procedure for PC-DMIS Online:

  1. Turn on the air to the CMM.

  2. Power on the controller.

  • Depending on the machine model this may be a large rotary switch, an on/off key, or a small rocker switch on the controller mounted on the back of the machine or workstation.

  • All of the LEDs on the hand control (jog box) will be illuminated for about 45 seconds. After that time, several LEDs will turn off.

  3. Power on your computer and all its peripherals, and then log on to your computer.

  4. Start PC-DMIS Online by double clicking with the left mouse button on the ONLINE icon in PC-DMIS's Program Group.

  5. Home the CMM. Once PC-DMIS opens a message will appear on the screen:

PC-DMIS Message

Do a machine start (if needed), then press OK to home

OK

Cancel

  • Press the Mach Start button on your jog box for several seconds. Its LED will illuminate.

  • The CMM needs to be "homed" to properly set the machine zero and enable the machine parameters (speeds, size limits, etc.). Press the OK button from the PC-DMIS message mentioned above. The CMM will slowly travel to the home position and establish this position as zero for all the axes.

  6. Use PC-DMIS to program and execute your part measurement routines. See the "A Simple Tutorial" section if you are new to PC-DMIS.

Changing Machine Parameters

Numerous machine parameters can be set to control the speed and motion of the machine. See the "Setting Your Preferences" section in the PC-DMIS Core documentation if you ever need to change your machine's parameters.


Step 1: Create a New Part Program

Display Menu Roadmap To create a new Part Program:

  1. If you haven't already done so, launch PC-DMIS for Windows. An Open File dialog box will appear. If you had previously created a part program, you would load it from this dialog.

  2. Since you are creating a new part program, select the Cancel button to close the dialog box.

  3. Access the New Part Program dialog box by selecting File | New.

    New Part Program dialog box

  4. In the Part Name box type in the name "TEST".

  5. Type in a Revision Number and Serial Number.

  6. Select the English (inch) option for the Measurement Units type.

  7. Select ONLINE in the Interface drop-down list. If PC-DMIS is not connected to your CMM, select OFFLINE instead.

  8. Click OK. PC-DMIS creates the new part program.

As soon as you have created a new part program, PC-DMIS will open the main user interface and then immediately open the Probe Utilities dialog box for you to load a probe.

Go to the next step: "Define a Probe".


Step 2: Define a Probe

Display Menu Roadmap The Probe Utilities dialog box, accessed by selecting Insert | Hardware Definition | Probe, allows you to select an existing probe or define a new probe. When you first create a new part program, PC-DMIS automatically brings up this dialog box. For more information, see "Defining Probes" in the "Setting Up and Using Probes" section.

The Probe Description area of the Probe Utilities dialog box allows you to define the probe, extensions and tip (s) that will be used in the part program. The Probe Description drop-down list displays the available probe options in alphabetical order.

To load your probe using the Probe Utilities dialog box:

  1. In the Probe File box, type the name of the probe. Later, when you create other part programs, your probes will be available in this dialog box for selection.

  2. Select the statement: "No Probe defined."

  3. Select the desired probe head from the Probe Description drop-down list using the mouse cursor or highlighting it with the arrow keys and pressing ENTER.

  4. Select the line "Empty Connection #1" and continue to select the necessary probe parts until your probe is built.

  5. Click the OK button when finished. The Probe Utilities dialog box closes and PC-DMIS returns you to the main interface.

  6. Verify that the created probe tip just defined is displayed as the active tip. (See the Probe Tips list located on the Settings toolbar.)

Note: Before you can use your built probe, you will need to calibrate your probe tip angle. For this tutorial, we will not cover the calibration process. It is discussed in depth, in the "Calibrating Probe Tips" topic in the "Setting Up and Using Probes" section.

At this point you will set up the views you will be using in the Graphics Display window. This is done using the View Setup icon [image] from the Graphics Modes toolbar.

Hint: You can also click this icon from the Wizards toolbar [image] to access the PC-DMIS's Probe Wizard. The Probe Wizard helps you easily define your probe. You can also use the Probe Utilities dialog box to define your probe as well.

Go to the next step: "Set the View".


Step 3: Set the View

Display Menu Roadmap

View Setup dialog box

To change the views in the Graphics Display window you will use the View Setup dialog box. You can access this dialog box by clicking the View Setup icon from the Graphics Mode toolbar or by selecting the Edit | Graphics Display Window | View Setup menu option:

  1. From the View Setup dialog box, select the desired screen style. For this tutorial, click on the second button (top row, second from left) indicating a horizontally split window.

  2. To view the upper part image in the Z+ direction, pull down the Blue drop-down list located in the Views area of the dialog box, and select Z+.

  3. To view the lower part image in the Y- orientation, pull down the Red drop-down list and select Y-.

  4. Click the Apply button and PC-DMIS will re-draw the Graphics Display window with the requested two views. Since you haven't measured the part yet, nothing will be drawn in the Graphics Display window. The screen will be split, however, according to the views selected in the View Setup dialog box.

Note: All of the display options only affect how PC-DMIS displays the part image. They do not have an effect on the measured data or inspection results.

Go to the next step: "Measure the Alignment Features".


Step 4: Measure the Features

Current Help System: PC-DMIS CMM (View Core Help)

Step 4: Measure the Alignment Features

Once the probe is defined and displayed, you may begin the measurement process and measure your alignment features. See "Measuring Features" for additional information.

  • Measure a Plane

  • Measure a Line

  • Measure a Circle

Go to the next step: "Scale the Image"


Measure a Plane

Measure a Plane

Red Dots show Possible Hit Locations on the Part's Surface

Verify that PC-DMIS is set to Program mode before taking hits.
Select the Program mode icon to do this.

Take three hits on the top surface. The hits should be triangular in shape and as spread out as possible. Press the END key after the third hit. PC-DMIS will display a feature ID and triangle, indicating the measurement of the plane.


Measure a Line

Measure a Line

Red Dots show Possible Hit Locations

To measure a line, take two hits on side surface of the part just below the edge, the first hit on the left side of the part and the second hit to the right of the first hit. The direction is very important when measuring features, as PC-DMIS uses this information to create the coordinate axis system. Press the END key after the second hit. PC-DMIS will display a feature ID and measured line in the Graphics Display window.


Measure a Circle

Red Dots show Possible Hit Locations

Move the probe to the center of one circle. (The top left circle was selected for this example.) Lower the probe into the hole and measure the circle, taking four hits in approximately equal distances around the circle. Press the END key after the last hit. PC-DMIS will display a feature ID and measured circle in the Graphics Display window.


Step 5: Scale the Image

Display Menu Roadmap

The Scale to Fit icon scales the image in the Graphics Display window.

After the three features are measured, click the Scale to Fit toolbar icon (or select Operations | Graphics Display Window | Scale to Fit from the menu bar) to display all of the measured features in the Graphics Display window.

Graphics Display window showing measured features

The next step in the measurement process is to create an alignment.

Go to the next step: "Create an Alignment".


Step 6: Create an Alignment

This procedure sets the coordinate origin and defines the X, Y, Z axes. For more in depth information on creating alignments, see the "Creating and Using Alignments" section in the PC-DMIS Core documentation.

  1. Display Menu Roadmap Access the Alignment Utilities dialog box by selecting Insert | Alignment | New.

  2. Using the cursor or arrow keys, select the plane feature ID (PLN1) located in the list box. If you haven't changed the labels, the plane feature ID will be shown as "F1" (for Feature 1) in the list box.

  3. Click the Level command button to establish the orientation of the normal axis of the current working plane.

  4. Select the plane feature ID (PLN1 or F1) a second time.

  5. Select the Auto check box.

  6. Click the Origin command button. This action will translate (or move) the part origin to a specific location (in this case, on the plane). Selecting the Auto check box moves the axes based on the feature type and the orientation of that feature.

  7. Select the line feature ID (LINE1 or F2).

  8. Click the Rotate command button. This action will rotate the defined axis of the work plane to the feature. PC-DMIS rotates the defined axis around the centroid that is used as the origin.

  9. Select the circle feature ID (CIR1 or F3).

  10. Make sure the Auto check box is selected.

  11. Click the Origin command button. This action moves the origin to the center of the circle, while keeping it at the level of the plane.

At this point the Alignment Utilities dialog box should look the same as shown here:

Alignment Utilities dialog box showing the current alignment

When the above steps are completed, click on the OK button. The Alignments list (on the Settings toolbar) and the Edit window's Command Mode will display the newly created alignment.

Edit window showing the newly created Alignment

The Graphics Display window will also be updated to show the current alignment.

Updated Graphics Display window showing the current alignment

Hint: In the future you can use this icon from the Wizards toolbar: to access PC-DMIS's 3-2-1 Alignment Wizard.

Go to the next step: "Set your Preferences".


Step 7: Set your Preferences

Display Menu Roadmap

PC-DMIS allows you to customize PC-DMIS to meet your specific needs or preferences. There are a variety of options available that can be found within the Edit | Preferences submenu. Only options pertinent to this exercise will be discussed in this section. Please refer to the "Setting Your Preferences" section in the PC-DMIS Core documentation for complete information regarding all of the available options.

  • Enter DCC Mode

  • Set Move Speed

  • Set Clearance Plane

Go to the next step: "Add Comments".


Enter DCC Mode

Display Menu Roadmap

Select DCC mode. This can be done by either clicking the DCC mode toolbar icon from the Probe Mode toolbar, or placing your cursor on the line reading "MODE/MANUAL" in the Edit window's Command mode and pressing the F8 key.

The command in the Edit window will now display:

MODE/DCC

See "Probe Mode Toolbar" for additional information on the CMM modes.


Set Move Speed

Display Menu Roadmap

Parameter Settings Dialog box—Motion tab

The Move Speed option lets you change the point to point positioning speed of the CMM.

  1. Access the Parameter Settings dialog box by selecting Edit | Preferences | Parameters.

  2. Select the Motion tab.

  3. Place your cursor in the Move Speed box.

  4. Select the current move speed value.

  5. Type 50. This value indicates a percentage of full machine speed.

Based on this setting, PC-DMIS will move the CMM at half of its full speed. The default settings for the other options are satisfactory for this exercise.

See "Parameter Settings: Motion tab" in the "Setting your Preferences" section of the PC-DMIS Core documentation for additional information on Move Speed as well as other motion options.


Set Clearance Plane

Display Menu Roadmap

Parameter Settings Dialog box—ClearPlane tab

To set the Clearance Plane:

  1. Access the Parameter Settings dialog box by selecting Edit | Preferences | Parameters.

  2. Select the ClearPlane tab.

  3. Select the Clearance Planes Active (ON) check box.

  4. Select the current Active Plane value.

  5. Type the value .50. This setting will create a one half inch clearance plane around the top plane of the part

  6. Verify that the top plane is displayed as the active plane.

  7. Click the Apply button.

  8. Click the OK button. The dialog box closes and PC-DMIS stores the clearance plane in the Edit window.

See "Parameter Settings: ClearPlane tab" in the "Setting your Preferences" section of the PC-DMIS Core documentation for more information on setting clearance planes.


Step 8: Add Comments

Display Menu Roadmap

To add comments:

  1. Access the Comment dialog box by selecting Insert | Report Command | Comment.

  2. Select the Operator option.

  3. Type the following text in the available Comment Text box: "WARNING, machine is going to DCC mode."

Comment dialog box

  4. Click the OK button to end this option and display the command in the Edit window.

See "Inserting Programmer Comments" in the PC-DMIS Core documentation for additional information.

Go to the next step: "Measure Additional Features".


Step 9: Measure Additional Features

Use the probe to measure these three additional circles in the order indicated (item 1 as CIR2, item 2 as CIR3, and item 3 as CIR4):

And then a cone:

To measure a cone it is best to take 3 hits on the upper level and three hits on a lower level as shown in the drawing below.

Cone constructed from measurements at different depths

Go to the next step: "Construct New Features from Existing Features".


Step 10: Construct New Features from Existing Features

Display Menu Roadmap

PC-DMIS can create features by using other features. To do this:

  1. Access the Construct Line dialog box by selecting Insert | Feature | Constructed | Line.

Construct Line dialog box

  2. Using the mouse cursor, click on two circles (CIR2, CIR3) in the Graphics Display window (or select them from the list box of the Construct Line dialog box). Once the circles are selected, they will be highlighted.

  3. Select the Auto option.

  4. Select the 2D Line option.

  5. Click the Create button.

PC-DMIS will create a line (LINE2) using the most effective construction method.

The line and feature ID will be displayed in the Graphics Display window and Edit window.

Constructed line shown in the Graphics display window

For additional information on constructing features, see the "Constructing New Features from Existing Features" section in the PC-DMIS Core documentation.

Go to the next step: "Calculate Dimensions".


Step 11: Calculate Dimensions

Display Menu Roadmap

Once a feature has been created, the dimensions of that feature can be calculated. Dimensions can be generated at any time while learning a part program, and are tailored to fit individual specifications. PC-DMIS will display the result of each dimension operation in the Edit window.

To generate a dimension:

  1. Select Insert | Dimension submenu and ensure that the Use Legacy Dimensions menu item is selected (has a check mark next to it).

  2. Access the Location dialog box by selecting Insert | Dimension | Location.

  3. From the list box or the Graphics Display window, select the last three circles that were measured by selecting their feature identifications in the list box.

Last three circles selected in the Feature Location dialog box.

  4. Click the Create button. PC-DMIS will display the locations of the three circles in the Edit window.

Edit window showing location dimensions for three circles

These values can be changed simply by double-clicking on the desired line, highlighting the necessary nominal, and typing in a new value.

For additional information on creating dimensions, see the "Dimensioning Features" section.

Go to the next step: "Mark Items to Execute".


Step 12: Mark the Items to Execute

Display Menu Roadmap

Marking allows you to selectively choose what elements of your part program are executed. For this tutorial, mark all of the features.

  1. Mark all of the features in the part program using the Edit | Markings | Mark All menu option covered in the "Editing a Part Program" section in the PC-DMIS Core documentation. Once marked, the selected features will be displayed using the current highlight color.

  2. PC-DMIS asks if it's OK to mark manual alignment features. Click Yes.

Go to the next step: "Set the Report Output".


Step 13: Set the Report Output

Display Menu Roadmap

PC-DMIS will also send the final report to a file or printer if selected. For this tutorial, set the output to go to the printer.

  1. Select the File | Printing | Report Window Print Setup option. The Print Options dialog box appears.

  2. Select the Printer check box.

Report Print Options

  3. Click OK.

There is now enough information to allow PC-DMIS to execute the part program that was created.

Go to the next step: "Execute the Finished Program".


Step 14: Execute the Finished Program

Display Menu Roadmap

There is a variety of options available to execute all or a portion of the part program. See the "Executing Part Programs" section from the PC-DMIS Core documentation.

Once all of the steps have been followed:

  1. Select the File | Execute menu option. PC-DMIS will display the Execution Mode Options dialog box and begin the measurement process.

  2. Read the instructions in the CMM Command window, and follow the requests to take specified hits.

  3. PC-DMIS requests that you take these hits in the approximate location indicated in the Graphics Display window.

  • Take three hits on the surface to create a plane. Press the END key.

  • Take two hits on the edge to create a line. Press the END key.

  • Take four hits inside the circle. Press the END key.

4. Click Continue after you take each hit.

Instructions displayed in Execution Mode Options dialog box

It's that simple. (Of course, if PC-DMIS detects an error, it will be displayed in the Machine Errors list on the dialog box, and action must be taken before the program can proceed.)

When the last hit has been taken on the circle, PC-DMIS will display the PC-DMIS Message dialog box with your message: "WARNING, Machine is going to DCC mode." As soon as the OK button is clicked, PC-DMIS automatically measures the rest of the features.

If an error is encountered, determine the cause using the Machine Errors drop-down list on the Execution Mode Options dialog box. Take the necessary actions to correct the problem. Click the Continue button to complete the execution of the part program.

Go to the next step: "Print the Report".


Step 15: Print the Report

After the part program is executed, PC-DMIS will automatically print the report to the designated output source. This was determined in the Print Options dialog box (File | Printing | Report Window Print Setup). Since the Printer check box was selected, the report will be sent to the printer. Make sure the printer is connected and turned on to review the part program.

You can also view the final report inside the Report window by selecting View | Report Window. With the Report window you can display different variations of the same measurement data by applying different pre-made report templates that ship with PC-DMIS. You can also right-click on different areas of the report to toggle the display of available items.

See the "Reporting Measurement Results" section for information on PC-DMIS's powerful reporting capabilities.

Sample report showing the three Location dimensions using the TextOnly template with all other information turned off

Congratulations! You’ve finished the tutorial.


Setting Up and Using Probes

  • Setting up and Using Probes: Introduction

  • Defining Probes

  • Calibrating Probe Tips

  • Using Probe Online or Offline


Setting Up and Using Probes: Introduction

Display Menu Roadmap

In order to measure your part with your CMM, you need to properly define the probe that you will use for your measurements. You define your probe by choosing the hardware components that make up the entire probing mechanism: the probe head, wrists, extensions, and specific probe tips. Once defined, you can then calibrate pre-defined tip angles that will be used to measure various features on your part. The tip calibration process allows PC-DMIS to know where the probe tip is in your coordinate system in relation to your part and your machine.

Once your probes are defined and probe tips are calibrated, you can use the LOAD/PROBE and LOAD/TIP commands in your part program to use the calibrated tip angles in your part program's measurements.

To define and calibrate your probes, consult the following topics.

  • Defining Probes

  • Calibrating Probe Tips

Once you are done with calibration this topic will explain how to use the probe in either offline or online modes:

  • Using Probe Online or Offline


Defining Probes

The first step in CMM part programming is to define which probes will be used during the inspection process. A new part program must have a probe file created and/or loaded before the measurement process can begin. Little can be accomplished in a part program until you load the probe.

PC-DMIS supports a wide variety of probe types and calibration tools. It also offers a unique method for calibrating a Renishaw PH9 /PH10 wrist. The tools used to define your probe and to calibrate it are all within the Probe Utilities dialog box. To access this dialog box, select Insert | Hardware Definition | Probe from the menu bar. Display Menu Roadmap

For information on the various options in this dialog box, consult the "Understanding the Probe Utilities Dialog Box" topic in the PC-DMIS Core documentation.

Hint: You can also define your probe by using the Probe Wizard. Click this icon from the Wizards toolbar [image] to access the PC-DMIS's Probe Wizard.

More:

Defining a Contact Probe

Defining Star Probes

Calibrating Probe Tips

SP600 Calibration Information

SP600 Calibration Procedures


Defining a Contact Probe

Once you have accessed the Probe Utilities dialog box, you can define the entire probe unit from probe head, extension, down to the specific tip.

To define a contact probe, extension(s), and tip(s):

  1. Type a name for the new probe in the Probe File drop-down list.

  2. Select the statement No probe defined: under the Probe Description list.

  3. Select the Probe Description drop-down list.

  4. Select the desired probe head.

  5. Press the ENTER key once the probe head is selected. Probe options relating to the currently highlighted statement will then be available for selection.

Note: Generally, the probe head orientation establishes the orientation of the first component in a probe file, usually the probe head. However, if you select a multi-connection probe adapter (such as a five-way adapter) as the first component, several possible connections become available. In these cases, the probe head orientation establishes the orientation of the multi-connection probe adapter. The probe head, then, may not align correctly with the machine axes, and you may need to adjust the rotation angle about the connection using the Probe Description list in the Probe Utilities dialog box. To do this, see the "Edit Probe Components" topic.

Selecting a probe head

The selected probe head will then be displayed in the lower Probe Description box and in the graphical display box to the right.

  1. Highlight the Empty Connection #1 in the Probe Description box.

  2. Click on the drop-down list.

  3. Select the next item to be attached to the probe head (either an extension or probe tip). Tips are displayed first by size and then by thread size.

Selecting a tip

For example, if a 5-way extension is added, PC-DMIS offers five empty connections. You may fill any or all of the needed connections with the appropriate probe tip(s). PC-DMIS will always measure the lowest tip (lowest in the Z axis) in the extension first.

5 way extension

If a line in the Probe Description box is selected that already contains an item, PC-DMIS will display a message asking if you want to insert before, or replace the selected item.

"Click Yes to insert before or No to replace."

· If you respond by clicking Yes, an additional line can be created by inserting the new tip before the original item.

· If you respond by clicking No, PC-DMIS will delete the original item and replace it with the highlighted element.

Note: The selected item is inserted at the highlighted line in the Probe Description box. PC-DMIS will display a message allowing you to insert the selected item before the marked line or replace the highlighted item when appropriate.

Continue selecting elements until all empty connections are defined. You can then define tip angles to calibrate.


Defining Star Probes

PC-DMIS allows you to define, calibrate, and work with several different star probe configurations. A star probe consists of a probe tip pointing vertically (in the Z- direction if you're using a vertical arm) toward the CMM plate with four additional tips pointing horizontally such as shown here:

A typical star probe configuration

This section describes how to build the star probe.

Important: While there are many different machine types and arm configurations, the procedures and examples given assume that you are using a standard vertical arm CMM where arm points in the Z- direction toward the CMM plate.

More:

Building the Star Probe

Highlighting the Current Probe Tip


Building the Star Probe

You can build these star probe configurations:

5-Way Customizable Star Probe with Different Probe Tips.

5-way customizable star probe. This type of star probe uses a center cube consisting of five threaded holes into which you can screw various probe tips.

Non-Customizable Star Probe with Identical Probe Tips

Non-customizable star probe. This type of star probe does not have a customizable 5-way center. While it does come with a cube, there are no threaded holes, and the four horizontal tips are permanently attached to the cube. The horizontal tips are all the same size.

After you build your probe you should calibrate it by using the Measure button on the Probe Utilities toolbox. See "Measure" for information on calibrating tips.

More:

Building a 5-Way Customizable Star Probe

Building a Pre-Defined Star Probe


Building a 5-Way Customizable Star Probe

  1. Access the Probe Utilities dialog box (Insert | Hardware Definition | Probe). Display Menu Roadmap

  2. Type a name for the probe file in the Probe File box.

  3. Select No probe defined from the Probe Description area.

  4. Select the probe from the Probe Description list. This documentation uses the PROBETP2 probe. The probe drawing should look something like this:

  5. Hide the probe from view by double-clicking on the PROBETP2 connection from the Probe Description area and deselecting the Draw this Component check box.

  6. Select Empty Connection #1 from the Probe Description area.

  7. Select the 5-way cube extension, EXTEN5WAY, from the Probe Description list. Five empty connections appear in the Probe Description area. The probe drawing shows this:

  8. Assign the appropriate tips and or extensions needed for each Empty Connection until you have up to five total tips, such as shown here:

    You don't have to fill all five connections.

The tip assigned to Empty Connection # 1 points in the same direction as the rail on which it rests. This is the Z- direction.

The tip assigned to Empty Connection # 2 points in the X+ direction.

The tip assigned to Empty Connection #3 points in the Y+ direction.

The tip assigned to Empty Connection #4 points in the X- direction.

The tip assigned to Empty Connection #5 points in the Y- direction.

  9. Click OK to save your changes or Measure to calibrate the probe. See "Calibrating Probe Tips" for information on calibrating tips.


Building a Pre-Defined Star Probe

  1. Access the Probe Utilities dialog box (Insert | Hardware Definition | Probe). Display Menu Roadmap

  2. Type a name for the probe file in the Probe File box.

  3. Select No probe defined from the Probe Description area.

  4. Select the probe from the Probe Description list. This documentation uses the PROBETP2 probe. The probe drawing should look something like this:

  5. Hide the probe from view by double-clicking on the PROBETP2 connection from the Probe Description area and deselecting the Draw this Component check box.

  6. Select Empty Connection #1 from the Probe Description area.

  7. Select either 2BY18MMSTAR or 10BY6.5STAR. This documentation uses the 2BY18MMSTAR. The probe drawing displays something like this:

  8. For each of the four Empty Connection items in the Probe Description area, select same probe tips four times, once per each horizontal tip. In this case, you could select either TIPSTAR2BY30 or TIPSTAR2BY18 four times. This documentation uses the TIPSTAR2BY30.

  9. Click OK to save your changes or Measure to calibrate the probe. See "Calibrating Probe Tips" for information on calibrating tips.


Highlighting the Current Probe Tip

On probe configurations that contain multiple probe shanks and tips like the one shown below, PC-DMIS provides a way for you to easily know which tip is the active tip at any given time.

Probe Configuration with Multiple Tips

With version 4.3 and higher, PC-DMIS automatically highlights the entire probe shank and tip in the Graphics Display window when the cursor location in the Edit window rests on a command that uses the active tip:

Probe Configuration with Active Tip Highlighted


Defining Hard Probes

PC-DMIS CMM allows you also define a hard (or fixed) probe. While Touch-Trigger Probes (TTP) cause the CMM to report the position whenever the probe comes in contact with the part. A hard probe does not behave this way. Instead, a hard probe registers a hit whenever you press a button on the machine or arm or, in the case of scanning, when certain conditions are met (such as crossing a predefined zone, elapsed time, elapsed distance, and so forth).

Generally, these types of probes are used with PC-DMIS Portable. If you are using this type of probe, consult the "PC-DMIS Portable" documentation for information on calibrating and using this probe type.


Current Help System: PC-DMIS CMM (View Core Help)

Number of Hits Prehit / Retract Move Speed Touch Speed Type of Operation Area Calibration Mode area Wrist Calibration area Shank Qualification Number of Shank Hits Shank Offset Parameter Sets area Tool Mounted on Rotary Table System Mode

Calibrating Probe Tips

Calibrating your probe tips tells PC-DMIS the location and diameter of your probe tips. You cannot execute your part program and measure your part until the probe tips are calibrated. The terms "calibrate" and "qualify" are used interchangeably.

To begin the calibration process:

  1. From the Probe Utilities dialog box, make sure the Active Tip List has the desired tip angles.

  2. Select the probe tip(s) you want to calibrate from the list.

  3. Click the Measure button. The Measure Probe dialog will appear.

Note: If you have a probe changer and the currently active probe file is not the probe configuration in the probe head, then PC-DMIS will automatically drop off the currently loaded probe configuration and pickup the needed one.

Measure Probe dialog box

The Measure Probe dialog box displays the default settings. The default value for number of hits is 5. To use the defaults on this dialog box, click the Measure button. Otherwise, set the desired value(s) before continuing.

Requirements Prior to Calibration

  • At least one tip must be selected before you can perform the calibration. You may calibrate more probe tips if desired.

  • In order to begin the calibrating process, a qualification tool must be defined. The type of measurement(s) to be made on the tool depends on the type of tool (SPHERE, CUBE), and the type of tip (BALL, DISK, TAPER, SHANK, OPTICAL).

Once Calibration Starts

If you selected more than one tip from the Active Tip List, PC-DMIS will display a message asking if it is OK to calibrate all of the highlighted tips.

  • If you select Yes, PC-DMIS will then display a message asking if the qualifying tool has been moved. A Yes response to this second question will display the Execution Mode Option dialog box, and requires you to take 1 hit in Manual mode before continuing the calibration process. Try to take this hit normal to the tip. A No response to this second question will also display the Execution Mode Option dialog box. The system will be in DCC (Direct Computer Control) control, however, and PC-DMIS will not require you to take any hits before beginning the calibration process.

  • If you select No, PC-DMIS takes you back to the Probe dialog box and nothing happens.

When taking a manual hit, PC-DMIS will expect you to measure a qualification tool. These measurement results are used to determine the tip offsets. The results are displayed in the X, Y, Z box of the Active Tip List in the Probe Utilities dialog box.

If a spherical qualification tool is being used, PC-DMIS will also update the probe tip diameter as part of the qualification.

Recalibrating

In general PC-DMIS cannot tell if a probe tip needs to be recalibrated. Be sure to perform a recalibration if anything changes with your probe.

More:

Number of Hits

Pre-Hit / Retract

Move Speed

Touch Speed

System Mode

Type of Operation area

Calibration Mode area

Wrist Calibration area

Shank Qualification

Num Shank Hits

Shank Offset

Parameter Sets area

Tool Mounted on Rotary Table

Measure


Number of Hits

PC-DMIS will use the number of indicated hits to measure the probe, based on the Calibrate Mode . The default number of Hits is 5.

To change this amount:

  1. Select the value in the Number of Hits box.

  2. Type a new value.


Pre-Hit / Retract

The Prehit / Retract box allows you to specify the pre-hit and the hit retract for the probe calibration.

To change the Pre-Hit / Retract distance:

  1. Select the number with your mouse.

  2. Type a new distance value.


Move Speed

The Move Speed box allows you to specify the move speed for the PH9 calibration.

To change the Move Speed value:

  1. Select the Move Speed box.

  2. Type a new move speed value. This value should be a percent between 1% and 100%, with 1.0 being the slowest and 100.0 the fastest.

See "Move Speed %" in the "Setting your Preferences" section of the PC-DMIS Core documentation for additional ways to affect the speed in the measurement process.

Note: The number in the Move Speed box can contain no more than four decimal places. If a number with more than four decimal places is entered, PC-DMIS rounds the number off at the fourth decimal place.


Touch Speed

The Touch Speed box allows you to specify the touch speed for the PH9 calibration.

To change the touch speed:

  1. Select the existing value.

  2. Enter a new value. This value should be a percent between 1% and 100%, with 1 being the slowest and 100 the fastest.

See "Touch Speed %" in the "Setting your Preferences" section in the PC-DMIS Core documentation for additional information.

Note: The number in the Touch Speed box can contain no more than four decimal places. If a number with more than four decimal places is entered, PC-DMIS rounds the number off at the fourth decimal place.


System Mode

The system modes used for calibrating probes include the following:

  • Manual mode requires you to take all hits manually even if the CMM has DCC capability.

  • DCC mode is used by DCC CMMs and will automatically take all hits unless the qualification tool has been moved. In that case, you must take the first hit manually.

  • Man+DCC mode is a hybrid between Manual and DCC modes. This mode helps with calibrating odd probe configurations that aren't easy to model. In most cases ManDCC behaves like DCC mode with the following differences:

q You must always take the first hit manually for each tip, even if the qualification tool hasn't moved. All remaining hits for that tip will then be taken automatically in DCC mode.

q None of the pre-measurement clearance moves for each tip are performed since all first hits are performed manually.

q Once PC-DMIS completes the sphere measurement for a given tip, depending on the type of wrist you have, it may or may not perform the final retract moves.

If you have a moveable wrist like a PH9, PH10, PHS, etc., PC-DMIS performs the final retract moves as it would in regular DCC mode. It proceeds without prompting you thereby ensuring that the probe has sufficient clearance to move to the next tip's AB angles, and to perform the next AB move.

If you do not have a moveable wrist, PC-DMIS doesn't perform the final retract moves. Instead, PC-DMIS proceeds directly to the prompt for the manual hit for the next tip.

  • DCC+DCC mode functions like the MAN+DCC mode except that instead of taking the first hit manually for each tip, PC-DMIS instead takes DCC sampling hits to locate the sphere. You may find this mode useful if you want to fully automate the calibration process. However, be aware that the MAN+DCC mode may give more accurate results.

To change the system mode, choose the Manual, the DCC, the Man+DCC, or the DCC+DCC option buttons.


Type of Operation area

The Type of Operation area allows you to select the operation that will be performed when you click the Measure button on the Measure Probe dialog box. The available operations include:

Calibrate Tips:

This option is used to do a standard calibration of all marked tips.

Calibrate the Unit:

The Calibrate the Unit option creates error maps for both infinite wrist devices and indexable wrist devices. For indexable wrist devices see the information below in this topic. For information on infinite wrist devices, see Calibrate the Unit for Infinite Wrist Devices in the Using a Wrist Device section of the PC-DMIS Core documentation.

Calibrate the Unit (For Indexable Wrist Devices)

This option is used to error map a Probe Head or a Wrist device. This section describes error mapping an indexing probe head such as the PH9, PH10, or the Zeiss RDS. A special probe configuration, consisting of three styli of the same diameter, is placed in the probe head and as many tip orientations (all possible orientations is best) that the user desires are measured with this probe configuration. Generally, you should arrange the styli in a ‘T’ configuration at least 20mm tall and 40mm wide (like a star probe with styli at 20mm from the center). The farther the styli are separated, the more accurate the error map will be.

Once you have measured all possible orientations using the special configuration, you will be able to change probe configurations without having to do a calibration of the entire tip list. Each of the orientations measured in the original map will now automatically be calibrated in the new configuration. PC-DMIS provides complete support for calibrating and using all Renishaw and DEA probe heads, as well as the Zeiss RDS head.

Note: This option, as discussed here, refers exclusively to probe heads that have repeatable index positions such as the PH10. This calibration requires a 3-stylus star probe. After this calibration is performed, only the indexed positions that were qualified during the unit calibration can be used in future probe files without performing a full calibration. The Calibrate the Unit option is not available when using an analog probe regardless of whether the probe head is of a type that is either indexable or infinite. This is because an analog probe must have each individual position calibrated to obtain the required deflection coefficients.

See the "Using a Wrist Device" section of the PC-DMIS Core documentation for information on calibrating wrists.

'Calibrate the Unit' Process for Indexable Wrist Devices:

  1. Create the unit probe configuration similar to that shown in the graphic below:

A - 55 mm extension

B - 5 way center

C - Three 3BY20 tips

  2. The exact sizes of the components may vary but the shape must remain the same. It is also best to choose the lightest components as possible. Gravity can cause some error in the measurements.

  3. From the Probe Utilities dialog box, click the Add Angles button and add as many different orientations as you desire. A complete mapping of the probe head would mean measuring each possible orientation.

  4. Select the Measure button from the Probe Utilities dialog box. The Measure Probe dialog box appears.

  5. Enter the default values to use.

  6. Select Calibrate the Unit for the type of operation to perform.

  7. From within the Measure Probe dialog box, click on the Measure button. PC-DMIS will then measure each of the three tips at each of the selected orientations. PC-DMIS will use this data to map the Offset, Pitch, and Yaw of each orientation.

  8. Next, place a probe configuration that you wish to use for measurement on the probe head.

  9. Choose at least four of the mapped orientations.

  10. Select the Use Unit Calib Data check box from the Probe Utilities check box.

  11. Now calibrate this probe in the chosen orientations. To do this:

  • Click Measure in the Probe Utilities dialog box. The Measure Probe dialog box appears.

  • Select the Calibrate Tips option for the type of operation to perform.

  • Click on the Measure button in the Measure Probe dialog box. PC-DMIS will then calculate the actual length offset for this probe configuration and PC-DMIS will automatically create tips for each of the mapped orientations.

Lower Matrix:

This option lets you calibrate your SP600 probe's lower level matrix. See the "Notes on SP600 Lower Matrix:" and "Performing a Low Level Matrix Calibration" topics for information.

Qualification Check:

This re-measures the tip orientations specified by the user within the selected probe file and does a comparison to the previously measured data for these tip orientations. The user can use this comparison to determine if a complete calibration is needed. This is an audit-only procedure within the selected probe file and does not update the tip offsets.

Home the Unit:

This will perform a partial wrist mapping procedure on selected previously qualified tip angles to determine the proper orientation of A = 0 and B = 0 within the wrist error map. PC-DMIS includes Home the Unit for selection if the PC-DMIS Settings Editor entry RenishawWrist is equal to 1. For information on modifying registry entries, please view the "Modifying Registry Entries" documentation.

Note: The port lock must have the wrist option turned on in order for PC-DMIS to enable the wrist support.

Calibrate NC-100 Artifact:

This option is used to calibrate an NC-100 qualification tool. To enable this option you must have previously purchased the NC-100 option. Having this option available on the portlock will enable the NC-100 tab in the Setup Options dialog.

The NC-100 must then be correctly setup before the Calibrate NC-100 Artifact option will be available for selection.


Calibration Mode area

The Calibration Mode area contains options allowing you to switch between the Default Mode and the User Defined options, as described below.

Default Mode

If the Default Mode option is selected, PC-DMIS will take the number of indicated hits around the spherical tool at either 10 or 15 degrees from the equator, plus one additional hit normal to the probe, 90 degrees from the equator.

Sample Spherical Tool

1 - Normal to Probe

2 - Equator

3 - Shaft

Taking the hits at either 10 or 15 degrees prevents the shank of the probe from hitting the calibration sphere when the shank diameter is almost as large as the probe's tip diameter.

If your tip's diameter is less than 1 mm, PC-DMIS takes the hits around the sphere at 15 degrees.

If your tip's diameter is greater than 1 mm, PC-DMIS takes the hits around the sphere at 10 degrees.

User Defined Mode

If the User Defined option is selected, PC-DMIS will allow you to access the levels and angles boxes. PC-DMIS will measure the probe based on the number of levels that are entered and the starting and ending angles that are selected. The location of the level is based on the angles that are set. 0° is located at the equator of the probe. 90° is normal to the probe. Only one hit will be taken when measuring normal to the probe.

Number of Levels

The Number of Levels box determines the number of levels that will be used in the calibration process. PC-DMIS will divide the number of hits by the number of levels to determine how many hits will be taken at each level.

Start and End Angles

The Start Angle and End Angle boxes control the location of the first and last level. Any additional levels will be located equally between these two levels.

  • A starting angle of 0° is located at the equator of the sphere (relative to the probe).

  • An ending angle of 90° is located at the top of the sphere, normal to the probe.

Start and End Angles


Wrist Calibration area

This area allows you to specify wrist positions in a pattern of up to nine sphere measurements for indexable wrist calibration.

The Wrist Calibration area becomes available for selection when you meet the following conditions:

  • Setup an infinitely indexable wrist device such as the PHS or the CW43L in the Probe Utilities dialog box. See "Defining Probes".

  • Set the appropriate wrist entries (DEAWrist or RENISHAWWrist) from the Option section in the PC-DMIS Settings Editor to 1. See the "Modifying Registry Entries" documentation.

  • Select the Calibrate the Unit option from the Type of Operation area in the Measure Probe dialog box.

For in-depth information on using and calibrating wrist devices, see the "Using a Wrist Device" section in the PC-DMIS Core documentation.

Defining AB Wrist Positions To Calibrate

In order to calibrate the wrist, you need to calibrate wrist positions in a pattern of at least three A angle positions by at least three B angle positions for a total of nine sphere measurements. The Wrist Calibration area gives you the ability to specify the angles for calibrating both the A and the B axes. The Start, End and Increment boxes allows you to specify the starting and ending angles for mapping the wrist and the increment for mapping in both the A and B axes.

For example, suppose you type in these values into the appropriate boxes:

A Angle
Start: | -90
End: | 90
Increment: | 90
B Angle
Start: | -180
End: | 180
Increment: | 180

PC-DMIS would calibrate the positions of A-90B-180, A-90B0, A-90B180, A0B-180, A0B0, A0B180, A90B-180, A90B0, and A90B180.

Note: You should choose the actual Start and End angles according to the type of wrist device you are using, the mechanical availability, and the manufacturer or vendor recommendations. In some cases PC-DMIS will automatically determine the Start and End angles based on controller specifications (although in these cases, PC-DMIS will only map 359.9 degrees of the B axis roll).

While a minimum of nine positions is required to calibrate a wrist device, you may choose to use more than this minimum. PC-DMIS will give you a slightly more accurate calibration if you use more than the minimum number of positions.

When you calibrate a wrist, you can also create a wrist error map to correct for angular errors in the wrist between calibrated positions. See "Calculate Error Map" in the "Using a Wrist Device" section of the PC-DMIS Core documentation for information.

If you're using an SP600 probe, be sure to read the cautionary sub-topic included in the "Wrist Calibration" topic of the "Using a Wrist Device" section in the PC-DMIS Core documentation.

Using Wrist Error Maps

The following controls allow you to create, replace, view, and delete wrist error maps.

Control | Description
Create New Map | This option button creates a new wrist error map when you click the Measure button.
Replace Closest Map | This option button replaces the closest existing wrist error map with a newly created wrist error map when you click the Measure button.
View / Delete Maps | This button displays the View / Delete Wrist Maps dialog box. This dialog box lists any wrist error maps on your system; for each map, it also shows the probe's extension length, lists the number of AB angles and the angle increment value. Simply select a wrist error map and click Delete to remove a wrist error map from your system.


Shank Qualification

Select the Shank Qual check box if you will be using a shank tip to take edge hits. This check box allows you to qualify the shank of the probe. With this option selected, you can manipulate the Num Shank Hits box and the Shank Offset box.

Important: Be aware that if you will be using a shank probe, you only need to do a shank calibration if you'll be taking edge hits.


Num Shank Hits

The Num Shank Hits box defines the number of hits that will be used to measure the shank.

To change this number:

  1. Place the cursor in the Num Shank Hits box.

  2. Type a new value.


Shank Offset

Shank Offset

The Shank Offset box determines the distance (or length) up from the tip of the shank that PC-DMIS will take the next set of qualification hits. To change this offset value:

  1. Select the existing value.

  2. Type a new value.


Parameter Sets area

The Parameter Sets area allows you to create, save, and use saved sets of probe calibration parameters. This information is saved as part of the probe file and includes the settings for number of point, prehit/retract, movespeed, touchspeed, system mode, qualification mode settings, and the qualification tool's name and location.

To create your own named parameter sets:

  1. Allow PC-DMIS to automatically update your probe file to at least the version 3.5 format.

  2. Access the Probe Utilities dialog box.

  3. Click the Measure button. The Measure Probe dialog box appears.

  4. Modify any parameters on the Measure Probe dialog box.

  5. From the Parameter Sets area, type a name for the new parameter set in the Name box and click Save. PC-DMIS displays a message telling you that your new parameter set has been created. You can easily delete a saved parameter set by selecting it and clicking Delete.

  6. Click the Measure button if you want to calibrate your probe tips right away. If you want to calibrate them later, click Cancel.

  7. On the Probe Utilities dialog box, click OK. Clicking Cancel on this dialog box will delete any changes made to the probe file; this includes the creation of any parameter sets.

Once you create a new parameter set you can use it in the AUTOCALIBRATE/PROBE command (see "AutoCalibrate Probe").

Note: Parameter sets are specific to the probe that was in use when they were created.


Tool Mounted on Rotary Table

Select the Tool Mounted on Rotary Table check box if the probe qualification tool is mounted on the rotary table. This check box is disabled if the machine does not have a rotary table.


Measure

The Measure button performs the operation selected in the Type of Operation area.


SP600 Calibration Information

Below are some changes to the calibration procedure for SP600 probes made to versions 3.25 and higher.

More:

Notes on SP600 Lower Matrix:

Notes on SP600 Upper Level Matrix (Regular Calibration):

Disk Stylus Calibration Notes and Procedure


Notes on SP600 Lower Matrix:

The lower matrix procedure now uses the AP_COMP methodology developed by Brown and Sharpe Engineering. Three new settings were created and made available in the PC-DMIS Settings Editor, under the ANALOG_PROBING heading. These are:

SP6MTXMaxForce=0.54

SP6MTXUpperForce=0.3

SP6MTXLowerForce=0.18

The values given to these settings are those currently recommended by Brown and Sharpe Engineering during the lower matrix procedure. These entries will be created (if they don't already exist) the first time you run the lower matrix procedure.

You shouldn't change these values unless Brown and Sharpe Engineering issues new recommendations in the future. The lower matrix procedure will use these settings regardless of any OPTIONPROBE command that may or may not be present in the current part program.

For information on the PC-DMIS Settings Editor, see the "Modifying Registry Entries" documentation.

For additional information on the Lower Matrix procedure, follow the link to the SP600 Low Level Matrix document located on the Wilcox Associates, Inc. web site here:

http://www.wilcoxassoc.com/Downloads/dl_instructionalfiles.htm


Notes on SP600 Upper Level Matrix (Regular Calibration):

The following notes apply to the Upper Level Matrix calibration when using an analog type probe.

Using OPTIONPROBE Commands with Analog Probe Types

An OPTIONPROBE command gets inserted into the part program any time values are changed on the Opt. Probe tab of the Parameter Settings dialog box. For information on the Parameter Settings dialog box, see the "Parameter Settings: Optional Probe tab" topic in the "Setting Your Preferences" section of the PC-DMIS Core documentation.

If PC-DMIS encounters an OPTIONPROBE command in the current part program before the probe's LOADPROBE command, the calibration will use the values from the OPTIONPROBE command. If the OPTIONPROBE command doesn't precede the LOADPROBE command, PC-DMIS uses the default values stored in the PC-DMIS Settings Editor.

For versions 3.25 you should include such an OPTIONPROBE command in order to make sure the qualification procedure uses the correct values. Even if the parameters to be used are the normal defaults for the particular machine, you should still specify these values in an OPTIONPROBE command because V3.25 does not automatically use the machine specific defaults without an appropriate OPTIONPROBE command.

For version 3.5+ you don't need to include the default machine values in an OPTIONPROBE command because PC-DMIS automatically uses the machine specific defaults if it can't find an OPTIONPROBE command. The default parameters are stored in the ANALOG_PROBING section in the PC-DMIS Settings Editor.

Important: Using the OPTIONPROBE command may limit the portability of the part program. Since PC-DMIS uses machine specific data in the OPTIONPROBE command you may get inaccuracies if you run the part program on a computer using a different CMM. Unless you really need to use the OPTIONPROBE command (i.e. measuring a really soft part), you generally shouldn't use an OPTIONPROBE command in this version. PC-DMIS can automatically grab the default machine values automatically from the PC-DMIS Settings Editor.

Changing the Default Calibration Algorithms

The default 3D calibration algorithm for the SP600 has been changed to Trax. You can find the registry setting that controls this under the OPTION heading with the UseTraxWithSP600 entry.

PC-DMIS, by default, now sets this entry equal to 1 which means that Trax will be the default algorithm. Of course you are free to try out which algorithm works best for your particular situation.

If using Trax calibration for the SP600, the effective tip size generated from the calibration will differ from the design value.

If using Trax calibration for non-SP600 analog probes on the Wetzlar machines, the design value of the tip size is used because tip size deviation is handled differently.

If using non-Trax calibration, the design value of the tip size is used.

For information on the PC-DMIS Settings Editor, see the "Modifying Registry Entries" documentation.

Taking Extra Sampling Hits

The UseAnalogSampling entry no longer exists in the Settings Editor. Instead, you can use the following registry items to work with your sampling hits.

  • UseAnalogSamplingLatitudeStart

  • UseAnalogSamplingNumHits

  • UseAnalogSamplingNumLevels

For all these entries the default is None (-1). For information on these entries, see the "Modifying Registry Entries" documentation.


Disk Stylus Calibration Notes and Procedure

When performing a discrete hit calibration of a disk stylus on an analog probe with the qualification sphere, you need to specify five hits in the Number of Hits box and two levels in the Number of Levels box in the Measure Probe dialog box. These do not apply for probes that use the Renishaw scan-based calibration.

Make sure when you define your probe, that you model a disk stylus and not a ball stylus. Once you click the Measure button on the Measure Probe dialog box, PC-DMIS will automatically recognize that you have an analog probe with a disk stylus and will go through this procedure:

  • If you moved the sphere, or if you chose the Man + DCC mode, PC-DMIS will prompt you to take one manual hit on the very top of the qualification sphere (the north pole) with the center of the bottom of the disk stylus. If your probe configuration has an additional ball stylus attached to the bottom of the disk stylus, be sure to take the hit with that ball stylus.

  • If you didn't move the sphere, and you chose not to use Man + DCC mode, PC-DMIS will take the hit on the top of the qualification tool in DCC mode.

PC-DMIS then finishes by doing the following in DCC mode:

  • PC-DMIS will do one of the following based on the value of the ProbeQualAnalogDiskUsePlaneOnBottom registry entry located in the Probe Cal section of the PC-DMIS Settings Editor:

  • If this entry is set to 1, PC-DMIS takes four hits on top of the sphere using a circular pattern on the bottom of the disk stylus and calculates a plane from it. Measuring a plane helps ensure that the hits for calibrating the face are oriented properly to reflect the actual plane of the disk. This is the default for the traditional calibration method using discrete hits.

  • If this entry is set to 0, PC-DMIS does not attempt to measure a plane on the bottom of the disk's face. Instead it uses the design orientation of the disk. This is the default for the Renishaw scan-based calibration.

  • After the hits are taken on top of the sphere it takes six hits on two levels to get a close location of the center point of the sphere.

  • It uses the center point along with the vector from either the plane measurement or the design orientation to correctly position the subsequent measurement.

  • For discrete hit calibration it takes five hits: four in a circular pattern around the equator of the sphere, and the fifth hit on the top, or the pole, of the sphere.

  • For scan-based calibration it takes a series of scans at two different levels, one slightly below the equator and one slightly above the equator. Each level is scanned in both clockwise and counter-clockwise directions. Each direction for each level is also scanned using two different scan force offsets. This results in a total of eight scans.

PC-DMIS also provides two additional registry entries in the PC-DMIS Settings Editor in the Probe Cal section; you can use these to affect the location of the hits on the bottom of the disk stylus during calibration. These entries are:

  • ProbeQualAnalogDiskBottomHitsDistanceFromEdge

  • ProbeQualAnalogDiskPlaneStartAngle

See the "Modifying Registry Entries" documentation more information on these entries.


SP600 Calibration Procedures

The following procedures describe how to calibrate your SP600 probe's lower level and upper level matrices.

For best accuracy in the processes below, use a high quality spherical calibration tool and keep the calibration tool well cleaned throughout both calibration processes.

More:

Performing a Low Level Matrix Calibration

Performing an Upper Level Matrix Calibration


Performing a Low Level Matrix Calibration

The low level matrix contains the 3D or centered position of the probing device. You should redo the SP600 low level matrix calibration at these times:

  • Whenever you remove the probe head

  • Whenever you remounted the probe head

  • Whenever you attached a new SP600 probe

  • Whenever the SP600 sustains damage

  • During periodic intervals based on your specific needs.

Prerequisites:

Before following the calibration procedure below, ensure that you meet these prerequisites:

  • You must run PC-DMIS in online mode.

  • You must run PC-DMIS using a CMM that has a lower matrix.

  • If using a Leitz protocol controller from Brown and Sharpe / DEA, it must be configured to use a lower matrix. For this to be true it must have PRBCONF=0 in the controller settings.

  • You must have an analog probe that utilizes a lower matrix. Some of these include the SP600, SP80, LSP-X1, LSP-X3, LSP-X5, and so on.

  • You should use a rigid stylus that deflects as little as possible during the procedure. A common example of this for an SP600 is the 8x100 ceramic stylus.

Calibration Procedure:

  1. Access the Probe Utilities dialog box (Insert | Hardware Definition | Probe). Display Menu Roadmap

  2. Ensure that the angles you need exist in the Active Tip List.

  3. From the Active Tip List select the angle used as the reference position. In most instances this should be the angle used for the Z- direction. Unless you have a horizontal arm, this angle is usually the T1A0B0 tip.

  4. Click the Measure button. The Measure Probe dialog box appears.

  5. Select the SP600 Lower Matrix option button from the Type of Operation area. This option only appears if you're working in online mode and have the SP600 probe setup inside the Probe Utilities dialog box.

  6. If desired change the values in the Prehit / Retract, Move Speed, or Touch Speed boxes.

  7. Select an appropriate tool from the List of Available Tools list.

  8. Click the Measure button. PC-DMIS will give a warning message telling you that if you continue you will change the machine specific parameters for the lower level matrix on the controller itself. Click Yes to continue the calibration.

  9. PC-DMIS will display another message asking if the qualification tool has moved. Click Yes or No.

  10. PC-DMIS next displays a message asking you to take one hit normal to the calibration tool. If you're working from the Z- position, take the hit on the very top of the tool. After taking this one hit, PC-DMIS takes over and finishes determining the center location of the calibration tool. It does this by taking:

  • 3 hits around the sphere.

  • 25 other hits around the sphere.

  11. Once PC-DMIS finds the center location of the tool, the actual low level matrix calibration begins. PC-DMIS automatically takes 20 hits (10 hits in one direction and 10 hits in another direction forming a cross pattern) on the X+, X-, Y+, Y-, and Z+ poles of the calibration sphere, for a total of 100 hits. This typically takes five to ten minutes to complete.

  12. PC-DMIS then presents you with nine numbers along with a message asking if these numbers are correct. These are the lower level matrix values. If you started the calibration with the probe in the Z- direction then the ZZ value (value in the third row and third column) should be between about .14 and .16. All other values should be less than or about .1.

  13. If the values are correct, click OK. PC-DMIS sends an emergency stop command to the machine and then overwrites the lower level matrix values on the controller with these newer values. PC-DMIS displays another message box asking you to start your machine.

  14. Press the Machine Start button on your jog box.

  15. Click OK on the message box.

PC-DMIS once again displays the Probe Utilities dialog box. Notice that the reference tip in the Active Tip List isn't calibrated. The lower level calibration doesn’t calibrate the actual tip angles. Tip angles get calibrated when you perform the upper level matrix calibration procedure.

Important: If you don't have a good low level matrix you will experience problems in some scanning routines and the machine may not be able to complete some scans. In addition you will experience inaccuracies.


Performing an Upper Level Matrix Calibration

After you've finished calibrating the lower level matrix, you can perform the regular calibration. This upper level calibration will calibrate the actual probe tips. It will also send another matrix of numbers to the controller that give small corrections to the lower level matrix based on the current probe configuration and orientation.

To achieve greater accuracy, PC-DMIS should take probe hits, measuring a full sweep, all around the equator of the calibration sphere. If you have good angle of coverage on the sphere, you will get better results. The start and end angles for the sweep around the sphere's equator can be controlled from these settings within the [ProbeCal] section of the PC-DMIS Settings Editor:

FullSphereAngleCheck=25.0

ProbeQualToolDiameterCutoff=18.0

ProbeQualLargeToolStartAngle1=50.0

ProbeQualLargeToolEndAngle1=310.0

ProbeQualSmallToolStartAngle1=70.0

ProbeQualSmallToolEndAngle1=290.0

For information on modifying registry entries, please view the "Modifying Registry Entries" section.

Calibration Procedure

Follow this procedure to do an upper level matrix calibration:

  1. At the Probe Utilities dialog box (Insert | Hardware Definition | Probe). Display Menu Roadmap

  2. Click the Measure button.

  3. Select Calibrate Tips from the Type of Operation area.

  4. Select User Defined from the Calibration Mode area. Since the Default method only takes hits around the diameter and one hit on top of the calibration sphere it doesn't give a very good 3D relationship of the probe center. However, if you want to calibrate using the Default method, be sure to read the "Notes on SP600 Default (2D) Calibration Mode" topic below.

  5. Type 3 in the Number of Levels box. You can type in additional levels as long as they don't exceed the number of hits you'll be taking. But the minimum number of levels should be at least three.

  6. Type 0 in the Start Angle box.

  7. Type 90 in the End Angle box.

  8. Type 25 in the Number of Hits box. You can have PC-DMIS take as few as 12 hits, but it's generally recommended to take 25 hits.

  9. Click the Measure button when ready to begin.

  10. If you have turned on the analog probing hits option inside the PC-DMIS Settings Editor, then PC-DMIS will automatically take 5 hits around the calibration sphere to better define the center of the calibration tool.

  11. PC-DMIS then calibrates the AB angle positions and automatically writes the upper level matrix numbers to the controller. These numbers will automatically be correct if you've correctly followed the lower level matrix calibration procedure.

PC-DMIS then displays the Probe Utilities dialog box. The active tips are now calibrated and you're ready to program your part using the newly calibrated SP600 probe.

Notes on SP600 Default (2D) Calibration Mode

If you decide to select Default from the Calibration Mode area, PC-DMIS will insert five hits into the Number of Hits box. When you begin the calibration procedure, PC-DMIS will take these hits on the axes normal to the probe position.

Caution: Be aware that in the Default calibration mode, calibrating tips with an A90 angle will cause the probe to crash into the shank of a calibration sphere in spheres where the shank comes out of the bottom (shank vector of 0, 0, 1). This will happen because the probe tries to take a hit in the Z- position of the sphere. To fix this, use an inclined shank, don't calibrate tips that have A90 angles, or choose to use the User Defined calibration mode.


Using Different Probe Options

It is assumed that a probe has been loaded and tip you will use have been calibrated.

Using a Probe On-line

To measure a point in the on-line mode using a touch trigger probe:

  1. Lower the probe to the surface where the point is to be taken.

  2. Trigger the probe by touching it to the surface.

  3. Press the END key to complete the measurement process.

PC-DMIS is designed to determine the feature type. Probe compensation is determined by the probe radius. The compensation direction is determined by the machine direction.

For example, in measuring a circle, the probe would be inside the circle moving outward. To measure a stud, the probe would start outside the circle moving inward towards the part.

It is important that the approach direction be normal (perpendicular) to the surface when measuring points. While this is not necessary for measuring other features, it will improve the accuracy in determining the feature type.

To measure a point using a fixed probe, you must specify the feature type that is to be measured and the probe compensation direction. See "Using Hard Probes" in the Portable Documentation.

Using a Probe Off-line

When using PC-DMIS in off-line mode, you can access all the probe options. However, no actual measurements can be taken. Probe data can either be keyed in or the default settings used. For example, a qualification tool cannot actually be measured to calibrate a probe; the probe's nominal values must be keyed in.

To take a hit in offline mode:

  1. Make sure that PC-DMIS is in Program Mode. Do this by selecting the Program Mode icon located on the Graphics Modes toolbar. (See the "Graphics Modes Toolbar" in the "Using Toolbars" section of the PC-DMIS Core documentation.)

  2. Move the mouse cursor to the screen where the hit is to be made.

  3. Click the right mouse button to move the probe's tip to the area of the part where the hit is to be taken. The probe is drawn on the screen and the probe depth is set.

  4. Click the left mouse button to register a hit on the part. If you have wireframe mode selected, hits will be taken on the nearest wire. If you are in surface mode the hit is taken on the selected surface.

  5. Press the END key to complete the measurement process.


Using the Probe Toolbox

  • Using the Probe Toolbox: Introduction

  • Changing the Current Probe

  • Changing the Current Probe Tip

  • Viewing Hits in the Hits Buffer

  • Taking and Deleting Hits

  • Accessing the Probe Readouts Window

  • Placing the Probe into Readouts and Hits Mode

  • Providing and Using Feature Locator Instructions

  • Working with Contact Path Properties

  • Working with Contact Sample Hits Properties

  • Working with Contact Auto Move Properties

  • Working with Contact Find Hole Properties


 Viewing Hits in the Hits Buffer Changing the Current Probe Changing the Current Probe Tip Viewing Hits in the Hits Buffer Taking and Deleting Hits Accessing the Probe Readout Window Placing the Probe into Readouts and Hits Mode

Current Help System: PC-DMIS CMM (View Core Help)

Using the Probe Toolbox: Introduction

Display Menu Roadmap

The View | Probe Toolbox menu option displays the Probe Toolbox.

Probe Toolbox for a Contact Probe

In PC-DMIS CMM, this toolbox allows you to easily perform various probe-related manipulations specific to contact probes.

Note: Because the items in the Probe Toolbox are so frequently used when creating Auto Features, in version 4.3 the Probe Toolbox also functions as an embedded portion of the Auto Feature dialog box.

The probe-related manipulations for standard contact probe types include:

  • Switching between existing configured probes and probe tips

  • Viewing the current probe's location

  • Accessing the Probe Readout window

  • Removing probing hits from the hits buffer

  • Viewing hits in the hits buffer

  • Locking your machine's X, Y, or Z axes

  • Changing Path Properties

  • Changing Sample Hit Properties

  • Changing Auto Move (Avoidance Move) Properties

  • Changing Find Hole Properties

For information on these manipulations, see the topics below.

Note: Previous versions of PC-DMIS used to contain Flat Guess and Round Guess mode icons in this toolbox. Since the guess algorithm in PC-DMIS has improved in version 4.0 and higher, these icons have been removed and are no longer needed.

More:

Changing the Current Probe

Changing the Current Probe Tip

Viewing Hits in the Hits Buffer

Taking and Deleting Hits

Accessing the Probe Readouts Window

Placing the Probe into Readouts and Hits Mode

Working with Contact Path Properties

Working with Contact Sample Hits Properties

Working with Contact Auto Move Properties

Working with Contact Find Hole Properties


Changing the Current Probe

To change the part program's current probe by using the Probe Toolbox,

  1. Access the Probe Position tab.

  2. Select the Probes list.

  3. Select a new probe.

PC-DMIS inserts a LOADPROBE command for the selected probe into the part program.


Changing the Current Probe Tip

To change the part program's current probe by using the Probe Toolbox,

  1. Access the Probe Position tab.

  2. Select the Probe Tips list.

  3. Select a new probe.

PC-DMIS inserts the LOADPROBE command for the selected probe into the part program.


Viewing Hits in the Hits Buffer

Viewing the Last Hit

In the Probe Position tab, PC-DMIS displays the most recent hit stored in the hits buffer or the probe's current position. In PC-DMIS CMM these are read-only values.

Most Recent Hit Information

Viewing all the Hits

To view all the hits in the hits buffer, click the Hit Targets tab. PC-DMIS displays the XYZ and IJK data for each hit in the buffer.

Probe Toolbox - Hit Targets tab

Hit Targets tab showing several hits in the hits buffer

Once you press END on your keyboard or DONE on your jog box and accept the current feature you are probing, PC-DMIS removes the hits from the buffer and empties this list.


Taking and Deleting Hits

Take a Hit icon

To take a hit at the current probe's location, click the Take a Hit icon. PC-DMIS adds the hit into the hit buffer. This icon only becomes enabled when you use a defined hard probe.

Remove a Hit icon

To delete a hit from the hit buffer by using the Probe Toolbox, click the Remove a Hit icon. If you have the Probe Readouts window open, you'll notice the hit being deleted from the Hits portion of the window. See the "Erasing or Deleting Hits" topic in the "Getting Started: A Simple Tutorial" section for additional information.


Accessing the Probe Readouts Window

Probe Readout icon

To access the Probe Readouts window from the Probe Toolbox, click the Probe Readout icon. For information on the Probe Readouts window, see the "Using the Probe Readout window".


Placing the Probe into Readouts and Hits Mode

Some interfaces require that you toggle between Readouts and Hits Modes since these modes must operate exclusively from each other. This is due to the operation of these interfaces being in either a receiving state (Hits Mode - waiting for a hit signal) or a sending state (Readouts Mode - sending probe location data to the Probe Readout window. An LK-RS232 interface is an example of this type of interface.

Icon |  | Description
 | Readouts Mode | If you have an LK interface, you can use the Readouts Mode icon to places the probe into readouts mode.
 | Hits Mode | If you have an LK interface, you can use the Hits Mode icon to places the probe into hits mode.


Providing and Using Feature Locator Instructions

Probe Toolbox—Feature Locator tab

You can use the Feature Locator tab to provide the operator with instructions for measuring the current auto feature. You may find this useful if your part program requires some operator interaction in the auto feature measurement (if the operator is working in Manual Mode, for example).

You can provide these instructions by typing textual descriptions, taking screen shots of the feature or using preexisting bitmap images, and even using prepared audio files. If the operator displays the Probe Toolbox during part program execution, but prior to the feature's execution, the instructions will then appear.

To Provide Feature Locator Instructions:

  1. Access the Feature Locator tab from the Probe Toolbox attached to the Auto Feature dialog box.

  2. Add audio instructions.

  • Click the Select Feature Locator WAV icon [image] next to the Feature Locator WAV File toggle icon [image] to browse to the .wav file to associate with this auto feature.

  • Click the Feature Locator WAV toggle icon [image] to enable the playing of the audio file during program execution.

  2. Add a bitmap image. You can either select a preexisting bitmap image or use a screen capture of the current Graphics Display window.

  • To select a preexisting bitmap file, click the Select Feature Locator BMP File icon [image] next to the Feature Locator Capture BMP icon [image] and browse to the .bmp file to associate with this auto feature. Once selected, a thumbnail display of the selected image will appear in the Feature Locator tab.

  • To use a screen capture of the Graphics Display window, click the Feature Locator Capture BMP icon [image]. A thumbnail display of the captured image will appear in the Feature Locator tab. This file will be indexed and saved in the PC-DMIS install directory. For example, a part program named bolthole.prg would yield bitmaps named bolthole0.bmp, bolthole1.bmp, bolthole2.bmp, and so on.

  • Click the Feature Locator BMP File toggle icon [image] to enable the display of the bitmap image during program execution.

  3. Add text instructions. In the Feature Locator Text box, type the textual instructions you want to display.

  4. Click Create or OK to save the changes made in the Auto Feature dialog box.

To Use Feature Locator Instructions

  1. Display the Probe Toolbox during execution. If the Probe Toolbox isn't visible during execution, the instructions will not appear. To display the Probe Toolbox, do the following:

  • Begin part program execution.

  • Once the Execution Mode Options dialog box appears, click the Stop button.

  • Select View | Probe Toolbox to display the toolbox.

  • Click the Continue button to proceed with the execution.

  2. View the instructions. The instructions will appear automatically within the Feature Locator tab of the Probe Toolbox when PC-DMIS begins executing the feature:

Feature Locator tab providing instructions during execution

  • If audio was enabled, click the Feature Locator WAV File icon [image] as many times as needed to hear the instructions.

  • In addition, you can drag the Probe Toolbox out onto the Graphics Display window and size it as desired.

  3. Once the associated feature has been measured, PC-DMIS removes the Feature Locator tab with its instructions from the Probe Toolbox.


Working with Contact Path Properties

Circle or Ellipse

If the start and end angles are the same, or differ by a multiple of 360°, then only one hit will be taken at the mutual starting and ending point.

Location of Hits

A - Starting Angle

Round Slot

If an odd number of hits is entered, PC-DMIS will automatically add one to the value. This allows for an even number of hits in the measurement of the slot. Half of the hits will be taken on the semi-circle at each end of the slot. A minimum of six hits is required.

Plane

The minimum number of hits needed to measure a plane is three. However, the total number of hits for the plane feature is generated by the product of the values in the Hits and Levels boxes. Therefore, a value of 2 in the Hits box with a 3 in the Levels box would generate a total of six hits.

Line

You can type any number of hits. Depending on the type of line and the value entered, PC-DMIS does the following:

If you are creating a bounded line, then PC-DMIS uses the calculated length of the line and spaces the number of hits equally along the line so that the first and last hits are at the Start and End points.

If it is an unbounded line, then PC-DMIS uses the typed length value and spaces the number of hits equally along the line's direction vector.

Note: If you don't type a length value (or the value is zero), PC-DMIS uses the current probe tip's diameter as the distance between points.

Edge Point, Notch Slot

If one, two, or three sample hits are indicated, then the depth value will be applied from the measured surface value.

Depth for Edge Point

A - Target hit

B - Sample hit

C - Depth

Circle, Ellipse, Round Slot, Square Slot, Polygon

This distance is applied as a positive value along the centerline vector from the center point of the feature.

For an internal feature, such as a hole, this is the distance below the surface. For an external feature, such as a stud, this is the distance from the bottom of the feature.

Note: PC-DMIS expects the X, Y, Z nominal of the stud to be at the base. If the center point is at the top of the stud, set the depth to a negative value.

Line

The distance is applied as a positive value along the perpendicular vector to the line vector and edge vector.

The line's depth depends on the direction of the hits in relation to the current coordinate system. For example, if you have a typical orientation (X/Right, Y/Back, and Z/Up), and you take your first and second hits from left to right on the model, then you need to use a positive depth value. However, if you take your first and second hits from right to left on the model, then you need to use a negative depth value.

Circle

In order to follow a standard (clockwise) thread pattern, you need to reverse the starting and ending angles (i.e. 720 - 0) and in order to cause the measurement to reverse from a rising pitch to a falling pitch (up/down), you need to negate the value of the pitch.

Example: If measuring a circle with four hits equally spaced around the circle, the first hit will be at the starting angle at the input depth. The second hit will be at a 90 degree rotation to the first and a depth of (depth &endash; ((hitnum-1)/tothits * pitch)). The third hit would be 180 degree rotation from the first hit with a depth of (depth &endash; ((hitnum-1)/tothits * pitch)). The remaining hits follow this same pattern.

Cylinder

Example: If measuring a cylinder with two levels of four hits equally spaced around the cylinder, the first hit in each level will be at the starting angle at the input depth. The second hit will be at a 90 degree rotation to the first hit and a depth of (Depth - (hitnum-1)/# hits per level * pitch). The third hit would be 180 degree rotation from the first hit with a depth of (Depth - (hitnum-1)/# hits per level * pitch). The remaining hits follow this same pattern.

For a cylinder or cone, the levels will be equally spaced between the Starting Depth and Ending Depth of the feature.

For a sphere, the levels will be equally spaced between the Start Angle 2 and End Angle 2 value in the Auto Feature dialog box.

For a plane, the number of levels and the number of hits are used to determine how many total hits will be used to generate the auto plane.

Current Help System: PC-DMIS CMM (View Core Help)

Working with Contact Path Properties

Contact Path Properties tab

This tab becomes visible when you have the Auto Feature dialog box open and a contact probe is enabled.

The Contact Path Properties tab contains several items that allow you to change various hit properties for a number of supported Auto Features that use contact probes.

Depending on the type of feature in the Auto Feature dialog box, this tab may change to contain one or more of the following items:

Item

Supported Auto Features

Description

Hits

Line, Plane, Circle, Ellipse, Round Slot

This defines the number of hits that will be used to measure the feature. The number of hits specified will be equally spaced between the starting and ending angle indicated.

Hits (Total)

Sphere

This is the same as described in Hits except that this defines the total number of hits that will be used to measure the feature among all available levels. You need at least four hits to measure a sphere.

Depth

Edge Point, Line, Circle, Ellipse, Round Slot, Square Slot, Notch Slot, Polygon

This defines where PC-DMIS will take hits on the feature itself and its surrounding sample hits.

Starting Depth

Cylinder, Cone

For features with multiple levels, this defines the starting depth of the first level of hits. It is an offset from the top of the feature. All other levels will be equally spaced between the Starting Depth and Ending Depth. View Demo

Ending Depth

Cylinder, Cone

For features with multiple levels, this defines the ending depth of the last level of hits. It is an offset from the bottom of the feature. All other levels will be equally spaced between the Starting Depth and Ending Depth.

Pitch

Circle, Cylinder

For threaded holes and studs, the Pitch value (also known as "threads per inch") defines the distance between threads along the axis of the feature. This allows for more accurate measurements of threaded holes and studs. If the value is anything other than zero, PC-DMIS staggers the feature's hits along the feature's theoretical axis, spacing them around the feature using the Start Angle and End Angle values in the Auto Feature dialog box.

Hits Per Level

Cylinder, Cone

This defines the number of hits per level that will be used to measure the feature. A value of four would mean four hits per level.

Note: At least six hits and two levels are necessary to measure a cylinder or cone (three hits at each level).

Levels

Cylinder, Cone, Sphere

This defines the number of levels that will be used to measure the feature. Any integer greater than one can be used. The first level of hits will be placed at the Starting Depth. The last level of hits will be placed at the Ending Depth.

Hits Per Side

Polygon

This defines the number of hits taken per side on a Polygon feature.


Working with Contact Sample Hits Properties

Current Help System: PC-DMIS CMM (View Core Help)

Auto Feature

Sample Hits Description

Surface Point

PC-DMIS will measure the point depending on the selected value. For example, if you select:

  • 0, PC-DMIS will measure the point at the nominal approach vector specified.

  • 3, PC-DMIS will measure a plane around the nominal point location and use the surface normal vector from the three hits measured to approach the nominal point location.

Edge Point

PC-DMIS will measure the point depending on the selected value. For example, if you select:

  • 0, then PC-DMIS will measure the point at the nominal approach and normal vectors specified.

  • 1, then PC-DMIS will measure a point on the normal surface. The edge measurement will then be projected into the nominal surface through this point. Any DEPTH = values will be offset from the point.

  • 2, then PC-DMIS will take two sample hits on the edge along the nominal approach direction specified. PC-DMIS will then use these hits to calculate a new approach vector for the actual point measurement along the edge.

  • 3, then PC-DMIS will measure the point with the combined methods of using one and two sample hits respectively. This measurement method is commonly known as a "Flush and Gap" measurement point.

  • 4, then PC-DMIS will measure the three sample hits on the normal surface and adjust the surface normal vector. The edge measurement will then be projected into this new nominal surface. Any DEPTH = values will be offset from the point. Finally, the point will be measured along the approach vector.

  • 5, then PC-DMIS will measure the point by taking three hits on the normal surface and two hits on the edge along the nominal approach direction specified. This method of measurement is considered the most accurate.

Various Sample Hits for Edge Points

A - Target hit

B - Sample hits

C - Indent

D - Spacer

E - Indent + Spacer

Angle Point

The sample hits will be used on each surface. PC-DMIS will measure the point depending on the selected value. For example, if you select:

  • 2, the hits will be taken in a line perpendicular to the edge vector.

  • 3, the hits will form a plane on each surface as indicated in the drawing.

Two and three Sample Hits for an Angle Point

Circle, Cylinder, or Cone

The defined sample hits will be used to measure the surface normal to the feature. The number of hits specified will be equally spaced between the starting and ending angle indicated.

PC-DMIS will measure the point depending on the selected value:

  • If Type = HOLE, and you select 0, PC-DMIS will not take any sample hits.

  • If Type = STUD, you select 0, PC-DMIS will not take any sample hits. PC-DMIS then treats the Height value as if the feature were a HOLE instead of a STUD.

  • If Type = HOLE, and you select 1, PC-DMIS will take the hit on the outside of the feature.

  • If TYPE = STUD, and you select 1, PC-DMIS will measure the point on the top of the stud.

  • If you select 3, PC-DMIS will measure the surface at three equally spaced hits starting from the starting angle. The sample hits will be relative to the measured plane, and any values will be offset from these points.

A - Start Angle and End Angle

A - Start Angle

B - End Angle

Note: PC-DMIS expects the X, Y, Z nominal of the stud to be at the base. If the center point is at the top of the stud, set the depth and spacer to a negative value.

Sphere

For a sphere, you can only select one sample hit. When you select this sample hit, PC-DMIS follows this procedure once you execute the part program:

  1. Automatic measurement stops prior to measuring the sphere.

  2. PC-DMIS requests that you take one hit normal to the direction the sphere should be measured.

  3. After you take the sample hit, click the Continue button

  4. PC-DMIS then takes three more hits on the sphere in an area determined by the spacer.

PC-DMIS takes these four hits and uses the calculated sphere location to measure the sphere with the given number of hits, rows, and angles.

Square Slot or Round Slot

The measured plane will be used as the centerline vector for projection and measurement depth purposes.

PC-DMIS will measure the slot depending on the entered value. For example, if you select:

  • 0, PC-DMIS will measure the indicated slot. No sample hits will be taken.

  • 1, PC-DMIS will measure the surface at the center of the slot. The slot hit will be to the right of the vector.

  • 3, PC-DMIS will measure the surface at three equally spaced hits starting from SLOT A. The slot hits will be relative to the measured plane, and any values will be offset from these points.

Sample Hits of three hits on a Square Slot (on left) and Round Slot (on right)

Note: To take the hits on the opposite side of the slot, reverse the centerline vector.

Ellipse

The only values that will be accepted are zero, one, and three. The measured plane will be used as the centerline vector for projection and measurement depth purposes.

PC-DMIS will measure the ellipse depending on the entered value. For example, if you selected:

  • 0, PC-DMIS will measure the indicated ellipse. No sample hits will be taken.

  • 1, PC-DMIS will take a single sample hit at the location where the ANGLE VEC points to (i.e. 0° + SPACER), not at the center of the ellipse (being particularly difficult should the ellipse be a hole).

  • 3, PC-DMIS will measure the surface at points outside (or inside) the ellipse an indicated distance from the outer edge (Spacer value). The first hit will be at the indicated start angle. Hit number two will be halfway between the start angle and end angle. The last hit will be at the end angle. The hits will be relative to the measured plane, and any values will be offset from these points.

Note: To take the hit on the opposite side of the ellipse, reverse the centerline vector.

Notch Slot

The sample hits also define the edge for the angle vector and width. The only values that will be accepted are zero through five. The measured plane will be used as the centerline vector for projection and measurement depth purposes.

PC-DMIS will measure the notch depending on the entered value. For example, if you selected:

  • 0, PC-DMIS will measure the indicated notch. No sample hits will be taken.

  • 1, PC-DMIS will measure the surface at the edge of the notch.

  • 2, PC-DMIS will measure the edge along the open side of the notch. This will define the angle vector and will be used to find the width of the notch.

  • 3, PC-DMIS will measure the surface at one end of the notch with two hits and one hit at the other end of the notch. The notch hits will be relative to the measured plane, any values will be offset from these points.

  • 4, PC-DMIS will measure the surface the same as three sample hits. A fourth hit will be taken on the edge along the open side to be used in finding the width of the notch.

  • 5, PC-DMIS will measure the surface the same as three sample hits. It will also measure the edge along the open side in the same manner as two sample hits.

Polygon

PC-DMIS will measure the polygon depending on the selected value. For example, if you select:

  • 0, PC-DMIS will measure the indicated polygon. No sample hits will be taken.

  • 1, PC-DMIS will take a single sample hit at the location to which the Angle vector points (i.e. 0° + SPACER).

Example Polygon Feature (hexagon) with one sample hit

  • 3, PC-DMIS will take the three sample hits in a triangular position on the surface around the polygon, if an internal polygon or on the surface of the polygon itself, if an external polygon. The first hit will always be at the location to which the Angle vector points.

Example Polygon Feature (hexagon) with three sample hits

Auto Feature

Spacer Description

Surface Point

The Spacer box defines the radius of the circle on which the nominal (A) and the sample points (B) lie.

Edge Point

The Spacer box defines the radius of an imaginary circle on which the nominal and the sample points lie.

A - Target Hit

B - Sample Hits

C - Spacer Distance

Angle Point

The Spacer box defines the offset distance between the points on each side of the bend.

A - Indent

B - Spacer

C - Indent + Spacer

Corner point

The Spacer box defines the distance from the radius of the first hit to the other hits.

A - Target Corner

B - Spacer

Circle, Cylinder, or Cone

The Spacer box defines the distance from the circumference of the circle to the sample hits.

Note: Clearance planes are not used when taking sample hits. When measuring studs, it is important to set the spacer value to a distance that will allow the probe to move around the stud.

A - Sample Hits

B - Spacer

Note: PC-DMIS expects the X, Y, Z nominal of the stud to be at the base. If the center point is at the top of the stud, set the depth and spacer to a negative value.

Square Slot, Round Slot, or Ellipse

The Spacer box defines the distance from the outer edge of the feature to the sample hit(s).

Spacer for a Square Slot or Notch (top)

A - Sample Hits

B - Spacer

Spacer for a Round Slot

Plane

The Spacer box defines the distance between the hits making up the plane.

Notch Slot

The Spacer box defines the distance from the edges of the notch where the sample hits will be taken.

Spacer (dotted lines) for a Notch Slot with two sample hits.

Polygon

The Spacer box defines the distance from the edges of the polygon where the sample hits will be taken.

Spacer (dotted lines) for a Polygon with three sample hits (larger dots).

Auto Feature

Indent Description

Edge Point

The Indent box displays the minimum offset distance from the point location to the first hit on each side of the bend (or edge).

Offset Distance from Edge

A - Target hit

B - Sample hits

C - Indent

Angle Point

PC-DMIS allows you to use two indent boxes, Indent 1 and Indent 2, in order to set the offset distances from the point location to the sample hits on each of the two surfaces of the bend in an angle point.

Indent in an Angle Point

A - Indent

B - Spacer

C - Indent + Spacer

  • The Indent 1 box allows you to set the offset distance from the point location to the sample hits on the first surface of the bend.

  • The Indent 2 box allows you to set the offset distance from the point location for the sample hits on the second surface of the bend.

Corner Point

PC-DMIS allows you to use three indent boxes, Indent 1 and Indent 2, and Indent 3 in order to set the offset distances from the point location to the sample hits on each of the three surfaces of the bend in a corner point.

  • The Indent 1 box allows you to set the offset distance from the point location to the sample hits on the first of the three planes.

  • The Indent 2 box allows you to set the offset distance from the point location to the sample hits on the second of the three planes.

  • The Indent 3 box allows you to set the offset distance from the point location to the sample hits on the third of the three planes.

Indent for a Corner Point. For one of the surfaces, 1 shows the indent point, 2 and 3 are the sample hits

A - Target Corner

B - Indent

Notch Slot

The Indent box defines where along the two parallel sides of the notch PC-DMIS will take the hits. It is the distance from the closed side of the notch, moving towards the open side.

Indent for a Notch Slot (dotted lines)

Working with Contact Sample Hits Properties

Contact Sample Hits Properties tab

This tab becomes visible when you have the Auto Feature dialog box open and a contact probe is enabled.

The Contact Sample Hits Properties tab contains items that allow you to change the sample hits properties for a number of supported Auto Features that use contact probes.

Depending on the type of feature in the Auto Feature dialog box, this tab may change to contain one or more of the following items:

Item

Supported Auto Features

Description

Sample Hits

Surface Point, Edge Point, Angle Point, Circle, Ellipse, Round Slot, Square Slot, Notch Slot, Polygon, Cylinder, Cone, Sphere

This list allows you to select the number of sample hits taken for the auto feature. These hits are used to measure the plane around the nominal point location, providing a sampling of the surrounding material. These are permanent sample hits.

For more information on sample hits, see "Sample Hits - Feature Specific Information" below.

Sample Hits Init

As Above

By default this list does not appear in the user interface because initial sample hits are used so infrequently. You can turn it back on using the PTPSupportsSampleHitsInit entry in the PC-DMIS Settings Editor.

It allows you to specify initial sample hits. The Initial sample hits are taken only on the initial measurement of the feature during execution of the part program.

Spacer

Surface Point, Edge Point, Angle Point, Corner Point, Plane, Circle, Ellipse, Round Slot, Square Slot, Notch Slot, Polygon, Cylinder, Cone

This box defines the distance from the nominal point location that PC-DMIS will use to measure a plane if sample hits are specified. For more information, see "Spacer - Feature Specific Information" below.

Indent

Edge Point, Notch Slot

For an Edge Point, this box defines the minimum offset distance from the point location to the first sample hit. For a Notch Slot it defines the distance from the closed side of the notch (opposite the open edge). See "Indent - Feature Specific Information" below.

Indent 1

Angle Point, Corner Point

This defines minimum offset distance from the feature's center location to the first of two or three sample hits. See "Indent - Feature Specific Information" below.

Indent 2

Angle Point, Corner Point

This defines minimum offset distance from the feature's center location to the second of two or three sample hits. See "Indent - Feature Specific Information" below.

Indent 3

Corner Point

This defines minimum offset distance from the feature's center location to the third of three sample hits. See "Indent - Feature Specific Information" below.

Sample Hits - Feature Specific Information

Spacer - Feature Specific Information

Indent - Feature Specific Information


Working with Contact Auto Move Properties

Contact Auto Move Properties tab

This tab becomes visible when you have the Auto Feature dialog box open and a contact probe is enabled.

The Contact Auto Move Properties tab contains items that allow you to change Auto Move properties for Auto Features that use contact probes.

Auto Moves are special moves added to your feature's path lines to help PC-DMIS avoid driving the probe through your feature when it actually measures it.

This tab contains the following items:

Item

Description

Avoidance Move

This list lets you choose the type of Avoidance Move for your current Auto Feature.

This list contains these items:

NO - There will be no Avoidance Moves used for the current feature.

BEFORE - Before PC-DMIS measures the first hit on the current feature, it will first move to the specified distance above the first hit. View Demo

AFTER - After PC-DMIS measures the last hit on the current feature, it will move to the specified distance above the last hit. View Demo

BOTH - Applies the Avoidance Move distance to the path lines both before and after PC-DMIS measures the feature.

Distance

This specifies the distance above the first probing or last probing to which the probe will move during execution.


Working with Contact Find Hole Properties

  • If the hole is found: PC-DMIS will move to the down to the “check distance” depth and proceed to take three hits equally spaced around the hole to determine the general location of the hole. Following this general adjustment PC-DMIS will then measure the hole using the parameters defined by the user in the tab for the feature. This includes Sample hits etc. This is the same as the CENTER item describe above.

  • If the hole is not found: PC-DMIS will back away from the surface and start a circular search pattern that is (feature radius – probe radius) out from the theoretical feature center. The search will try (2 * PI * feature radius/(feature radius – probe radius)) locations around the search circle. If the hole is still not found the search radius will be increased by (feature radius – probe radius) and will continue until the search radius is equal to the prehit distance. If the prehit is smaller than (feature radius – probe radius) only one search pattern will be completed.

  • If the hole is never found: PC-DMIS will move the probe to a position of a prehit above the theoretical center of the feature and prompt the user to do a “Read Position”. (See "Read Pos / Read Position button".)

  • Adjustments along the surface normal: As PC-DMIS searches and finds a surface instead of the hole it will continually update the search height based on the found surfaces. Once the hole is found, it will update the depth of measurement of the hole based on the last surface found. If the hole is found the first time, no adjustments are made.

  • Adjustments with RMEAS: If you supply an RMEAS feature (or features) PC-DMIS assumes you desire to use the feature(s) as the reference for both the search height and the depth of the hole measurement. Therefore, there will be no adjustment along the surface normal other than the RMEAS adjustment.

  • If the hole is found: PC-DMIS will move down to the “check distance” depth and measure one hit on each of four the sides of the slot. It will adjust for the center of the four hits and measure two hits on one of the long sides to adjust for the slot rotation. After a general location and orientation of the slot is calculated, the Slot will be measured using the parameters defined in the tab for the feature.

  • If the hole is not found: PC-DMIS will back away from the surface and start a circular search pattern that is (feature radius – probe radius) out from the theoretical feature center. The search will try (2 * PI * feature radius/(feature radius – probe radius)) locations around the search circle. If the hole is still not found the search radius will be increased by (feature radius – probe radius) and will continue until the search radius is equal to the prehit distance. If the prehit is smaller than (feature radius – probe radius) only one search pattern will be completed.

  • If the hole is never found: PC-DMIS will move the probe to a position of a prehit above the theoretical center of the feature and prompt the user to do a “Read Position”. (See "Read Pos / Read Position button".)

  • Adjustments along the surface normal: As PC-DMIS searches and finds a surface instead of the hole it will continually update the search height based on the found surfaces. Once the hole is found, it will update the depth of measurement of the hole based on the last surface found. If the hole is found the first time, no adjustments are made.

  • Adjustments with RMEAS: If you supply an RMEAS feature (or features) PC-DMIS assumes you desire to use the feature(s) as the reference for both the search height and the depth of the hole measurement. Therefore, there will be no adjustment along the surface normal other than the RMEAS adjustment.

  • If the hole is found: PC-DMIS will move down to the “check distance” depth to measure the hole's depth, and then to measure the hole.

  • If the hole is not found: PC-DMIS will back away from the surface and start a search pattern. The pattern is circular and is adjusted out one half the width from the theoretical feature center (which for notches, is the center of the inside edge.). The search will try eight locations around that location. If the hole is found, the probe will move to the depth to measure the hole's depth, and then to measure the hole.

  • If the hole is never found: PC-DMIS will move the probe to a position of a prehit above the theoretical center of the feature and prompt the user to do a “Read Position”. (See "Read Pos / Read Position button".)

If you respond by clicking the Yes button, PC-DMIS will require you to place the probe in a cylindrical zone above the circle.

Placing the Probe in the Cylindrical Zone: You only need to place the probe in the center of the imaginary 3D cylinder of the hole. The depth and orientation of the measurement will then be automatically determined by one of the following:

  • RMEAS feature: If you provide an RMEAS feature, PC-DMIS assumes you want to measure the hole with respect to that feature (or features). Therefore, the feature(s) will be used to define the surface normal and depth of measurement, while the Read Pos will be used to determine the other two axes of translation.

  • Find Hole: If Find Hole is used and the surface around the hole is touched at least one time, then PC-DMIS will adjust all three axes. Two of the axes are based on the location of the probe once it has found the hole and the third axis, along the surface normal, is based on the last surface touched. Find Hole will not override an RMEAS feature.

  • Sample Hits: If sample hits are used they are always the top priority on determining both the orientation and depth of measurement of the hole.

  • None of the above: If none of the above options are used, PC-DMIS will probe the hole based on the provided target and depth values, adjusted by the probe placement within the cylindrical zone.

Current Help System: PC-DMIS CMM (View Core Help)

Working with Contact Find Hole Properties

Contact Find Hole Properties Tab

This tab becomes visible when you have the Auto Feature dialog box open and a contact probe is enabled. The items become available for selection if PC-DMIS is in DCC mode.

The Contact Find Hole Properties tab contains items that allow you to change Find Hole properties for Auto Features that use contact probes.

General Find Hole Process

Once you select a routine from the Find Hole list (NOCENTER, SINGLE HIT, or CENTER) and execute your part program, PC-DMIS positions the probe a Prehit Distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance is reached (indicating that the hole is present). See "Check Distance" in the "Setting Your Preferences" section.

If Find Hole fails, PC-DMIS displays the Read Position dialog box. This gives you the choice to either read a new position from which to continue searching for the hole (click Yes), or to skip this feature and move on to the next feature (click No).

  • If you choose Yes, you can then use your jog box to move the probe to the new location.

  • If you choose No, PC-DMIS moves the probe away from the hole by the distance specified for an Avoidance Move (see "Working with Contact Auto Move Properties") and continues running the part program. This movement helps to prevent a possible probe collision.

Additionally, you can set PC-DMIS to automatically continue executing the part program when the hole can't be found. See "Auto Continue Execution if FindHole Fails" in the "Setting Your Preferences" section.

Tab Items

Depending on the type of feature in the Auto Feature dialog box, this tab may change to contain one or more of the following items:

Item

Supported Auto Features

Description

Find Hole

  • Circle

  • Round Slot

  • Square Slot

  • Notch Slot

  • Polygon

  • Cylinder

This list contains these list options. They determine how PC-DMIS proceeds when attempting to find a hole. If a list option is not available, it is not supported for that feature type.

DISABLED - No Find Hole operation is performed.

NOCENTER - This item acts as the CENTER item except the probe doesn't take the three hits to find the rough estimate of the hole's center. It merely begins measuring the circle using existing parameters set in the specific auto feature dialog box.

SINGLE HIT - This setting tells the probe to take one single hit. If it hits the surface and doesn't find the hole, then it automatically switches to the "If the hole is not found" case described below. If the probe finds the hole proceeds using the NOCENTER option.

CENTER - This item first causes the probe to move down to the "check distance" depth to make sure it doesn't encounter any material. It then moves to either the feature's depth or to the Check Distance * Percent to search inside the hole for a rough estimate of the hole's center (see "Registry Items" below). The probe does this by taking three hits equally spaced around the hole. Once the probe has the hole's general location, it then proceeds to measure the hole using the parameters set in the specific auto feature dialog box. Unless NOCENTER or SINGLE HIT is selected, this is the default procedure that PC-DMIS follows if the hole is found.

Note: A Find Hole registry entry gives you greater control over the depth of the centering process. By default, the centering process’s Z component is determined by the feature’s depth. This is often used in conjunction with an Rmeas (plane) feature. However, sometimes when you don't use an Rmeas feature, and the surface of the part varies greatly in Z, the centering process will never find the hole because the part’s surface lies below the search depth. In this case, you can instead have the Find Hole centering process execute at the Check Distance * Percent, by setting the FHCenteringAtChkDistTimesPercentInsteadOfDepth registry entry to TRUE in the PC-DMIS Settings Editor. This entry is located in the USER_AutoFeatures section. See "Parameter Settings: Motion tab" to set the Check Distance and Percent values.

Find Hole Specifics for a Circle or a Cylinder

Find Hole Specifics for a Square Slot or Round Slot

Find Hole Specifics for a Notch Slot

Supported Interfaces

All the DCC interfaces support the Find Hole functionality. If you experience a problem with a specific interface, please contact technical support and we will investigate the issue.

On Hit Error

  • Edge Point

  • Angle Point

  • Corner Point

  • Circle

  • Ellipse

  • Round Slot

  • Square Slot

  • Notch Slot

  • Polygon

  • Cylinder

  • Cone

The On Hit Error check box allows improved error checking when PC-DMIS detects an unexpected or missed hit.

If you select this check box, PC-DMIS will:

  • Automatically take a Read Position (see "Read Position" below) whenever an unexpected probe hit or missed probe hit takes place during the measurement cycle.

  • Measure the entire feature with the new location obtained from the Read Position.

The Edit window command line for this option would read:

ONERROR = TOG

TOG: This toggle field switches between YES (on) and NO (off).

For additional information on what options you have when PC-DMIS detects unexpected or missed hits, see "Branching On an Error" in the "Branching by Using Flow Control" section.

Note: By default, when PC-DMIS performs a read position operation (such as used in Read Pos, Find Hole, or On Error) it only returns the X and Y values. However two registry entries give you further control over returning the Z axis value as well. These are: ReadPosUpdatesXYZ and ReadPosUpdatesXYZEvenIfRMeas. If these registry entries are set to FALSE, the location found by the read position is snapped to the feature's normal vector and stored as the target. However, since Edge Point, Angle Point, and Corner Point features do not have a normal vector, but are instead defined by a combination of vectors, for these feature types PC-DMIS will not snap the read position location to a feature vector as it did in versions prior to v43. Instead, PC-DMIS ignores the above registry entries and assigns the target (TARG field) the XYZ of the read position.

Supported Interfaces

All the DCC interfaces support the On Error functionality. If you experience a problem with a specific interface, please contact technical support and we will investigate the issue.

Read Position

  • Circle

  • Ellipse

  • Round Slot

  • Square Slot

  • Notch Slot

  • Polygon

  • Cylinder

  • Cone

Selecting this check box causes PC-DMIS to pause execution above the surface feature and to display a message asking if you want to use the current data.

  • If you respond by clicking the No button, PC-DMIS will require you to move the probe to the desired location before the measurement process can continue.

  • If you respond by clicking the Yes button, PC-DMIS will measure the feature and will use the current probe data.

Read Position Specifics for a Circle

Note: By default, when PC-DMIS performs a read position operation (such as used with the Read Position check box, Find Hole list or the On Hit Error check box), it only returns the X and Y values. However, two registry entries give you further control over returning the Z axis value as well. These are: ReadPosUpdatesXYZ and ReadPosUpdatesXYZEvenIfRMeas.

Turning Off Find Hole's Default Last Hit Adjustment

During a Find Hole operation, when the probe registers a hit, its ruby tip usually contacts with the surface (meaning it hasn't yet found the hole), and the Z value for the next search hit is then adjusted with the Z value of the last hit. This normal behavior is usually what you want, but in some cases you may want to turn off this adjustment. You can do this by setting AdjustFindHoleByLastHit to FALSE in the PC-DMIS Settings Editor.

For example, if your wrist cannot move to a tip angle matching your feature's vector, your probe's stem may contact with the hole's edge during the Find Hole operation, resulting in a registered hit that PC-DMIS assumes is the part's surface at the ruby tip's location. By default, PC-DMIS will attempt to adjust the Z value of the next search hit by the last value, resulting in a bad move. If you turn off this default last hit adjustment, then in a case like this, PC-DMIS will continue searching without adjusting the Z value.

Sequence of Events |  | Figure | Description
Frame 1 The tip angle does not match the hole's vector. |  |  | A) U,V,W B) Direction of Search C) Move D) Approach Distance
Frame 2 This results in the stem of the probe contacting the edge of the part at E and registering a hit at B. |  |  | A) U,V,W B) Hit C) Move D) Approach Distance E) Stem Contact
Frame 3 (Default behavior) By default, PC-DMIS adjusts the Z value for the next search hit, but in this case, this results in a bad move at F. | With AdjustFindHoleByLastHit set to True |  | A) U,V,W B) Hit C) Move D) Approach Distance E) Stem Contact F) Bad Move
Frame 3 (Modified Behavior) However, if you turn off the default adjustment, PC-DMIS will continue searching for the hole using a correct move at F. | With AdjustFindHoleByLastHit set to False |  | A) U,V,W B) Hit C) Move D) Approach Distance E) Stem Contact F) Correct Move


Current Help System: PC-DMIS CMM (View Core Help)

Creating Alignments

  • Creating an Alignment


Creating an Alignment

Alignments are essential to setting the coordinate origin and defining the X, Y, Z axes. If you've been through the tutorial in the "Getting Started" section, you have already created a simple 3-2-1 alignment.

Hint: PC-DMIS provides a handy 321 Alignment Wizard [image] from the Wizards toolbar.

Additional alignment options such as Iterative alignments and Best Fit alignments can also be used depending on your needs. See the "Creating and Using Alignments" section in the "PC-DMIS Core" documentation for in depth information on working with alignments.


Measuring Features

  • Measuring Features: Introduction

  • Inserting Measured Features

  • Inserting Auto Features


Measuring Features: Introduction

PC-DMIS provides you with two ways to define part features and add them into your part program for PC-DMIS to measure during execution:

Measured Features Method

Whenever you probe hits on the part, PC-DMIS interprets those hits into different features, termed "Measured Features" depending on the number of hits, their vectors, and so forth. The supported Measured Features are: Point, Line, Plane, Circle, Sphere, Cone, Cylinder, Round Slot, and Square Slot

See Inserting Measured Features.

Auto Features Method

If your version of PC-DMIS supports Auto Features, you can easily insert program part features into your program as "Auto Features". In many cases this automatic feature recognition is as simple as single-clicking with your mouse on the appropriate feature in the Graphics Display window. The supported Auto Features are: Vector Point, Surface Point, Edge Point, Angle Point, Corner Point, High Point, Line, Plane, Circle, Ellipse, Notch Slot, Round Slot, Square Slot, Cylinder, Cone, Sphere, and Polygon.

See Inserting Auto Features.


Inserting Measured Features

To insert Measured Features into your part program, simply take the required number of hits for the desired feature type on the feature on the part and then press the DONE button on your jog box or the END key on your keyboard. PC-DMIS inserts the feature into the Edit window.

If you like, you can use the Measured Features toolbar to assist you in this:

Measured Features toolbar

Clicking one of these feature icons on the toolbar will tell PC-DMIS you are about to take hits on a feature of that type. This ensures that the proper feature will be created in your part program when you finish taking the necessary number of hits.

You don't have to use the toolbar. If you don't use any of these toolbar icons, PC-DMIS guesses the correct feature type based on the number of hits and their vectors.

See the "Creating Measured Features" section in the PC-DMIS Core documentation.

More:

Creating a Measured Point

Creating a Measured Line

Creating a Measured Plane

Creating a Measured Circle

Creating a Measured Cylinder

Creating a Measured Cone

Creating a Measured Sphere

Creating a Measured Round Slot

Creating a Measured Square Slot


Creating a Measured Point

Using the Point icon, you can measure the position of a point belonging to a plane aligned with a reference plane (shoulder) or a point in space.

To create a measured point you must take one hit on the part.


Creating a Measured Line

With the Line icon you can measure the orientation and linearity of a line belonging to a plane aligned with a reference plane, or a line in space.

To create a measured line you must take two hits on the part.

Measured Lines and Working Planes

When creating a measured line, PC-DMIS expects the hits for the line to be taken at a vector perpendicular to the current working plane.

For example, if your current working plane is ZPLUS (with a vector 0,0,1), and you have a block-like part, the hits for the measured line must be on a vertical wall of that part, such as the front or side.

If you then wanted to measure a line feature on the top surface of the part, you would need to switch the working plane to XPLUS, XMINUS, YPLUS, or YMINUS, depending on the direction of the line.


Creating a Measured Plane

 | Use the Plane icon to measure any flat or planar surface.
To create a measured plane you must take a minimum of three hits on any flat surface. If you only use the minimum of three hits, it's best to select the points in a large triangular pattern that cover the widest area of the surface.
Example Plane with 4 Points | Example Plane with 8 Points


Creating a Measured Circle

 | The Circle icon is used to measure the diameter, roundness, and position of the center of a hole/stud parallel to a reference plane, i.e. the perpendicular section of a cylinder aligned with a reference axis.
To create a measured hole or stud you must take a minimum of three hits. The plane is automatically recognized and set by the system during measurement. The points to be picked must be uniformly distributed on the circumference.
Example Circle with 4 Points | Example Circle with 8 Points


Creating a Measured Cylinder

Use the Cylinder icon to measure the diameter, cylindricity, and orientation of the axis of a cylinder oriented in space. The position of the baricenter of the points picked is also calculated.

To create a measured cylinder you must take a minimum of six hits on the cylinder. The points to be picked must be uniformly distributed over the surface. The first three points picked must lie on a plane perpendicular to the main axis.

Example Cylinder with eight points

Note: Be aware that certain patterns of points (such as two rows of three equally spaced points or two rows of four equally spaced points) result in multiple ways to construct or measure a cylinder, and PC-DMIS's Best Fit algorithm may construct or measure the cylinder using an unexpected solution. For best results, measured or constructed cylinders should use a pattern of points that will eliminate unwanted solutions.


Creating a Measured Cone

Use the Cone icon to measure conicity, angle at the tip, and orientation in space of the axis of a cone. The position of the baricenter of the points picked is also calculated.

To create a measured cone, you must take a minimum of six hits. The points to be picked must be uniformly distributed on the surface. The first three points picked must lie on a plane perpendicular to the main axis.

Example Cone using eight points


Creating a Measured Sphere

 | Use the Sphere icon to measure the diameter, sphericity, and position of the center of a sphere.
To create a measured sphere you must take a minimum of four hits. The points to be picked must be uniformly distributed over the surface. The first four points picked must not lie on the same circumference. The first point should be taken on the pole of the sphere's cup. The other three points are taken on a circumference.
Example Sphere with 5 Points | Example Sphere with 9 Points


Creating a Measured Round Slot

Use the Round Slot icon to create a measured round slot.

To create a measured round slot, you must take at least six hits on the slot, usually two points on each straight side and one point on each curve. Alternately, you could take three points on each curve.

Example Round Slot with Six Points


Creating a Measured Square Slot

Use the Square Slot icon to create a measured square slot.

To create a measured square slot, you must take five hits on the slot, two on one of the long sides of the slot and then one hit on each of the three remaining sides. The hits must be taken in a strictly clockwise or counterclockwise direction.

Example Square Slot with Five Points in a Clockwise Direction


Inserting Auto Features

To insert Auto Features into your part program, access the Auto Feature dialog box for the desired Auto Feature by selecting Insert | Feature | Auto and then select the feature type. Alternately, you can select the feature type from the Auto Features toolbar.

Auto Features toolbar

With the dialog box open, the ideal way to create the feature is to simply click on the feature in the Graphics Display window. PC-DMIS will fill in the dialog box with the necessary information taken directly from the CAD model. If you don't have access to a CAD model, you can probe hits directly on your part. Once the dialog box is filled out, click Create on the dialog box (or press DONE on your jog box) to insert the feature into the Edit window.

The Auto Feature dialog box and its options are not discussed in this documentation set. Since many of the Auto Feature dialog box options are common to the different configurations of PC-DMIS, this information is held in the PC-DMIS Core documentation. Consult the "Creating Auto Features" section in the PC-DMIS Core documentation for in depth information on the options available on the Auto Feature dialog box.

For all internal or external features, be sure that the proper feature type, HOLE or STUD, is selected. See "Hole or Stud options" in the PC-DMIS Core documentation.

More:

Creating an Auto Vector Point

Creating an Auto Surface Point

Creating an Auto Edge Point

Creating an Auto Angle Point

Creating an Auto Corner Point

Creating an Auto High Point

Creating an Auto Line

Creating an Auto Plane

Creating an Auto Circle

Creating an Auto Ellipse

Creating an Auto Square Slot

Creating an Auto Round Slot

Creating an Auto Notch Slot

Creating an Auto Polygon

Creating an Auto Cylinder

Creating an Auto Cone

Creating an Auto Sphere


Creating an Auto Vector Point

The Vector Point measurement option allows you to define a nominal point location as well as the nominal approach direction that the CMM will use to measure the point defined.

To access the Vector Point option, access the Auto Feature dialog box for a Vector Point (Insert | Feature | Auto | Point | Vector). Display Menu Roadmap

Auto Feature dialog box - Vector Point

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a vector point using surface data:

  1. Position the cursor in the Graphics Display window to indicate the desired location of the point (on the surface)

  2. Click on the surface. PC-DMIS will highlight the selected surface.

  3. Verify that the correct surface has been selected. PC-DMIS pierces the highlighted surface and displays the location and vector of the selected point. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector icon lets you change the direction of the approach.

  4. Click Create to insert the feature into your part program. If additional mouse clicks are detected before you select the Create button, PC-DMIS will overwrite the previously displayed information with the new data.

Creating by Using Surface Data with the CMM

To generate a vector point using surface data with the CMM, touch on the desired surface of the part using the probe. PC-DMIS will pierce the CAD surface closest to the probe contact point.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

  • If the touch point is actually near the surface data, the Measure Now Toggle icon is not selected, and the Done button on the jog box is pressed, the point feature will be created and added to the Edit window immediately. If the touch point is near the surface data, but the Measure Now Toggle icon is selected, the surface data will still be used, but the feature will not be created until the Create button is clicked.

  • If the touch point is not near the surface data, PC-DMIS will treat the touch as an actual hit, displaying the hit location and approach vector.

  • If a second hit is taken prior to selecting the Create button, the location data of the second hit will be used.

  • If a third hit is taken, the three hits will be used to determine an approach vector, and the last hit will be used for the location.

  • If more than three hits are taken, all but the last hit will be used to determine the approach vector. The last hit will always be used to determine the location.

Creating by Using Wire Frame Data on the Screen

To use wire frame CAD data to generate a vector point:

  1. Select two edges (wires) of the surface where the target point will be by clicking on the desired wires with the left mouse button. (These wires should be on the same surface.) PC-DMIS will highlight the selected wires.

  2. Verify that the correct wires have been selected.

  3. Select the target point on the created surface. This final selection will be projected into the plane that is formed by the two wire vectors and the first wire's height.

Creating by Using Wire Frame Data with the CMM

To generate a vector point using wire frame data:

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

  • The first hit that is taken will indicate the X, Y, Z nominal. PC-DMIS will also display the I, J, K vector. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface). This data can be accepted, or you can follow the messages displayed in the message box requesting additional hits.

  • A second hit will update the hit location and approach vector using the most recent hit.

  • The third hit on the surface will change the displayed X, Y, Z nominal to the current hit location. PC-DMIS will make a plane out of the three hits to find the I, J, K approach vector.

  • Any additional hits will update the location of the hit using the most current hit information. The approach vector will also be updated to reflect an average of all previous hits (does not include the most recent hit) for the vector point.

The displayed data can be accepted at any time after the first, second or third hit is taken. Even if the third hit was not accepted, PC-DMIS internally resets the system, causing the next hit (hit #4) to become the first hit in the series.

Creating without Using CAD Data

If the vector point is to be generated without the use of CAD data:

  • The first hit that is taken will indicate the X, Y, Z nominal. PC-DMIS also will display the I, J, K approach vector of that hit. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface). This data can be accepted, or you can follow the messages displayed in the message box requesting additional hits.

  • A second hit will update the hit location and approach vector using the most recent hit.

  • The third hit on the surface will change the displayed X, Y, Z nominal to the current hit location. PC-DMIS will make a plane out of the three hits to find the I, J, K approach vector.

  • Any additional hits will update the location of the hit using the most current hit information. The approach vector also will be updated to reflect an average of all previous hits (does not include the most recent hit) for the vector point.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the vector point.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Surface Point

The Surface Point measurement option allows you to define a nominal point location as well as a nominal approach direction that the CMM will use to measure the point defined. PC-DMIS allows you to define the number of points that will be used to measure a plane around the nominal point location, as well as the size of the plane. Once the plane is measured, PC-DMIS will use the calculated surface normal vector of the plane to approach the nominal point location for measurement.

Note: The allowable number of sample hits needed to measure a surface point is zero or three.

To access the Surface Point option, access the Auto Feature dialog box for a Surface Point (Insert | Feature | Auto | Point | Surface). Display Menu Roadmap

Auto Feature dialog box - Surface Point

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a surface point using surface data:

  1. Click on the Surface Mode icon [image] .

  2. Position the cursor in the Graphics Display window to indicate the desired location of the point (on the surface).

  3. Click the left mouse button. PC-DMIS will highlight the selected surface.

  4. Verify that the correct surface has been selected. PC-DMIS pierces the highlighted surface, displaying the location and vector of the selected point. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used the Flip Vector icon lets you change the direction of the approach.

  5. Click Create to insert the feature in to the part program. If additional mouse clicks are detected before you select the Create button, PC-DMIS will overwrite the previously displayed information with the new data.

Creating by Using Surface Data with the CMM

To generate a surface point using surface data with the CMM, touch on the desired surface of the part using the probe. PC-DMIS will pierce the CAD surface closest to where the probe touched.

  • If the touch point is actually near the surface data, and the measured check box is not selected, the point feature will be created and added to the Edit window immediately

  • If the touch point is near the surface data, but the measure box is checked, the surface data will still be used, but the feature will not be created until the Create button is clicked.

  • If the touch point is not near the surface data, PC-DMIS will treat the touch as an actual hit, displaying the hit location and approach vector.

  • If a second hit is taken prior to clicking the Create button, the location data of the second hit will be used.

  • If a third hit is taken, the three hits will be used to determine an approach vector, and the last hit will be used for the location.

  • If more than three hits are taken, all but the last hit will be used to determine the approach vector. The last hit will always be used to determine the location.

Creating by Using Wire Frame Data on the Screen

To use a wire frame CAD data to generate a surface point:

  1. Select two edges (wires) of the surface where the target point will be by clicking on the desired wires with the left mouse button. (These wires should be on the same surface.) PC-DMIS will highlight the selected wires.

  2. Verify that the correct wires have been selected. A message box will appear

  3. Select the target point on the created surface. This final selection will be projected into the plane that is formed by the two wire vectors and the first wire's height.

Creating by Using Wire Frame Data with the CMM

If the surface point is to be generated using wire frame CAD data:

  • The first hit that is taken will indicate the X, Y, Z nominal. PC-DMIS will also display the I, J, K vector. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface). This data can be accepted, or you can follow the messages displayed in the message box requesting additional hits. A second hit will update the hit location and approach vector using the most recent hit.

  • The third hit on the surface will change the displayed X, Y, Z nominal to the current hit location. PC-DMIS will make a plane out of the three hits to find the I, J, K approach vector.

  • Any additional hits will update the location of the hit using the most current hit information. The approach vector also will be updated to reflect an average of all previous hits (excluding the most recent hit) for the surface point.

The displayed data can be accepted at any time after the first, second or third hit is taken. Even if the third hit was not accepted, PC-DMIS internally resets the system, causing the next hit (hit #4) to become the first hit in the series.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating without Using CAD Data

If the surface point is to be generated without the use of CAD data:

  • The first hit that is taken will indicate the X, Y, Z nominal. PC-DMIS will also display the I, J, K vector. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface). This data can be accepted, or you can follow the messages displayed in the message box requesting additional hits.

  • A second hit will update the hit location and approach vector using the most recent hit.

  • The third hit on the surface will change the displayed X, Y, Z nominal to the current hit location. PC-DMIS will make a plane out of the three hits to find the I, J, K approach vector.

  • Any additional hits will update the location of the hit using the most current hit information. The approach vector also will be updated to reflect an average of all previous hits (does not include the most recent hit) for the surface point.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the surface point.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Edge Point

The Edge Point measurement option allows you to define a point measurement that is to be taken on the part's edge. This measurement type is particularly useful when the part's material is thin enough that a precisely controlled CMM measurement hit is required. Five sample hits are needed to accurately measure an edge point.

To access the Edge Point option, access the Auto Feature dialog box for an Edge Point (Insert | Feature | Auto | Point | Edge). Display Menu Roadmap

Auto Feature dialog box - Edge Point

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate an edge point using surface data:

  1. Click on the Surface Mode icon [image] .

  2. With the mouse, click once on the surface near the edge where you want to create the Auto Edge Point.

  3. Verify that the correct surface has been selected. The dialog box will display the value of the selected edge point and vector once the point has been indicated. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector icon lets you change the direction of the approach.

  4. Click Create to insert the feature in to the part program. If additional mouse clicks are detected before you click the Create button, PC-DMIS will overwrite the previously displayed information with the new data.

Creating by Using Surface Data with the CMM

To generate an edge point using surface data with the CMM:

  1. Touch near the desired edge of the part using the probe.

  2. Try to make the shank as normal to the surface as possible.

PC-DMIS will pierce the CAD surface closest to where the probe touched. The displayed X, Y, Z values reflect the closest CAD edge to the hit, not the actual hit. The I, J, K reflects the surface normal vector.

If a CAD edge is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

If a second touch is taken on the opposite surface prior to clicking the Create button, PC-DMIS will alter the location values as appropriate. The displayed vectors, however, will remain constant.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating by Using Wire Frame Data on the Screen

Wire frame CAD data also can be used to generate an edge point.

To generate an edge point:

  1. Click near the desired wire on the edge side (not within the boundary of the top surface). PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected.

The probe approach is always perpendicular to the line, as well as perpendicular to the current probe centerline vector. The probe will approach from the side of the edge that was clicked on. The dialog box will display the value of the selected edge point and the vector once the wire has been indicated.

If an additional touch is necessary, click on the opposite wire of the (normal) surface.

Creating by Using Wire Frame Data with the CMM

To generate an edge point using wire frame data with the CMM :

  1. Touch near the desired edge of the part using the probe.

  2. Try to make the shank as normal to the surface as possible.

PC-DMIS will pierce the CAD wire closest to where the probe touched. The displayed X, Y, Z values reflect the closest CAD edge to the hit, not the actual hit. The I, J, K reflects the surface normal vector. If a CAD edge is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

If a second touch is taken on the opposite surface prior to clicking the Create button, PC-DMIS will alter the location values as appropriate. The displayed vectors, however, will remain constant.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating without Using CAD Data

If the edge point is to be generated without the use of CAD data:

  • The first three hits that are taken will indicate the surface vector nominal.

  • The next two hits will find and display the other vector. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface).

  • The last hit (sixth hit) will indicate the actual edge point location.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the edge point.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Corner Point

The Corner Point measurement option allows you to define a point measurement that is the intersection of three measured planes. This measurement type allows you to measure the intersection of three planes without measuring the planes separately and constructing an intersection point. Nine hits (three hits on each of the three planes) must be used to measure a corner point.

To access the Corner Point option, access the Auto Feature dialog box for a Corner Point (Insert | Feature | Auto | Point | Corner). Display Menu Roadmap

Auto Feature dialog box - Corner Point

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a corner point using surface data:

  1. Click on the Surface Mode icon [image] .

  2. Using the mouse, click once near the corner. You'll notice PC-DMIS automatically re-positions the animated probe on the corner point.

  3. Verify that the correct corner point is selected. The dialog box will display the value of the selected corner point and vector once the point has been indicated.

  4. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  5. Click Create.

Creating by Using Surface Data with the CMM

To generate a corner point using surface data with the CMM:

  1. Touch once on each of the three surfaces that converge on the corner. PC-DMIS assumes that the surfaces are mutually perpendicular.

  2. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  3. Click Create.

If the CAD corner point is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating by Using Wire Frame Data on the Screen

Wire frame CAD data can also be used to generate a corner point.

To generate the point:

  1. Using the mouse, click once near (but not on) the corner. PC-DMIS will highlight the selected surface.

  2. Verify that the correct surface has been selected. The dialog box will display the value of the selected corner point and vector once the point has been indicated. (If necessary, touch on a different edge, leading into the corner.)

  3. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  4. Click Create.

Creating by Using Wire Frame Data with the CMM

To generate a corner point using wire frame data with the CMM:

  1. Touch twice on the first surface.

  2. Touch once near the edges that converge on the corner. PC-DMIS assumes that the surfaces are mutually perpendicular. If the CAD corner point is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

  3. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  4. Click Create.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating without Using CAD Data

To generate a corner point without the use of CAD data:

  1. Touch three times on the first surface.

  2. Touch two times on the second surface.

  3. Touch once on the third surface.

  4. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  5. Click Create.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the corner point.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Angle Point

The Angle Point measurement option allows you to define a point measurement that is the intersection of two measured lines. This measurement type allows you to measure the intersection of two lines without measuring the lines separately and constructing an intersection point. Six hits are needed to accurately measure an angle point.

To access the Angle Point option, access the Auto Feature dialog box for an Angle Point (Insert | Feature | Auto | Point | Angle). Display Menu Roadmap

Auto Feature dialog box - Angle Point

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate an angle point using surface data:

  1. Click the Surface Mode icon [image] .

  2. Using the mouse, click once near (but not on) the angled edge in the Graphics Display window. PC-DMIS will highlight the selected surface.

  3. Verify that the correct surface has been selected. The dialog box will display the value of the selected angle point and vector once the point has been indicated. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector icon lets you change the direction of the approach.

  4. Click Create to insert the feature into the part program. If additional mouse clicks are detected before you click the Create button, PC-DMIS will overwrite the previously displayed information with the new data. If an additional touch is necessary, click on the opposite surface of the angled edge.

Creating by Using Surface Data with the CMM

To generate an angle point using surface data with the CMM, touch once on each side of the angle edge. If the CAD angle point is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating by Using Wire Frame Data on the Screen

Wire frame CAD data also can be used to generate an angle point.

To generate the point:

  1. Using the mouse, click once near (but not on) the angled edge. PC-DMIS will highlight the selected surface.

  2. Verify that the correct surface has been selected. The dialog box will display the value of the selected angle point and vector once the point has been indicated. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector icon lets you change the direction of the approach.

  3. Click Create to insert the feature into the part program. Any additional mouse clicks prior to clicking the Create button will overwrite the previously displayed information with the new data. If an additional touch is necessary, click on the opposite surface of the angled edge.

Creating by Using Wire Frame Data with the CMM

To generate an angle point using wire frame data with the CMM, touch once on each side of the angle edge. If the CAD angle point is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating without Using CAD Data

If the angle point is to be generated without the use of CAD data, touch three times on each surface to find the two planes. The displayed angle point is at the first hit location.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the angle point.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto High Point

The High Point auto option allows you to search a user-defined search region to locate the highest point in the current work plane. This samples the region itself for the highest point, it doesn't search existing points in your part program.

View High Point Creation Example:

See a brief demo on inserting and formatting a Text object

View High Point Execution Example:

See a brief demo on inserting and formatting a Text object

The result of the search is a single point defined by its X, Y, Z coordinates and approach vector.

To access the High Point option, access the Auto Feature dialog box for a High Point (Insert | Feature | Auto | Point | High). Display Menu Roadmap

Auto Feature dialog box - High Point

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To define the high point search area using surface data:

  1. Position the cursor in the Graphics Display window to indicate the desired location of the start point (on the surface).

  2. Click the left mouse button. PC-DMIS will highlight the selected surface. The first click on the surface will define the center of the search region as the same as the start point. If a different search center is required, position the cursor in the Graphics Display window to indicate the desired location of the search center and click once more with the left mouse button. Each consecutive click with the left mouse button will alternate between the start point and the search center.

  3. Verify that the correct surface has been selected. PC-DMIS pierces the highlighted surface, displaying the location and vector of the selected point. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector icon lets you change the direction of the approach.

  4. Select the type of search zone to use by choosing either Circular or Box from the Mode list in the Measurement Properties area.

  5. Define the size of the search zone by changing the values in the Width and Length boxes for a box type search zone or the Inner Radius and Outer Radius boxes for a circular type search zone. PC-DMIS displays the search zone in the highlight color.

  6. Define the Increment and Tolerance values for the high point procedure to use.

  7. Make any other changes as needed on the dialog box.

  8. Click Create to insert the feature in to the part program. When you execute the part program, PC-DMIS will search for and then return the highest point within the defined search region.

Creating by Using Surface Data with the CMM

To define the search region for the high point with the CMM :

  1. Touch the desired surface of the part using the probe. This will define both the center of the search area and the start point as being the same.

  2. If a different search center is desired, touch the desired surface with the probe once more. This will define a new center for the search region. If another point is sampled with the probe, it will change the location of the start point and approach vector. Each consecutive sample taken will alternate between the search center and the start point. Each time that the probe samples the surface of the part, PC-DMIS will pierce the CAD surface closest to where the probe touched. This information gathered from the surface model will be used to define the start point and search center.

  3. Select the type of search zone to use by choosing either Circular or Box from the Mode list in the Measurement Properties area.

  4. Define the size of the search zone by changing the values in the Width and Length boxes for a box type search zone or the Inner Radius and Outer Radius boxes for a circular type search zone. PC-DMIS displays the search zone in the highlight color.

  5. Define the Increment and Tolerance values for the high point procedure to use.

  6. Make any other changes as needed on the dialog box.

  7. Click Create to insert the feature in to the part program. When you execute the part program, PC-DMIS will search for and then return the highest point within the defined search region.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating without Using CAD Data

If the search region for the high point is to be generated without the use of CAD data, the first hit that is taken will indicate the X, Y, Z nominal for the start point and the search center. PC-DMIS also will display the I, J, K approach vector of that hit. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface). To define a new starting point, sample the surface using the probe at the desired center point location. Consecutive samples will alternate between the start point and the search center.

  1. Select the type of search zone to use by choosing either Circular or Box from the Mode list in the Measurement Properties area.

  2. Define the size of the search zone by changing the values in the Width and Length boxes for a box type search zone or the Inner Radius and Outer Radius boxes for a circular type search zone. PC-DMIS displays the search zone in the highlight color.

  3. Define the Increment and Tolerance values for the high point procedure to use.

  4. Make any other changes as needed on the dialog box.

  5. Click Create to insert the feature in to the part program. When you execute the part program, PC-DMIS will search for and then return the highest point within the defined search region.

Creating by Keying in the Data

This method allows you to key in the center of the high point's search region (i.e. the middle of the box or center of the circle(s)) by supplying the X, Y, and Z values. It also allows for the definition of the start point and associated approach vector by typing in the X, Y, Z, I, J, and K values.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Select the type of search zone to use by choosing either Circular or Box from the Mode list in the Measurement Properties area.

  3. Define the size of the search zone by changing the values in the Width and Length boxes for a box type search zone or the Inner Radius and Outer Radius boxes for a circular type search zone. PC-DMIS displays the search zone in the highlight color.

  4. Define the Increment and Tolerance values for the high point procedure to use.

  5. Make any other changes as needed on the dialog box.

  6. Click Create to insert the feature in to the part program. When you execute the part program, PC-DMIS will search for and then return the highest point within the defined search region.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Line

The Line measurement option allows you to define a nominal line that the CMM will use to measure the line defined.

To access the Line option, access the Auto Feature dialog box for a Line (Insert | Feature | Auto | Line). Display Menu Roadmap

Auto Feature dialog box - Line

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate an auto line on the screen using surface data:

  1. Select Yes or No from the Bounded list.

  2. Define the auto line:

  • If you selected Yes from the Bounded list, take two clicks on the desired surface to define the line's start and end points respectively. PC-DMIS will snap the points to the nearest intersection with another surface, placing the points along the intersection line. PC-DMIS will draw the start point location, the end point location, and line and edge vectors.

  • If you selected No from the Bounded list, take one click on the desired surface to define the line's start point. PC-DMIS will snap the point to the nearest intersection with another surface, placing it along the intersection line. Next, define the length of the line by typing it in the Length box. PC-DMIS will draw the start point location, a line that matches the length, and line and edge vectors.

Sample Bounded Auto Line Showing the Start and End points and the Edge Vector (A) and the Line Vector (B)

  3. Modify any other options in the dialog box as needed.

  4. Modify any items in the Contact Properties tab of the Probe Toolbox as needed.

For example, from the you might want to change the Hits value and the Depth value:

Similar Auto Line Showing Extra Hits, A Depth Value of 3 mm, and an Edge Vector of 0,-1,0

Or, you might want the line to be measured along the other surface. You could accomplish this by modifying the Edge Vector:

Auto Line with a Modified Edge Vector of 0,0,1 and a Depth of -1 mm

  3. Click Create. PC-DMIS generates the auto line.

Creating by using Wire Frame Data on the Screen

To generate a line on the screen using wireframe data:

  1. Select Yes or No from the Bounded list.

  2. Select two edges (wires) of the surface where the target points will be (if bounded by a second point, otherwise just click once) by clicking on the desired wires with the left mouse button. These wires should be on the same surface.

  3. PC-DMIS will draw the start location and, if creating a bounded line, the end point location. It will also draw the line and edge point vectors.

  4. Verify that the correct wires have been selected.

  5. Modify any other options in the dialog box and the Contact Path Properties tab of the Probe Toolbox as needed.

  6. Click Create. PC-DMIS generates a line.

Creating by Using Wire Frame Data with the CMM

To generate a line using wire frame data:

  • The first hit that is taken will indicate the X, Y, Z nominal start point. A second hit (needed if you've selected Yes from the Bounded list) will generate the end point for the line. After the second hit, PC-DMIS will also display the I, J, K line vector and the I, J, K edge vector.

  • Any additional hits will be equally spaced along the line's length. The approach vector will also be updated to reflect an average of all previous hits (does not include the most recent hit) for the vector point.

The displayed data can be accepted at any time after the second hit is taken.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating without Using CAD Data

If the line is to be generated without the use of CAD data:

  1. Select Yes or No from the Bounded list.

  2. If you are creating a bounded line, take two hits. If you are creating an unbounded line, take one hit.

  3. Alter any other items on the dialog box and the Contact Path Properties tab of the Probe Toolbox as needed.

  4. Click Create.

Creating by Keying in the Data

This method allows you to key in the values needed to create an auto line:

To Create a Bounded Line

  1. Select Yes from the Bounded list.

  2. Type the number of hits in the Hits box.

  3. Type the depth for the line in the Depth box on the Contact Properties tab of the Probe Toolbox.

  4. Type the X, Y, Z values for the Start and End points.

  5. Type the I, J, K vectors.

  6. Fill out any other options as needed in the dialog box.

  7. Click Create. PC-DMIS will generate a line based on the values you keyed into the dialog box.

To Create an Unbounded Line

  1. Select No from the Bounded list.

  2. Type the number of hits in the Hits box.

  3. Type the depth for the line in the Depth box on the Contact Properties tab of the Probe Toolbox.

  4. Type the X, Y, Z values for the Start point.

  5. Type the I, J, K vectors.

  6. Type the length of the line in the Length box.

  7. Fill out any other options as needed in the dialog box.

  8. Click Create. PC-DMIS will generate a line based on the values you keyed into the dialog box.


Creating an Auto Plane

The Plane auto option allows you to define a plane measurement. At least three hits are necessary to measure a plane.

To access the Plane option, access the Auto Feature dialog box for a Plane (Insert | Feature | Auto | Plane). Display Menu Roadmap

Auto Feature dialog box - Plane

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a square slot using surface data:

  1. Click on the Surface Mode icon [image] .

  2. Using the mouse, click once on the surface where you want the plane. PC-DMIS fills in the dialog box with information collected from the model.

  3. Make any other modifications to the dialog box as needed.

  4. Click Create.

Creating by Using Wire Frame Data on the Screen

Wire frame CAD data also can be used to generate an auto plane.

To generate the plane:

  1. Access the auto feature Plane dialog box (Insert | Feature | Auto | Plane). Display Menu Roadmap

  2. Click at least three times on the surface.

  3. Verify that the correct feature has been selected. The probe approach is always perpendicular to the feature, as well as perpendicular to the current probe centerline vector. The dialog box will display the value of the plane's center point and vector.

  4. Make any other modifications to the dialog box and the Contact Path Properties tab of the Probe Toolbox as needed.

  5. Click Create.

Creating by Using Wire Frame Data with the CMM

To generate a plane using wire frame data with the CMM:

  1. Access the auto feature Plane dialog box (Insert | Feature | Auto | Plane). Display Menu Roadmap

  2. Take one hit on the surface where you want to create the plane. PC-DMIS will pierce the CAD surface closest to where the probe touched. The displayed X, Y, Z values reflect the center value for the plane. The I, J, K reflects the surface normal vector.

  3. Modify any other items in the dialog box and the Contact Path Properties tab of the Probe Toolbox as needed.

  4. Press the Done button on the jog box (or click the Create button from the dialog box).

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating without Using CAD Data

To generate the plane without the use of CAD data:

  1. Access the auto feature Plane dialog box (Insert | Feature | Auto | Plane). Display Menu Roadmap

  2. Take at least three hits on a surface.

  3. Take additional hits if needed. PC-DMIS will use the data from all of the measured hits. The X, Y, Z that is displayed is the calculated center of the plane.

  4. Make any other modifications to the dialog box and the Contact Path Properties tab of the Probe Toolbox as needed.

  5. Click Create button.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K center value for the plane.

  1. Access the auto feature Plane dialog box (Insert | Feature | Auto | Plane). Display Menu Roadmap

  2. Key in the X, Y, Z, I, J, K values.

  3. In the Probe Toolbox, Contact Properties tab, key in the Hits and Levels values.

  4. Make any other modifications to the Auto Features dialog box and Probe Toolbox.

  5. Click Create.

PC-DMIS will then generate the proper number of hits using the pattern specified. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Circle

The Circle auto option allows you to define a circle measurement. This measurement type is particularly useful when the circle is positioned in a specific plane that is not parallel with any of the working planes or if equally spaced hits are required for partial circles. At least three hits are necessary to measure a circle. The default number of hits needed to measure a circle is based on the default in SETUP mode.

To access the Circle option, access the Auto Feature dialog box for a Circle (Insert | Feature | Auto | Circle). Display Menu Roadmap

Auto Feature dialog box - Circle

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a circle using surface data:

  1. Click on the Surface Mode icon [image] .

  2. Click once either outside or inside the desired circle. The dialog box will display the center point and diameter from the CAD data of the selected auto circle closest to where you clicked on the part model.

  3. Make any other modifications to the dialog box as needed.

  4. Click Create.

Creating by Using Surface Data with the CMM

To generate a circle using surface data with the CMM, take a minimum of three hits in the hole or on the stud. PC-DMIS will pierce the CAD surface closest to where the probe touched. The displayed X, Y, Z values reflect the closest CAD circle, not the actual hits. The I, J, K reflects the surface normal vector. If a CAD circle is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating by Using Wire Frame Data on the Screen

Wire frame CAD data also can be used to generate an auto circle.

To generate the circle:

  1. Click near the desired wire on the circle. PC-DMIS will highlight the selected circle closest to where you clicked on the part model.

  2. Verify that the correct feature has been selected. The probe approach is always perpendicular to the feature, as well as perpendicular to the current probe centerline vector. The dialog box will display the value of the selected circle's center point and diameter once the wire has been indicated.

  3. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  4. Click Create.

Note: If the underlying CAD element is not a circle or arc, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional locations of the circle.

Creating without Using CAD Data

To generate the circle without the use of CAD data:

  1. Take three hits on the surface to find the plane that the circle is lying in.

  2. Take three additional hits in the hole (or on the stud). PC-DMIS calculates the auto circle using all three hits. Additional hits can be taken. PC-DMIS will use the data from all of the measured hits until the Create button is clicked. The X, Y, Z that is displayed is the calculated center of the circle (or stud).

  3. Make any other modifications to the dialog box and the Contact Path Properties tab of the Probe Toolbox as needed.

  4. Click Create.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K center value for the circle.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Ellipse

The Ellipse auto feature option allows you to define an ellipse. The ellipse feature type works much like the sheet metal circle feature. It is particularly useful when the ellipse is positioned in a specific plane that is not parallel with any of the working planes. It is also useful if equally spaced hits are required for partial ellipses. The minimum number of hits required to measure an ellipse is five.

To access the Ellipse option, access the Auto Feature dialog box for an Ellipse (Insert | Feature | Auto | Ellipse). Display Menu Roadmap

Auto Feature dialog box - Ellipse

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

  1. Click the Surface Mode icon [image] .

  2. Using your mouse, click once on the ellipse displayed in the Graphics Display window. PC-DMIS will compute the necessary X, Y, Z and I, J, K data.

  3. Make any other modifications to the dialog box as needed.

  4. Click Create.

Creating by Using Surface Data with the CMM

To generate an ellipse measurement using surface data with the CMM, take a minimum of five hits on the ellipse. PC-DMIS will pierce the CAD surface closest to where the probe touched. The displayed X, Y, Z values reflect the closest CAD ellipse, not the actual hits. The I, J, K reflects the surface normal vector. If a CAD ellipse is not found, PC-DMIS will display the closest point and ask that additional points be taken.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating by Using Wire Frame Data on the Screen

  1. Click near the desired wire on the ellipse. PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected. The probe approach is always perpendicular to the feature, as well as perpendicular to the current probe centerline vector. The dialog box will display the value of the selected ellipse's center point and diameter once the wire has been indicated.

  3. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  4. Click Create.

Note: If the underlying CAD element is not an ellipse, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional locations of the ellipse.

Creating without Using CAD Data

If the ellipse is to be generated without the use of CAD data:

  1. Take three hits on the surface to find the plane that the ellipse is lying in.

  2. Take five additional hits in the hole (or on the stud).

PC-DMIS will use the data to calculate the sheet metal ellipse. Additional hits can be taken until the Create button is clicked. The X, Y, Z that is displayed is the calculated center of the ellipse. Also shown are the calculated major and minor diameters, along with the orientation vector.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the ellipse. In addition, the major and minor diameters of the ellipse as well as the angle vector I2, J2, K2 may also be keyed in.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Square Slot

The Square Slot option allows you to define a square slot measurement. This measurement type is particularly useful when you do not want to measure a series of lines and construct intersection and midpoints from them. Square slots must be measured with five hits (or six if you select the Width Meas check box).

Square Slot Measured with Five Hits

Square Slot Measured with Six Hits

To access the Square Slot option, access the Auto Feature dialog box for a Square Slot (Insert | Feature | Auto | Square Slot). Display Menu Roadmap

Auto Feature dialog box - Square Slot

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a square slot using surface data:

  1. Click on the Surface Mode icon [image] .

  2. Using the mouse, click once on any surface near the square slot. PC-DMIS fills in the dialog box with information collected from the model.

  3. Make any other modifications to the dialog box as needed.

  4. Click Create.

Creating by Using Surface Data with the CMM

To generate a square slot measurement using surface data with the CMM :

  1. Touch twice on the long side of the slot using the probe.

  2. Touch the part on the short side of the slot.

  3. Continue around the slot and touch the next long side.

  4. Touch the last short side.

  5. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  6. Click Create.

Note: The order of touches should be in a circular pattern (clockwise or counter-clockwise).

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating by Using Wire Frame Data on the Screen

To generate a square slot using Wire frame CAD data:

  1. Using the mouse, click once near the square slot. PC-DMIS fills in the dialog box with information collected from the model.

  2. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  3. Click Create.

Creating by Using Wire Frame Data with the CMM

To generate a square slot measurement using wire frame data with the CMM:

  1. Touch twice on the long side of the slot using the probe.

  2. Touch the part on the short side of the slot.

  3. Continue around the slot and touch the next long side.

  4. Touch the last short side.

  5. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  6. Click Create.

Note: The order of touches should be in a circular pattern (clockwise or counter-clockwise).

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating without Using CAD Data

To generate the square slot without the use of CAD data:

  1. Find the top surface using three hits.

  2. Take two hits on one of the long sides of the slot.

  3. Take one hit on each of the three remaining sides of the slot in a clockwise direction. (There should be a total of eight hits.)

  4. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  5. Click Create.

Note: The order of hits should be in a circular pattern (clockwise or counter-clockwise).

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the square slot.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Round Slot

The Round Slot option allows you to define a round slot measurement. This measurement type is particularly useful when you do not want to measure a series of lines and circles, or construct intersections and midpoints from them. The minimum number of hits needed to measure a round slot is six.

Round Slot with 6 Minimum Hits

To access the Round Slot option, access the Auto Feature dialog box for a Round Slot (Insert | Feature | Auto | Round Slot). Display Menu Roadmap

Auto Feature dialog box - Round Slot

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a round slot measurement using surface data:

  1. Click the Surface Mode icon [image] .

  2. Using the mouse, simply click once on any portion of the slot displayed in the Graphics Display window.

  3. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  4. Click Create.

Creating by Using Surface Data with the CMM

To generate a round slot measurement using surface data with the CMM, simply touch three times on each arc.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating by Using Wire Frame Data on the Screen

Wire frame CAD data can also be used to generate a round slot. Using the animated probe, simply click once near any wire of the slot displayed in the Graphics Display window.

Creating by Using Wire Frame Data with the CMM

To generate a round slot measurement using wire frame data with the CMM, simply touch one three times on each arc.

Note: If the CAD data defining the ends of the slot is specifically a CIRCLE or ARC type (i.e., an IGES entity 100), PC-DMIS will automatically take two additional hits on the arc. If both ends are of this type, then one touch on each arc is sufficient to measure this feature type.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating without Using CAD Data

If the round slot is to be generated without the use of CAD data, touch three times on each arc (for a total of six hits).

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the round slot.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Notch Slot

The Notch measurement option allows you to define a notch measurement. A notch is a three sided square slot. This measurement type is particularly useful when you do want to measure a series of lines and construct intersection and midpoints from them. Notches must be measured with four hits.

To access the Notch Slot option, access the Auto Feature dialog box for a Notch Slot (Insert | Feature | Auto | Notch). Display Menu Roadmap

Auto Feature dialog box - Notch Slot

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a notch measurement using surface data:

  1. Click the Surface Mode icon [image] .

  2. Using the animated probe, take five hits on the CAD surface in the same order as if using a CMM (see "Creating by Using Surface Data with the CMM" ).

  3. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  4. Click Create.

Creating by Using Surface Data with the CMM

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

To generate a notch measurement using surface data with the CMM:

  1. Touch two times on the side opposite the opening of the notch using the probe. This will define a line along the edge.

  2. Touch the part once on one parallel side of the notch and once on the other. This defines the length. The point is along the edge line, midway between the parallel sides.

  3. Take one hit on the open edge. This defines the width of the notch.

  4. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  5. Click Create.

Creating by Using Wire Frame Data on the Screen

Wire frame CAD data can also be used to generate a notch .

Using the animated probe:

  1. Touch twice on the side opposite the opening of the notch using the probe. This will define a line along the edge.

  2. Touch the part on one parallel side of the notch and then on the other side. This defines the length. The point is along the edge line, mid way between the parallel sides.

  3. Take a single touch on the open edge. This defines the width of the notch.

  4. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  5. Click Create.

Creating by Using Wire Frame Data with the CMM

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

To generate a notch measurement using wire frame data with the CMM :

  1. Touch twice on the side opposite the opening of the notch using the probe. This will define a line along the edge.

  2. Touch the part on one parallel side of the notch and then on the other side. This defines the length. The point is along the edge line, mid way between the parallel sides.

  3. Take a single touch on the open edge. This defines the width of the notch.

  4. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  5. Click Create.

Creating without Using CAD Data

To generate a notch without the use of CAD data:

  1. Find the top surface using three hits.

  2. Touch twice on the side opposite the opening of the notch using the probe. This will define a line along the edge.

  3. Touch the part on one parallel side of the notch and then on the other side. This defines the length. The point is along the edge line, mid way between the parallel sides.

  4. Take a single touch on the open edge. This defines the width of the notch.

  5. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  6. Click Create.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the notch slot.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Polygon

The Polygon dialog box lets you define and insert a Polygon auto feature into your part program. A polygon is any feature composed of three or more sides of equal distance. For example, hexagon or octagon shapes are both polygon feature. This auto feature is primarily used to measure nuts and bolts.

To define and insert a Polygon option, access the Auto Feature dialog box for a Polygon (Insert | Feature | Auto | Polygon). Display Menu Roadmap

Auto Feature dialog box - Polygon

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using the CAD Model

  1. Access the Polygon auto feature dialog box (Insert | Feature | Auto | Polygon). Display Menu Roadmap

  2. In the Number of Sides box, define the number of sides of your polygon feature has.

  3. Click once on the desired polygon feature in the Graphics Display window. PC-DMIS fills in the center point information for the polygon and draws some preliminary path lines. As you make changes to the dialog box, notice that PC-DMIS dynamically updates to path to reflect the changes.

  4. In the Number of Hits box, define how many hits you want PC-DMIS to take when measuring each side. PC-DMIS will always take at least two hits on the very first side of the feature to determine the feature's angle vector.

  5. In the Orientation area, determine whether it's an inner polygon or an outer polygon by selecting Hole or Stud respectively.

  6. In the Corn. Rad. box, define a corner radius. This determines how far away from the corners PC-DMIS should take hits on the polygon sides. This helps avoid taking hits directly in the corners.

  7. In the Diameter box, ensure that you have a correct diameter for the polygon. For common, even-sided polygons, the diameter is the distance between two opposing sides. For other polygons, such as an equilateral triangle, it is twice the radius of the largest circle you can inscribe inside the polygon. PC-DMIS automatically fills in this value when you click on the polygon.

  8. Make any other modifications to the dialog box and the Probe Toolbox as needed.

  9. Click Create. PC-DMIS inserts the Polygon auto feature into your part program.

Creating by Using the CMM:

You can "learn" an Auto Polygon's position without using any CAD data by simply taking hits on the part with your machine's probe. Fill out the dialog box with the necessary information. With the Polygon Auto Feature dialog box remaining open, take a hit on one of the polygon's sides. After the first hit, the Status Bar at the bottom of your screen will provide you with additional instructions. Follow the prompts given in the Status Bar to complete the polygon creation. Click Create when finished.

Creating by Keying in the Data:

If you know the theoretical data for the polygon, you can also create a polygon auto feature by simply typing in its theoretical data in the appropriate fields. Using the Polygon auto feature dialog box, specify the XYZ center and IJK vector information. Define the number of sides, the number of hits per side, the diameter, and the corner radius. Click Create when finished.


Creating an Auto Cylinder

The Cylinder measurement option allows you to define a cylinder measurement. This measurement type is particularly useful when equal spacing of the hits is necessary for partial cylinders. The minimum number of hits needed to measure an Auto cylinder is six.

To access the Cylinder option, access the Auto Feature dialog box for a Cylinder (Insert | Feature | Auto | Cylinder). Display Menu Roadmap

Auto Feature dialog box - Cylinder

Note: Be aware that certain patterns of points (such as two rows of three equally spaced points or two rows of four equally spaced points) result in multiple ways to construct or measure a cylinder, and PC-DMIS's Best Fit algorithm may construct or measure the cylinder using an unexpected solution. For best results, measured or constructed cylinders should use a pattern of points that will eliminate unwanted solutions.

Also, when creating and measuring an auto cylinder be sure to consult the "Notes on Setting Cylinder Parameters Correctly" topic in the PC-DMIS Core documentation.

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a cylinder using surface data:

  1. Click on the Surface Mode icon [image] .

  2. Position the cursor (outside or inside the desired cylinder).

  3. Click once on a surface near the cylinder. PC-DMIS will highlight the selected cylinder. The dialog box will display the center point and diameter from the CAD data of the selected cylinder. It selects the end of the cylinder closest to where you clicked on the part model.

  4. Define the length of the cylinder by defining the Starting Depth and the Ending Depth in the Contact Path Properties tab of the Probe Toolbox.

  5. Make any other modifications to the dialog box and the Contact Path Properties tab of the Probe Toolbox as needed.

  6. Click the Create button.

Creating by Using Surface Data with the CMM

To generate a cylinder using surface data with the CMM :

  1. Take three hits in the hole or on the stud.

  2. Move the probe to another depth

  3. Take three additional hits. PC-DMIS will pierce the CAD surface closest to where the probe touched.

The displayed X, Y, Z values reflect the closest CAD cylinder, not the actual hits. The I, J, K reflects the surface normal vector. If a CAD cylinder is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating by Using Wire Frame Data on the Screen

Wire frame CAD data can also be used to generate a cylinder.

To generate the cylinder using wire frame data:

  1. Click near the desired wire on the cylinder. PC-DMIS will highlight the selected wire and will select the end of the cylinder closest to where you clicked on the part model.

  2. Verify that the correct feature has been selected.

The probe approach is always perpendicular to the feature, as well as perpendicular to the current probe centerline vector. The dialog box will display the value of the selected cylinder's center point and diameter once the wire has been indicated.

Note: If the underlying CAD element is not a cylinder, circle, or arc, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional locations on the cylinder.

Creating without Using CAD Data

To generate the cylinder without the use of CAD data:

  1. Take three hits on the surface to find the plane that the cylinder is lying in.

  2. Take three hits in the hole (or on the stud).

  3. Take three additional hits on another level.

PC-DMIS calculates the sheet metal cylinder using all six hits. It is sometimes helpful to take a hit in between the two levels if PC-DMIS has difficulty in identifying the feature type. PC-DMIS will use the data from all of the measured hits until the Create button is selected. The X, Y, Z that is displayed is the calculated center of the cylinder (or stud).

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the cylinder.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Cone

The Cone measurement option allows you to define a cone measurement. This measurement type is particularly useful when equal spacing of the hits is necessary for partial cones. The minimum number of hits needed to measure an auto cone is six.

To access the Cone option, access the Auto Feature dialog box for a Cone (Insert | Feature | Auto | Cone). Display Menu Roadmap

Auto Feature dialog box - Cone

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a cone using surface data:

  1. Click on the Surface Mode icon [image] .

  2. Position the cursor (outside or inside the desired cone).

  3. Click once on the cone's surface. PC-DMIS will highlight the selected cone. The dialog box will display the center point, angle, and diameter from the CAD data of the selected cone.

  4. Make any other modifications to the dialog box as needed.

  5. Click Create.

Note that an external cone (stud) from versions 3.6 and before may need to have its vectors and length negated to correctly measure.

Creating by Using Surface Data with the CMM

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

To generate a cone using surface data with the CMM:

  1. Take three hits in the hole or on the stud.

  2. Move the probe to another depth.

  3. Take three additional hits. PC-DMIS will pierce the CAD surface closest to where the probe touched.

The displayed X, Y, Z values reflect the closest CAD cone, not the actual hits. The I, J, K reflects the surface normal vector. If a CAD cone is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

Note that an external cone (stud) from versions 3.6 and before may need to have its vectors and length negated to correctly measure.

Creating by Using Wire Frame Data on the Screen

Wire frame CAD data can also be used to generate a cone.

To generate the cone using wire frame data:

  1. Click near the desired wire on the cone. PC-DMIS will highlight the selected wire. This will get the cone center, surface vector, and diameter.

  2. Click on a second wire that represents the other end of the cone to calculate the angle.

The probe approach is always perpendicular to the feature, as well as perpendicular to the current probe centerline vector. The dialog box will display the value of the selected cone's center point and diameter once the wire has been indicated.

Note that an external cone (stud) from versions 3.6 and before may need to have its vectors and length negated to correctly measure.

Note: If the underlying CAD element is not a cone, circle, or arc, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional locations on the cone.

Creating without Using CAD Data

To generate the cone without using CAD data:

  1. Take three hits on the surface to find the plane that the cone is lying in.

  2. Take three hits in the hole (or on the stud) at the same level.

  3. Take at least 1 hit at either a lower or higher level than the first three hits (take up to three hits to get an accurate definition of the cone).

Note that an external cone (stud) from versions 3.6 and before may need to have its vectors and length negated to correctly measure.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the cone.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Creating an Auto Sphere

The Sphere sheet metal option allows you to define a sphere measurement. This measurement type is particularly useful when the sphere lies in a specific plane that is not parallel with any of the working planes. The minimum number of hits needed to measure an auto sphere is four.

To access the Sphere option, access the Auto Feature dialog box for a Sphere (Insert | Feature | Auto | Sphere). Display Menu Roadmap

Auto Feature dialog box - Sphere

With the dialog box open, depending on your situation, use one of these methods to create the feature:

Creating by Using Surface Data on the Screen

To generate a sphere using surface data:

  1. Click on the Surface Mode icon [image] .

  2. Position the cursor in the Graphics Display window to indicate the desired sphere.

  3. Click the left mouse button.

The dialog box will display the value of the selected sphere and vector once the points have been indicated.

Creating by Using Surface Data with the CMM

To generate a sphere using surface data with the CMM, touch the sphere in four locations using the probe.

If additional mouse clicks are detected before you select the Create button, PC-DMIS will find the best sphere near the measured points.

The Find Noms option should be selected from the Mode list for this measurement method. See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.

Creating by Using Wire Frame Data on the Screen

To generate a sphere using Wire frame CAD data:

  1. Select the sphere to be measured. PC-DMIS will highlight the selected sphere, if it is available. (If another feature is selected, try taking two additional hits.)

  2. Verify that the correct feature has been selected.

The dialog box will display the value of the selected DCC sphere and the vector once the sphere has been indicated.

Creating by Keying in the Data

This method allows you to key in the desired X, Y, Z, I, J, K values for the sphere.

  1. Type in the desired X, Y, Z, I, J, K values for the feature into the dialog box.

  2. Click Create to insert the feature into your part program.

See the "Mode List" topic in the PC-DMIS Core documentation for additional information on nominals.


Scanning

  • Scanning: Introduction

  • Performing Advanced Scans

  • Performing Basic Scans

  • Performing Scans Manually

  • Working with Section Cuts


Scanning: Introduction

With PC-DMIS and your CMM you can scan your part's surface at specified increments in DCC (Direct Computer Control) mode using a TTP (Touch Trigger Probe) or an analog (continuous contact) probe. Alternately, if you're working in Manual mode, you can perform manual scans with touch trigger or hard probes as well.

DCC TTP scanning, also known as "stitch-type" scanning because it resembles a sewing machine's stitching action as it contacts the part's surface, is driven by PC-DMIS and the CMM controller. This provides an intelligent, self-adapting algorithm that can calculate surface normal vectors for accurate probe compensation.

DCC continuous contact scans (scans done with an analog probe head) remain in continuous contact with the part's surface. PC-DMIS sends the scanning parameters to the controller. The controller scans the part and then informs PC-DMIS of the scan points based on the chosen parameters. Continuous contact scans generally result in large amounts of point data being generated relatively quickly.

These different scanning approaches are useful in digitizing profiles on your part's surfaces.

Example Surface Plot of a Patch Scan

In order to scan your part's features and surfaces PC-DMIS provides you with these scans: Basic Scans, Advanced Scans, and Manual Scans.

The main topics in this section discuss the options available from the Insert | Scan submenu:

  • Performing Advanced Scans

  • Performing Basic Scans

  • Performing Scans Manually

  • Working with Section Cuts

Important: The scan options in the scanning dialog boxes are discussed in the "Scanning Your Part" section in the PC-DMIS Core documentation.


Example: Stitch-Type Scan (using Touch-Trigger Probe)

click to play 20_scan_files/example_stitch_scan.avi


Example: Continuous Contact Scan (using Analog Probe)

click to play 20_scan_files/example_analog_scan.avi


Introduction to Performing Advanced Scans

Advanced scans are DCC stitch-type scans done by a Touch Trigger Probe (TTP ) and in some scans an analog probe. These scans are driven by PC-DMIS and the CMM controller. The DCC scanning procedure uses an intelligent, self-adapting algorithm that can calculate surface normal vectors for accurate probe compensation.

These advanced scans utilize a TTP which allows for automatic point-to-point digitizing of profiles on surfaces. Simply specify the necessary parameters for the DCC scan, select the Measure button and the scanning algorithm in PC-DMIS will take control of the measurement process.

The types of advanced scans supported by PC-DMIS include:

  • Linear Open

  • Linear Close

  • Patch

  • Section

  • Perimeter

  • Rotary

  • Freeform

  • UV

  • Grid

For information on the options available in the Scan dialog box, the dialog box used to perform these scans, see the "Common Functions of the Scan Dialog Box" in the PC-DMIS Core documentation.


Performing a Linear Open Advanced Scan

Linear Open Scan dialog box

Linear Open Scan dialog box

Display Menu Roadmap

The Insert | Scan | Linear Open method will scan the surface along an open ended line. This procedure uses the starting and ending point for the line, and also includes a direction point for the calculation of the cut plane. The probe will always remain within the cut plane while doing the scan. There are three different types of LINEAROPEN direction techniques as explained in the "Direction Techniques area".

A Sample Linear Open Scan

A Sample Linear Open Scan

To Create a Linear Open Scan

  1. Ensure that you have a TTP or Analog probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select Insert | Scan | Linear Open from the submenu. The Linear Open Scan dialog box appears.

  4. Type the name of the scan in the ID box if you want to use a custom name.

  5. Select the appropriate LINEAROPEN type from the Direction 1 Tech list.

  6. Depending on your type of LINEAROPEN scan, type the appropriate increment and angle values into the available Max Incr, Min Incr, Max Angle, and Min Angle boxes.

  7. If your scan traverses multiple surfaces, consider selecting surfaces by using the Select check box as discussed in the "Graphics Tab" topic.

  8. Add the 1 point (starting point), the D point (direction to scan), and the 2 point (ending point), to the scan by following an appropriate procedure as discussed in the "Boundary Points area" topic.

  9. Select the appropriate type of hits to take from the Hit Type list in the Hit Controls area.

  10. Make any needed changes to the vectors in the Initial Vectors area. Do this by double-clicking on the vector, and making any changes to the Edit Scan Item dialog box, and then clicking OK to return to the Linear Open Scan dialog box.

  11. Select the appropriate nominals mode from the Nominals list in the Nominals Method area.

  12. In the Tolerance box in the Nominals Method area, type a tolerance value that at least compensates for the probe's radius.

  13. Select the appropriate execution mode from the Execute list in the Exec Control area.

  14. If you are using a thin part, type the part's thickness in the Thickness box in the Graphics tab.

  15. If needed, select any of the check boxes from the areas in the Execution tab.

  16. If using an analog probe, consider using the Control Points tab to run your scan optimally.

  17. Click the Generate button in the Theoretical Path area, Path Definitions tab to generate a preview of the scan on the CAD model in the Graphics Display window. When you generate the scan, PC-DMIS will start the scan at the start point, and will follow the chosen direction until it reaches the end point.

  18. If desired, use the Spline Path area in the same tab to fit the theoretical path to a spline path.

  19. Make additional modification to your scan as needed.

  20. Click the Create button. PC-DMIS inserts the scan into the Edit window.

To Create a Linear Open Scan on a 3D Wireframe CAD Model

To perform a Linear Open scan on a wireframe model, you should generally use a 3D wireframe cad file. You need the 3D wires to define the shape of the feature you want to scan, as well as its "depth" (3D aspect). This type of scan follows the same procedure as above.

To Create a Linear Open Scan on a 2D Wireframe CAD Model

If you absolutely must perform a Linear Open scan on a 2D wireframe file, you can do so with some extra work.

  1. Import the 2D cad file. The CAD origin needs to be on the CAD some place and not off in body coordinates (this just makes things easier).

  2. Select Insert | Feature | Construct | Line. The Construct Line dialog box appears.

  3. Choose Alignment. This will construct a line at the CAD origin, normal to the surface of the 2D CAD data.

  4. Access the Edit window and, if using millimeters for your units of measurement, change the length of the line from 1 (the default) to something longer, such as 5 or 10. For programs using inches, ignore this step.

  5. Export the part program (the features only) to either an IGES or DXF file type and store the exported file to a directory of your choice.

  6. Return to your part program and delete the Alignment Line that you created.

  7. Import the file that you just exported back into the same part program. When prompted, click Merge to merge the CAD wire into your Graphics Display window. Your CAD model should now have a CAD wire normal to the rest of the other CAD wires.

  8. Access the Linear Open Scan dialog box.

  9. Click on the Graphics tab and then select the Select check box.

  10. Click each wire that defines the feature to be scanned. Select them in the order that they will be scanned, starting with the wire where the scan will start.

  11. Select the Depth check box.

  12. Click on the imported wire that is normal to all the other wires.

  13. Clear the Select check box. You can now select your 1, D, and 2 boundary points on the theoretical surface defined by the wires that define the surface's shape and the wire defining the depth.

  14. If in online mode, select the Measure check box. Select FindNoms from the Nominals Method area. In the Tolerance box, select a good tolerance value.

  15. Click Create. PC-DMIS inserts the scan, and if in online mode, begins the scan, finding the nominals.


Performing a Linear Closed Advanced Scan

Linear Closed Scan dialog box

Linear Closed Scan dialog box

Display Menu Roadmap

The Insert | Scan | Linear Closed method will scan the surface beginning at the designated STARTING point, completing the scan at the same point. This type of scan is a closed scan because it returns to its initial starting point. This is useful for scanning circular features or slots. This procedure requires that the starting point location and direction point be defined. The incremental value for taking hits is user supplied.

PC-DMIS will scan the surface as defined below.

A - Starting Point and Ending Point

A Sample Linear Closed Scan

A Sample Linear Closed Scan with Scan Points Inside a Hole

To Create a Linear Close Scan

  1. Ensure that you have a TTP or Analog probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select Insert | Scan | Linear Closed from the submenu. The Linear Closed Scan dialog box appears.

  4. Type the name of the scan in the ID box if you want to use a custom name.

  5. Select the appropriate LINEARCLOSE type from the Direction 1 Tech list.

  6. Depending on your type of LINEARCLOSE scan, type the appropriate increment and angle values into the available Max Incr, Min Incr, Max Angle, and Min Angle boxes.

  7. If your scan traverses multiple surfaces, consider selecting surfaces by using the Select check box as discussed in the "Graphics Tab" topic.

  8. Add the 1 point (starting point) and the D point (direction to scan in) by following an appropriate procedure as discussed in the "Boundary Points area" topic.

  9. Select the appropriate type of hits to take from the Hit Type list in the Hit Controls area.

  10. Make any needed changes to the vectors in the Initial Vectors area. Do this by double-clicking on the vector, and making any changes to the Edit Scan Item dialog box, and then clicking OK to return to the Linear Closed Scan dialog box.

  11. Select the appropriate nominals mode from the Nominals list in the Nominals Method area.

  12. In the Tolerance box in the Nominals Method area, type a tolerance value that at least compensates for the probe's radius.

  13. Select the appropriate execution mode from the Execute list in the Exec Controls area.

  14. If using a thin part, type the part's thickness in the Thickness box in the Graphics tab.

  15. If needed, select any of the check boxes from the areas in the Execution tab.

  16. If using an analog probe, consider using the Control Points tab to run your scan optimally.

  17. Click the Generate button in the Theoretical Path area, Path Definitions tab to generate a preview of the scan on the CAD model in the Graphics Display window. When you generate the scan, PC-DMIS will start the scan at the start point, and will follow the chosen direction around the feature until it returns to the start point.

  18. If desired, use the Spline Path area in the same tab to fit the theoretical path to a spline path.

  19. Make additional modification to your scan as needed.

  20. Click the Create button. PC-DMIS inserts the scan into the Edit window.

To Create a Linear Closed Scan on a 3D Wireframe CAD Model

To perform a Linear Closed scan on a wireframe model, you should generally use a 3D wireframe cad file. You need the 3D wires to define the shape of the feature you want to scan, as well as its "depth" (3D aspect). This type of scan follows the same procedure as above.

To Create a Linear Closed Scan on a 2D Wireframe CAD Model

If you absolutely must perform a Linear Closed scan on a 2D wireframe file, you can do so with some extra work.

  1. Import the 2D cad file. The CAD origin needs to be on the CAD some place and not off in body coordinates (this just makes things easier).

  2. Select Insert | Feature | Construct | Line. The Construct Line dialog box appears.

  3. Choose Alignment. This will construct a line at the CAD origin, normal to the surface of the 2D CAD data.

  4. Access the Edit window and, if using millimeters for your units of measurement, change the length of the line from 1 (the default) to something longer, such as 5 or 10. For programs using inches, ignore this step.

  5. Export the part program (the features only) to either an IGES or DXF file type and store the exported file to a directory of your choice.

  6. Return to your part program and delete the Alignment Line that you created.

  7. Import the file that you just exported back into the same part program. When prompted, click Merge to merge the CAD wire into your Graphics Display window. Your CAD model should now have a CAD wire normal to the rest of the other CAD wires.

  8. Access the Linear Open Closed dialog box.

  9. Click on the Graphics tab and then select the Select check box.

  10. Click each wire that defines the feature to be scanned. Select them in the order that they will be scanned, starting with the wire where the scan will start.

  11. Select the Depth check box.

  12. Click on the imported wire that is normal to all the other wires.

  13. Clear the Select check box. You can now select your 1 (start point) and D (direction) on the theoretical surface defined by the wires that define the surface's shape and the wire defining the depth.

  14. If in online mode, select the Measure check box. Select FindNoms from the Nominals Method area. In the Tolerance box, select a good tolerance value.

  15. Click Create. PC-DMIS inserts the scan, and if in online mode, begins the scan, finding the nominals.


Performing a Patch Advanced Scan

Patch Scan dialog box

Patch Scan dialog box

The Patch scan is like a series of Linear Open scans done parallel to each other.

The Insert | Scan | Patch method will scan the surface depending on the selected techniques for Direction 1 Tech area and Direction 2 Tech. The probe will always remain within the cut plane while doing the scan. The Direction 1 technique indicates the direction between the first and second boundary points. The Direction 2 technique indicates the direction between the second and third boundary points. PC-DMIS will scan the part on the surface indicated by the Direction 1 Tech area. When it encounters the second boundary point, PC-DMIS will automatically move to the next row as indicated by the Direction 2 Tech area.

A - Direction 1 technique

B - Direction 2 technique

A Sample Patch Scan

A Sample Patch Scan

To Create a Patch Scan

  1. Ensure that you have a TTP or Analog probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select Insert | Scan | Patch from the submenu. The Patch Scan dialog box appears.

  4. Type the name of the scan in the ID box if you want to use a custom name.

  5. Select the appropriate PATCH type for the first direction from the Direction 1 Tech list, and depending on the technique selected, type the appropriate increment and angle values into the available Max Incr, Min Incr, Max Angle, and Min Angle boxes.

    Note: If the technique 'BODY' is selected for the first direction, it must also be selected for the second direction.

  6. Select the appropriate PATCH type for the second direction from the Direction 2 Tech list, and depending on the technique selected, type the appropriate increment and values into the available Max Incr, Min Incr, Max Angle, and Min Angle boxes.

  7. If your scan traverses multiple surfaces, consider selecting surfaces by using the Select check box as discussed in the "Graphics Tab" topic.

  8. Add the 1 point (starting point), the D point (the direction to begin scanning), the 2 point (the end point of the first line), the 3 point (to generate a minimum area), and, if desired, the 4 point (to form a square or rectangular area). This will select an area that you wish to scan. Pick these points by following an appropriate procedure as discussed in the "Boundary Points area" topic.

  9. Make any needed changes to the vectors in the Initial Vectors area. Do this by double-clicking on the vector, and making any changes to the Edit Scan Item dialog box, and then clicking OK to return to the Path Scan dialog box.

  10. Select the appropriate nominals mode from the Nominals list in the Nominals Method area.

  11. In the Tolerance box in the Nominals Method area, type a tolerance value that at least compensates for the probe's radius.

  12. Select the appropriate execution mode from the Execute list in the Exec Control area.

  13. If you are using a thin part, type the part's thickness in the Thickness box in the Graphics tab.

  14. If needed, select any of the check boxes from the areas in the Execution tab.

  15. If using an analog probe, consider using the Control Points tab to run your scan optimally.

  16. Click the Generate button in the Theoretical Path area, Path Definitions tab to generate a preview of the scan on the CAD model in the Graphics Display window. When you generate the scan, PC-DMIS will start the scan at the start point and will follow the chosen direction until it reaches the boundary point. The scan then moves back and forth scanning in rows along the chosen area, scanning in rows at the specified increment value until it finishes the process.

  17. Make additional modification to your scan as needed.

  18. Click the Create button. PC-DMIS inserts the scan into the Edit window.


Performing a Perimeter Advanced Scan

Perimeter Scan dialog box

Perimeter Scan dialog box

Display Menu Roadmap

The Insert | Scan | Perimeter scan differs from other linear scans in that they are created entirely from CAD data before execution. This type of scan is available only when there is CAD surface data available. It allows PC-DMIS to know exactly where it is going before beginning (with a small amount of error).

A Sample Perimeter Scan

A Sample Exterior Perimeter Scan

Two Types of Perimeter Scans

There are two different types of perimeter scans available, exterior and interior.

1) An exterior scan follows the outside of selected surface boundary/boundaries. An exterior scan has the ability to traverse across multiple surface boundaries to create a single scan.

2) An interior scan follows a boundary curve inside a given surface. These types of curves usually define features such as holes, slots, or studs. Unlike the exterior scan, an interior scan is limited to the interior of a single surface.

The figures below (Scan 1 and Scan 2) illustrate both types of perimeter scans. In Scan 1, four surfaces have been selected. Each surface borders another, but the outside of each surface makes up the composite boundary (indicated by the solid red outer line). The offset distance is the amount that the scan will be offset from the composite boundary (indicated by the broken red line). In the Scan 2, the boundary of a hole is used to create the path for an interior perimeter scan.

Scan 1 | A - Surface 1 B - Surface 2 C - Surface 3 D - Surface 4
Scan 2 |

The procedure for creating an exterior or interior scan is the same and is outlined below:

To Create a Perimeter Scan

To create a Perimeter scan:

  1. Access the Perimeter Scan dialog box (Insert | Scan | Perimeter).

  2. Type the name of the scan in the ID box if you want to use a custom name.

  3. For interior Perimeter Scans, select the Inner Bound check box in the Execution tab.

  4. Select the surface(s) that will be used to create the boundary. If multiple surfaces are selected, the surfaces should be selected in the same order that they are to be traversed by the scan. To select the necessary surface(s):

  • Verify that the Select check box is selected in the Graphics tab.

  • Click, in turn, the surfaces you wish to use in the scan. Each surface will be highlighted as it is selected.

  • After the desired surfaces are selected, clear the Select check box.

  5. Click on the surface near the boundary where the scan is to begin. This is the Start Point.

  6. Click on the same surface a second time in the direction that the scan will be executed. This is the Direction Point.

  7. If desired, click on the point where the scan is to end. This point is optional. If an End Point is not provided, the scan will end at its Start point.

Note: PC-DMIS automatically provides an End Point. If this End Point is not be used, delete it by highlighting the number (the default is 2) in the Boundary Points list and clicking the Delete button.

  8. Type the appropriate values into the Scan Construction area. These include the following boxes:

· Increment box
· CAD Tol box
· Offset box
· Offset Tol (+/-) box.

  9. Select the Calculate Boundary button. This will calculate the boundary from which the scan will be created. The orange dots on the boundary indicate where the hits are taken on the perimeter scan.

Note: The boundary calculation should be a relatively quick process.

If the boundary does not look correct, click the Delete button. This will delete the boundary and allow another to be created.

If the boundary appears incorrect, it usually means that the CAD tolerance needs to be increased.

After changing the CAD tolerance, click the Calculate Boundary button to recalculate the boundary.

Verify that the boundary is correct before calculating a perimeter scan because it takes much longer to calculate the scan path than it does to recalculate the boundary.

  10. Verify that the Offset value is correct.

  11. Click the Generate button in the Theoretical Path area, Path Definitions tab. PC-DMIS will then calculate the theoretical values that will be used to execute the scan. This process involves a very time intensive algorithm. Depending on the complexity of the selected surfaces and the amount of points that are being calculated, it may take a while to compute the scan path. (A five minute wait is not uncommon.) If the scan does not appear correct, click the Undo button to delete the proposed scan path. As needed, alter the Offset Tolerance value and recalculate the scan.

  12. Click the Create button to create the perimeter scans and store it in the Edit window. It will be executed like any other scan.

Note on Hole Avoidance

Be aware that Defined mode in Exec Controls area of the Execution tab does not support hole avoidance with Perimeter scans. Ensure that there aren't any holes in your scan's pathway with this execution mode; if there are, either adjust your path or switch to the Normal execution mode.


Performing a Section Advanced Scan

Section Scan dialog box

Section Scan dialog box

Display Menu Roadmap

The Insert | Scan | Section scan is very similar to Linear Open scans. It will scan the surface along a line on the part. This type of scan is available only when CAD surface data is available. With CAD surface data, PC-DMIS will detect a Start Point and End Point at the section. Section scans use the starting and ending point for the line, and also includes a direction point. The probe will always remain within the cut plane while doing the scan. There are three types of section scan direction techniques.

Detect and Skip Holes

Section scans have the ability to detect holes and then skip them while scanning along a part. This type of scan allows you to select ‘section lines’ drawn on the screen by the CAD engineer and then continue the scan.

Multiple Scans Along a Fixed Axis

One advantage to using a section scan is the ability to do multiple scans along a fixed axis. For example, suppose you want to scan a line along the Y axis at a certain increment along the X axis. So at X = 5.0 you want to scan your first line. At X = 5.5 you want to scan your second line, and at X = 6.0 you would scan your third line. You could do this with several Linear Open scans, but these types of incremental scans are easily accomplished with the section scan.

To do this, you would set up the section scan with the X axis as the section axis and 0.5 as the section increment. Additional parameters should also be set (see "Performing a Linear Open Advanced Scan". After the scan is measured, PC-DMIS will re-display the Section Scan dialog box with all of the boundary points shifted to the next section by the increment you specified.

A Few Sample Section Scans

Sample Section Scans

To Create a Section Scan

  1. Ensure that you have a TTP or Analog probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select Insert | Scan | Section from the submenu. The Section Scan dialog box appears.

  4. Type the name of the scan in the ID box if you want to use a custom name.

  5. Select the appropriate SECTION type for the first direction from the Direction 1 Tech list, and depending on the technique selected, type the appropriate increment and angle values into the available Max Incr, Min Incr, Max Angle, and Min Angle boxes.

  6. If your scan traverses multiple surfaces, consider selecting surfaces by using the Select check box as discussed in the "Graphics Tab" topic.

  7. Add the 1 point (starting point, the D point (direction to scan) and the 2 point (ending point) for the section scan. This will select a line that you wish to scan. Pick these points by following an appropriate procedure as discussed in the "Boundary Points area" topic.

  8. Select the Cut CAD button. This cuts the scan up into subsections, and shows, the locations that PC-DMIS will skip because of obstructions (such as holes) along the surface. You can click the Show Bnd button to show the boundary points again.

  9. In the Section Location area, do the following:

  • Select from the Axis list, the axis along which subsequent section scans will increment.

  • Type the location value for that axis that you want set for all the boundary points.

  • Type the increment value in the Increment box. This is the amount that PC-DMIS will shift the scan after you click the Create button.

  • Type a hole location tolerance value in the Tolerance box.

  10. Select the appropriate type of hits to take from the Hit Type list in the Hit Controls area.

  11. Make any needed changes to the vectors in the Initial Vectors area. Do this by double-clicking on the vector, and making any changes to the Edit Scan Item dialog box, and then clicking OK to return to the Section Scan dialog box.

  12. Select the appropriate nominals mode from the Nominals list in the Nominals Method area.

  13. In the Tolerance box in the Nominals Method area, type a tolerance value that at least compensates for the probe's radius.

  14. Select the appropriate execution mode from the Execute list in the Exec Control area.

  15. If you are using a thin part, type the part's thickness in the Thickness box in the Graphics tab.

  16. If needed, select any of the check boxes from the areas in the Execution tab.

  17. If using an analog probe, consider using the Control Points tab to run your scan optimally.

  18. Click the Generate button in the Theoretical Path area, Path Definitions tab to generate a preview of the scan on the CAD model in the Graphics Display window. When you generate the section scan, PC-DMIS will start the scan at the start point, and will follow the chosen direction, skipping over holes, until it reaches the boundary point.

  19. If desired, use the Spline Path area in the same tab to fit the theoretical path to a spline path.

  20. Make additional modification to your scan as needed.

  21. Click the Create button. PC-DMIS inserts the scan into the Edit window.

  22. After the scan is created, PC-DMIS then shifts the boundary points along the selected axis by the specified increment. It displays the new boundaries it in the Graphics Display window, and lets you use the Section Scan dialog box again to create another section scan.


Performing a Rotary Advanced Scan

Rotary Scan dialog box

Rotary Scan dialog box

Display Menu Roadmap

The Insert | Scan | Rotary scan method will scan the surface around a given point at a specified radius from that point. The radius will be maintained regardless of surface changes. This procedure uses the starting and ending point for the arc of the measurement, and also includes a direction point to define the direction from start to end.

A Sample Rotary Scan Around a Cone

A Sample Rotary Scan Around a Cone

To Create a Rotary Scan

  1. Ensure that you have a TTP or Analog probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select Insert | Scan | Rotary from the submenu. The Rotary Scan dialog box appears.

  4. Type the name of the scan in the ID box if you want to use a custom name.

  5. Determine the center point for the rotary scan. You can do this in one of two ways:

  • Select the Select Center check box, then click a point on the part.

  • Manually type the circle's center location into the XYZ and IJK boxes.

  6. Type a radius value for the rotary scan in the R box. Once you type a radius, PC-DMIS draws the location of the scan on the part model in the Graphics Display window.

  7. Verify that the scan's XYZ center and IJK information is correct.

  8. Deselect the Select Center check box.

  9. Select the appropriate technique from the Direction 1 Tech list, and depending on the technique selected, type the appropriate increment and angle values into the available Max Incr, Min Incr, Max Angle, and Min Angle boxes.

  10. If your scan traverses multiple surfaces, consider selecting surfaces by using the Select check box as discussed in the "Graphics Tab" topic.

  11. Add the 1 point (starting point), the D point (direction to scan), and the 2 point (ending point) for the rotary scan. This will select a curve to scan. If you wish to scan the entire circumference, delete the 2 point. Pick these boundary points by following an appropriate procedure as discussed in the "Boundary Points area" topic.

  12. Select the appropriate type of hits to take from the Hit Type list in the Hit Controls area.

  13. Make any needed changes to the vectors in the Initial Vectors area. Do this by double-clicking on the vector, and making any changes to the Edit Scan Item dialog box, and then clicking OK to return to the Rotary Scan dialog box.

  14. Select the appropriate nominals mode from the Nominals list in the Nominals Method area.

  15. In the Tolerance box in the Nominals Method area, type a tolerance value that at least compensates for the probe's radius.

  16. Select the appropriate execution mode from the Execute list in the Exec Control area.

  17. If you are using a thin part, type the part's thickness in the Thickness box in the Graphics tab.

  18. If needed, select any of the check boxes from the areas in the Execution tab.

  19. If using an analog probe, consider using the Control Points tab to run your scan optimally.

  20. Click the Generate button in the Theoretical Path area, Path Definitions tab to generate a preview of the scan on the CAD model in the Graphics Display window. When you generate the scan, PC-DMIS will start the scan at the start point, and will follow the chosen direction until it reaches the boundary point.

  21. If needed, make additional modification to your scan.

  22. Click the Create button. PC-DMIS inserts the scan into the Edit window.


Performing a Freeform Advanced Scan

Freeform Scan dialog box

Freeform Scan dialog box

Display Menu Roadmap

The Freeform Scan dialog box allows you to easily create any path on a surface and the scan will follow that path. This path is completely up to you: it can be curved or straight and have many or few hits.

Example Freeform Scan Before Spline Path | Example Freeform Scan After Spline Path
Freeform Scan - Before Spline | Freeform Scan - After Spline

To create a Freeform scan:

  1. Click the Advanced>> button to make the tabs at the bottom of the dialog box visible.

  2. In the Execution and Graphics tabs, select items as desired.

  3. Select the Path Definition tab.

  4. Define the theoretical path. Add hits to the Theoretical Path box by clicking on the surface of the part in the Graphics Display window. With each click, an orange point appears on the part drawing. Once you have five or more points the Calculate button in the Spline Path area becomes enabled.

  5. If desired, select items in the Spline Path area, and then click Calculate. This creates a spline curve along the theoretical points you've defined and then recalculates the points in the theoretical path area to produce a smoother path for the probe to follow.

  6. Click Create to generate the scan.


Performing a UV Advanced Scan

UV Scan dialog box

UV Scan dialog box

Display Menu Roadmap

The Insert | Scan | UV scan allows you to easily scan rows of points on any surface of a known CAD model (similar to the Patch scan). This scan doesn't require a lot of setup because it uses the UV space as defined by the CAD model.

Example UV scan

Example UV scan with each hit labeled

Note: When PC-DMIS sets up the UV scan using this dialog box, it gets each of the points from the CAD and uses the nominal data for each point.

To Create a UV Scan

  1. Enable a TTP probe.

  2. Place your CAD model in Solid mode.

  3. Place PC-DMIS into DCC mode.

  4. Access the UV Scan dialog box (Insert | Scan | UV).

  5. Type the name of the scan in the ID box if you want to use a custom name.

  6. In the Graphics tab, click the Select check box.

  7. Click the surface you will scan. PC-DMIS highlights the selected surface. PC-DMIS will display a U and V on the CAD model, indicating the direction of each axis.

  8. In the Graphics tab, clear the Select check box.

  9. Select the Start CAD Click check box from the UV Scan Settings area.

  10. Click once on the selected surface to set the scan's start point. Where you click on the surface also indicates where the UV scan will begin. This defines the first corner for the rectangular area for the scan.

Note: The UV scan now supports scanning of multiple surfaces. To scan multiple surfaces, click on the surfaces to be scanned in the order you want them scanned. PC-DMIS will display a number indicating the surface number and the U and V direction arrows. During execution, PC-DMIS executes the UV scan on the first surface, then the second, surface and so on.

  11. Select the End CAD Click check box from the UV Scan Settings area.

  12. Click again on the selected surface to set the scan's end point. Again, PC-DMIS displays a U and V on the CAD model. This defines the second rectangular area for the scan.

Note: PC-DMIS automatically determines the start and end positions along both the U and V axes based on the points you clicked. You can change the scan direction by switching the Start and End values in the U and V rows. UV space uses numbers between 0.0 and 1.0 to represent the entire surface. So in most cases, 0.0, 0.0 will be on the opposite diagonal corner from 1.0, 1.0. Trimmed surfaces, however, may start with a value greater than 0.0 and end with one less than 1.0 in both the U and V directions.

  13. Select the appropriate type of hits to take from the Hit Type list in the Hit Controls area. You can select either Vector or Surface.

  14. Modify any other options as needed.

  15. Select the Generate button in the Theoretical Path area, Path Definitions tab to generate a preview of the scan on the CAD model in the Graphics Display window. PC-DMIS will draw on the CAD model where the points should be taken. You will notice that the UV scan automatically skips any impeding holes along the surface.

  16. If needed, make any modifications to your scan.

  17. Click the Create button. PC-DMIS inserts the scan into the Edit window and draws the route the probe will take on the surface of the model in the Graphics Display window.


Current Help System: PC-DMIS CMM (View Core Help)

Example rectangle taking in several surfaces

An example selected surface highlighted in red

An example selected surface, highlighted in red

Example Generated Points

Example showing generated points. Notice that the points only appear on the selected surface (red), even though several other surfaces (blue) are bounded by the rectangle.

Performing a Grid Advanced Scan

Grid Scan dialog box

Grid Scan dialog box

Display Menu Roadmap

The Insert | Scan | Grid scan, similar to the UV scan, lets you to easily create a grid of points within a visible rectangle and then project those points down on top of any selected surfaces. UV and Grid scans are similar in the way that they construct and space points within a selected area. However, the orientation of the points with respect to the a CAD model's orientation differs.

Consider these two figures:

Figure 1 - UV Scan on 2D Rotated Part | Figure 2 - Grid Scan on 2D Rotated Part
UV Scan on 2D Rotated Part | Grid Scan on 2D Rotated Part

Figure 1 shows a UV scan on the top surface of a 2D rotated sample block. Figure 2, shows the same block with a Grid scan. Notice how the UV axes in figure 1 are in line with the XY axes of the selected surface. The Grid scan, on the other hand, does not do this; instead, the points remain aligned with the rectangle view. When created, the Grid scan creates the points where they fall on the selected surfaces, regardless of part orientation

To Create a Grid Scan

  1. Enable a TTP Probe.

  2. Place your CAD model in Solid mode.

  3. Place PC-DMIS into DCC mode.

  4. Access the Grid Scan dialog box (Insert | Scan | Grid).

  5. Type the name of the scan in the ID box if you want to use a custom name.

  6. Drag a rectangle on the screen over the surface or surfaces you want to include in your scan. This rectangle defines the boundary for the scan.

  7. In the Graphics tab, select the Select check box.

  8. Click the surface or surfaces you will scan. PC-DMIS highlights the selected surfaces as you select them.

  9. Select the appropriate type of hits to take from the Hit Type list in the Hit Controls area. You can select either Vector or Surface.

  10. In the Grid Scan Settings area, define how many hits in the A and B directions will get spaced and dropped onto the selected surface(s).

  13. Modify any other options as needed. Only MASTER can be selected from the Nominals list.

  14. Select the Generate button in the Theoretical Path area, Path Definitions tab to generate a preview of the scan on the CAD model in the Graphics Display window. PC-DMIS will draw points on the CAD model. It will not draw points on any surface you did not select, even if the boundary of the rectangle includes other surfaces.

  15. If needed, make any modifications to your scan.

  16. Click the Create button. PC-DMIS inserts the scan into the Edit window and draws the route the probe will take on the surface of the model in the Graphics Display window.


Introduction to Performing Basic Scans

PC-DMIS now offers support for scans that are classified under a new type called Basic Scans. These new scans are feature based scans (i.e. you could define a feature such as a Circle or Cylinder to be measured along with appropriate parameters and PC-DMIS would execute a scan that uses the appropriate Basic Scanning capability).

The following Basic Scans are available from the Insert Scan submenu if your TTP or Analog probe is placed into DCC mode:

  • Circle Scan

  • Cylinder Scan

  • Axis Scan

  • Center Scan

  • Line Scan

Note: The Center Scan menu option will be unavailable for selection until you select an Analog Probe Head.

PC-DMIS's more advanced scans are composed of basic scans. While PC-DMIS doesn't allow you to pick basic scans from a list and create advanced scans from them, you can copy and paste basic scans into already created advanced scans.

This section will first cover the common functions available to the Basic Scan dialog box and then how to perform the available Basic Scans.

For information on the options available in the Scan dialog box, the dialog box used to perform these scans, see the "Common Functions of the Basic Scan Dialog Box" in the PC-DMIS Core documentation.

More:

Performing a Circle Basic Scan

Performing a Cylinder Basic Scan

Performing an Axis Basic Scan

Performing a Center Basic Scan

Performing a Line Basic Scan


Performing a Circle Basic Scan

BASICSCAN dialog box - Circle tab

BASICSCAN dialog box - Circle tab

Display Menu Roadmap

The Insert | Scan | Circle menu option allows you to scan a circle feature. It takes parameters such as the center of the circle, diameter of the circle etc., and allows the CMM to execute the scan. The Circle Method allows only the Distance Filter to be used. It allows only the Vector Hit Type and does not need a Boundary Condition. The following parameters control the scan execution:

  • Centroid: This point (found in the first list, under the # column) is the center of the circle. The center of the circle can be typed directly or can be obtained from Machine or from CAD.

To Define a Basic Circle Scan:

You can define a Basic Circle scan in one of these ways:

  • Typing in values directly. See "Circle Basic Scan - Key In Method" for this scan.

  • Physically measuring points on the circle. See "Circle Basic Scan - Measured Point Method" for this scan.

  • Clicking on the circle in the CAD model in the Graphics Display window. See "Circle Basic Scan - Surface Data Method" or "Circle Basic Scan - Wire frame Data Method".

Once you create the scan, PC-DMIS inserts it into the Edit window. The Edit window command line for a Circle Basic Scan reads:

ID=BASICSCAN/CIRCLE,ShowHits=YES,ShowAllParams=YES
      centerx,centery,centerz,CutVec=i,j,k,Type
      InitVec=i,j,k, diameter,angle,depth,thickness

More:

Circle Basic Scan - Key In Method

Circle Basic Scan - Measured Point Method

Circle Basic Scan - Surface Data Method

Circle Basic Scan - Wire frame Data Method

Circle: CAD Data Method


Circle Basic Scan - Key In Method

This method lets you type in the X, Y, and Z values of the circle's centroid and vectors.

  1. Select the desired centroid point in the list.

  2. Double-click on the Centroid column. This will display an Edit Scan Item dialog box for the centroid. The title bar of the dialog box displays the ID of the specific parameter being edited.

Edit Dialog box

  3. Manually edit the X, Y, or Z boxes.

  4. Click the OK button to apply the changes. The Cancel button will disregard any changes that have been made and will close the dialog box.

  5. Edit the CutVec and the InitVec of the circle using this same process.


Circle Basic Scan - Measured Point Method

To generate the circle without the use of CAD data:

  1. Take three hits on the surface to find the plane that the circle is lying in.

  2. Take three additional hits in the hole (or on the stud). PC-DMIS calculates the circle using all three hits.

Additional hits can be taken. PC-DMIS will use the data from all of the measured hits. The Centroid that is displayed is the calculated center of the hole (or stud). The CutVec is the circle axis and the InitVec of the circle is calculated based on the first of the latter three hits that are used calculate the circle. The angle is calculated as the angle of the arc from the first hit to the last hit.


Circle: CAD Data Method

Current Help System: PC-DMIS CMM (View Core Help)

Circle Basic Scan - CAD Data Method

The InitVec of the circle is calculated based on the first click that is used to calculate the circle with this method.

Type:

The following types of circles are allowed:

1) IN: A Hole

A - Hole Case

B - Starting Point

C - Initial Vector

D - Angle

2) OUT: A Stud

A - Stud Case

B - Starting Point

C - Initial Vector

D - Angle

3) PLANE: A Plane circle executed on the plane the circle is lying on.

Angle:

This is the angle (in degrees to scan ) from the Start Point. Both positive angles and negative angles can be used. Positive angles are considered counterclockwise and negative angles are considered clockwise. The CutVec is considered the axis about which the angle rotates.

Diameter:

This is the diameter of the circle.

Depth:

This is the Depth applied against the CutVec direction. Both positive and negative values can be used.

Example: If the circle has a center of 1,1,3, a CutVec of 0,0,1, and a depth of 0.5, the circle center will be set to 1, 1, 2.5 during execution. If a Depth of –0.5 is used for the same circle , the centroid would be shifted to 1,1,3.5 during execution.


Circle Basic Scan - Surface Data Method

To generate a circle using surface data:

  1. Click the Surface mode icon.

  2. Position the cursor either outside or inside the desired circle.

  3. Click once on a surface nearby the circle.

The dialog box will automatically display the X, Y, Z center point, diameter, and vectors for the circle from the selected CAD data.

  • CutVec: This vector is the axis of the circle and is the plane in which the scanning will be done.

  • InitVec: This vector describes direction in which the probe will take it’s first hit to start the scan. This vector is calculated according to the mode of Data Entry. This vector and the CutVec are normal to each other.


Circle Basic Scan - Wire frame Data Method

Wire frame CAD data can also be used to generate a circular scan.

To generate the circle:

  1. Click near the desired wire on the circle. PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected.

The dialog box will display the value of the selected circle's center point and diameter once the wire has been indicated.

Note: If the underlying CAD element is not a circle or arc, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional points near the circle.

  • CutVec: This vector is the axis of the circle and is the plane in which the scanning will be done.

  • InitVec: This vector describes direction in which the probe will take it’s first hit to start the scan. This vector is calculated according to the mode of data entry This vector and the CutVec are normal to each other.


Performing a Cylinder Basic Scan

BASICSCAN dialog box - Cylinder tab

BASICSCAN dialog box - Cylinder tab

Display Menu Roadmap

The Insert | Scan | Cylinder menu option allows you to scan a cylinder feature. It takes parameters such as the cylinder's diameter and pitch etc., and allows the controller to execute the scan. The Cylinder Method allows the Distance in the Filter tab and the Vector Hit Type and does not need a Boundary Condition. The following parameters control the scan execution:

Centroid: This point is the cylinder center from which execution will start. The center of the cylinder can be keyed in directly or can be obtained from Machine or from CAD.

To Define a Basic Cylinder Scan:

You can define a Basic Cylinder scan in one of these ways:

  • Typing in values directly. See "Cylinder Basic Scan - Key In Method" for this scan.

  • Physically measuring points on the cylinder. See "Cylinder Basic Scan - Measured Point Method" for this scan.

  • Clicking on the cylinder in the CAD model in the Graphics Display window. See "Cylinder Basic Scan - Surface Data Method" or "Cylinder Basic Scan - Wire frame Data Method"

Once you create the scan, PC-DMIS inserts it into the Edit window. The Edit window command line for a Cylinder Basic Scan reads:

ID=BASICSCAN/CYLINDER,ShowHits=YES,ShowAllParams=YES
centerx,centery,centerz,CutVec=i,j,k,Type
InitVec=i,j,k, diameter,angle,pitch,depth ,thickness

More:

Cylinder Basic Scan - Key In Method

Cylinder Basic Scan - Measured Point Method

Cylinder Basic Scan - Surface Data Method

Cylinder Basic Scan - Wire frame Data Method

Cylinder: CAD Data Method


Cylinder Basic Scan - Key In Method

This method lets you type the X, Y and Z value of the cylinder's centroid, and vectors.

  1. Double-click the centroid point in the List Box in the ‘#’ column. This will display the Edit Scan Item dialog box. The title bar of the dialog box displays the ID of the specific parameter being edited.

Edit Scan Item dialog box

  2. Manually edit the X, Y, or Z value.

  3. Click the OK button to apply the changes.

The Cancel button will disregard any changes that have been made and will close the dialog box.

You should also key-in the CutVec and the InitVec of the cylinder using this same process.


Cylinder Basic Scan - Measured Point Method

To generate the cylinder without the use of CAD data:

  1. Take three hits on the surface to find the axis vector of the cylinder.

  2. Take three additional hits in the hole (or on the stud). PC-DMIS calculates the diameter of the cylinder using all three hits.

Additional hits can be taken. PC-DMIS will use the data from all of the measured hits. The Centroid that is displayed is the calculated center of the hole (or stud). The CutVec is the cylinder axis and the InitVec of the cylinder is calculated based on the first of the last three hits that are used to calculate the diameter of the cylinder. The angle is calculated as the angle of the arc from the first hit used to calculate the diameter of the cylinder to the last click.


Cylinder Basic Scan - Surface Data Method

To generate a cylinder using surface data:

  1. Click on the Surface mode icon.

  2. Position the cursor either outside or inside the desired cylinder.

  3. Click once on a surface near the cylinder.

The dialog box will display the center point and diameter from the CAD data of the selected sheet metal cylinder once the third point has been indicated.

If additional mouse clicks are detected, PC-DMIS will find the best cylinder near all of the hits. The CutVec is the cylinder axis and the InitVec of the cylinder is calculated based on the first click. The angle is calculated as the angle of the arc from the first click to the last click.


Cylinder Basic Scan - Wire frame Data Method

Wire frame CAD data also can be used to generate a cylindrical scan.

To generate the cylinder:

  1. Click near the desired wire on the cylinder. PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected.

The dialog box will display the value of the selected cylinder's center point and diameter once the wire has been indicated.

Note: If the underlying CAD element is not a cylinder or arc, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional locations of the cylinder.

  • CutVec: This vector is the axis of the cylinder and is the plane in which the scanning will be done.

  • InitVec: This vector describes direction in which the probe will take it’s first hit to start the scan. This vector is calculated according to the mode of Data Entry. This vector and the CutVec are normal to each other.


Cylinder: CAD Data Method

Current Help System: PC-DMIS CMM (View Core Help)

Cylinder Basic Scan - CAD Data Method

The InitVec of the cylinder is calculated based on the first click that is used to calculate the cylinder with this method.

Type:

The Type drop down list of allows the following:

1) IN: A Hole

2) OUT: A Stud

Angle:

The Angle box displays the angle (in degrees to scan) from the Start Point. Both positive angles and negative angles can be used. Positive angles are considered counterclockwise and negative angles are considered clockwise. The CutVec is considered the axis about which the angle rotates. The angle can be over 360 degrees and the scan will continue for more than one revolution.

Example: If you have given an angle of 720 degrees the scan would execute two revolutions.

Diameter:

The Diameter box displays the diameter of the cylinder.

Depth:

The Depth box displays the depth value that is applied against the CutVec direction.

A - Centroid

B - Depth

C - CutVec

Example: If the cylinder has a center of 1,1,3, a CutVec of 0,0,1, and a depth of 0.5, the cylinder's center is set to 2.5 during execution.

Pitch:

The Pitch box shows the distance along the CutVec between the Start and End of the scan when it does one complete revolution of 360 degrees. The cylinder's pitch can have a positive or a negative value and when combined with the CutVec and the angle controls the direction of the scan up/down the cylinder axis.

Example: If the cylinder has a CutVec of 0,0,1, a Pitch value of 1.0 and a positive angle of 720, the scan would execute two revolutions and would move up the axis of the cylinder two units from the start point. If, for the same cylinder, a negative pitch is entered, the scan would execute down the axis of the cylinder two units.


Performing an Axis Basic Scan

BASICSCAN dialog box - Axis tab

BASICSCAN dialog box - Axis tab

Display Menu Roadmap

The Insert | Scan | Axis menu option allows you to scan a straight line feature. It takes the Start Point and End Point of the line and allows you to execute the scan.

The Axis Method:

  • Allows only the Distance option to be selected from the Filter tab.

  • Allows the Vector hit type to be selected from the Hit Type tab.

  • Does not need a Boundary Condition.

The two parameters that control the scan execution are:

  • Start Point: This point is the start point from which execution will start.

  • End Point: This point is the end point at which execution will end.

The points can be keyed in directly or can be obtained from Machine or from CAD.

To Define a Basic Axis Scan:

You can define a Basic Axis scan in one of these ways:

  • Typing in values directly. See "Axis Basic Scan - Key In Method" for this scan.

  • Physically measuring points on the part. See "Axis Basic Scan - Measured Point Method" for this scan.

  • Clicking points to define the axis in the CAD model in the Graphics Display window. See "Axis Basic Scan - Surface Data Method" or "Axis Basic Scan - Wire frame Data Method"

Once you create the scan, PC-DMIS inserts the it into the Edit window. The Edit window command line for an Axis Basic Scan reads:

ID =BASICSCAN/AXIS,ShowHits=YES,ShowAllParams=YES
startx, starty, startz,endx,endy,endz
CutVec=i,j,k,thickness

More:

Axis Basic Scan - Key In Method

Axis Basic Scan - Measured Point Method

Axis Basic Scan - Surface Data Method

Axis Basic Scan - Wire frame Data Method


Axis Basic Scan - Key In Method

This method lets you type the X, Y, and Z values of the start and end points for the Axis scan.

  1. Click on the desired point in the List Box in the ‘#’ column. This will display an Edit Scan Item dialog box. The title bar of the dialog box displays the ID of the specific parameter being edited.

Edit Scan Item dialog box

  2. Manually edit the X, Y, or Z value.

  3. Click the OK button to apply the changes.

The Cancel button will disregard any changes that have been made and will close the dialog box.

You should also type the CutVec and the InitVec values of the axis using this same process.


Axis Basic Scan - Measured Point Method

To generate the line without the use of CAD data:

  1. Select the desired point in the list.

  2. Take a hit on the part. This will fill up the values for that point.

The CutVec is the normal vector of the plane in which the straight line lies.


Axis Basic Scan - Surface Data Method

To generate a line using surface data:

  1. Click the Surface mode icon.

  2. Select Start Point from the list in the dialog box.

  3. Click on the part in the Graphics Display window to define the start point.

  4. Select End Point from the list in the dialog box.

  5. Click on the part in the Graphics Display window to define the end point.

PC-DMIS will fill up the necessary values in the List Box.


Axis Basic Scan - Wire frame Data Method

Wire frame CAD data also can be used to generate points for a line. Click near the desired wire on the axis. PC-DMIS will highlight the entire selected wire. It will also fill up the Start Point and End Point items in the dialog box with the start an ending points of the selected wire.

CutVec: This vector is the normal vector of the Plane in which the straight line lies.


Performing a Center Basic Scan

BASICSCAN dialog box - Center tab

BASICSCAN dialog box - Center tab

Display Menu Roadmap

The Insert | Scan | Center menu option allows you to find a Low/High point in an area. It takes a Start Point of the scan and an End Point and allows the controller to execute the scan. The output from this scan is a single point only.

The Center Method:

  • Allows only the Distance option to be used from the Filter tab.

  • Allows only the Vector option to be used from the Hit Type tab.

  • Does not need a Boundary Condition.

These two parameters control the scan execution:

  • Start Point: This point is the Start Point from which execution will start.

  • End Point: This point is the End Point at which execution will end.

The points can be typed directly or can be obtained from Machine or from CAD.

To Define a Basic Center Scan:

You can define a Basic Center scan in one of these ways:

  • Typing in values directly. See "Center Basic Scan - Key In Method" for this scan.

  • Physically measuring points on the part. See "Center Basic Scan - Measured Point Method" for this scan.

  • Clicking points on the CAD model in the Graphics Display window. See "Center Basic Scan - Using Surface Data on the Screen" or "Center Basic Scan - Wire frame Data Method"

The Edit window command line for a Center Basic Scan reads:

ID =BASICSCAN/CENTER,ShowHits=YES,ShowAllParams=YES
startx,starty,startz,endx,endy,endz,CutVec=i,j,k,Type
InitVec=i,j,k,direction,thickness

More:

Example Center Scan

Center Basic Scan - Key In Method

Center Basic Scan - Measured Point Method

Center Basic Scan - Using Surface Data on the Screen

Center Basic Scan - Wire frame Data Method


Example Center Scan

Suppose you have a "V" shaped block, where the "V" is in the Y axis of the machine and the apex of the "V" is in the Y+ direction of the part coordinate system (see figure below).

Top-down (Z+) view of a V-Block with "V" apex in Y+ direction

A - Apex

To have a Basic Center scan find the apex of the "V" using the "PLANE" method, do the following:

  1. Take a hit where you want the scan to start (on one of the sides of the V). PC-DMIS populates the Scan dialog box with the X, Y, and Z point information.

  2. Give the Start Point and End Point values the same X, Y, and Z values.

  3. Make sure the InitVec vector is 0,-1,0.

  4. Make sure the CutVec vector is 0,0,1.

  5. Select PLANE from the Type list.

  6. Click Create. PC-DMIS scans down the "V" to find its apex by searching for the lowest point along the init vector.

To have a Basic Center scan find the apex of the "V" using the “AXIS” method, do the following:

  1. Take a hit where you want the scan to start (on one of the sides of the V). PC-DMIS populates the Scan dialog box with the X, Y, and Z point information.

  2. Give the Start Point and End Point values the same X and Z values. Then offset the Y of the end point into the material of the part.

  3. Make sure the InitVec vector is 0,-1,0.

  4. Make sure the CutVec vector is 0,0,1.

  5. Select AXIS from the Type list.

  6. Click Create. PC-DMIS scans down the "V" to find its apex by searching for the lowest point along the init vector.


Center Basic Scan - Key In Method

This method lets you type the X, Y and Z values of the start and end points for the Center scan.

  1. Double-click the desired point in the List in the ‘#’ column. This will display an Edit Scan Item dialog box:

Edit Scan Item dialog box

2. Manually edit the X, Y, or Z value.

3. Press the OK button to apply the changes.

The Cancel button will disregard any changes that have been made and will close the dialog box.

You should also key in the CutVec and the InitVec of the center using this same process.


Center Basic Scan - Measured Point Method

To generate the Center scan without the use of CAD data:

  1. Select the desired point in the list.

  2. Take a hit on the part. This will fill up the values for that point.

The CutVec is the normal vector of the plane in which the probe remains free while centering is done by the controller. The Init Vec is the initial approach vector at the Start Point.


Center Basic Scan - Surface Data Method

To generate a Centering scan using surface data:

  1. Click on the Surface mode icon.

  2. Select the desired point in the list.

  3. Click on a location in the Graphics screen. PC-DMIS will fill up the necessary values in the list.


Center Basic Scan - Wire frame Data Method

Wire frame CAD data also can be used to generate points.

Click near the desired wire on the center. PC-DMIS will highlight the selected wire. It will find the closest point in the wire to the clicked location and fill up values in the list.

  • CutVec: This vector is the normal vector of the Plane in which the Probe remains free as centering happens.

  • InitVec: This vector is the approach vector of the Probe at the Start Point.

Type:

The following types of centering methods are allowed:

  • Axis: The Start Point (S) is projected on the defined Axis (A). The resulting point is (SP). The InitVec is projected in the plane defined by the Projected point (SP) and the axial direction (A). The direction (N) thus defined is vertical to the axial direction. Thereafter, as centering is performed, the probe’s center point remains in the plane defined by the axial direction and (SP). Centering takes with / against the direction (N) as an input, and the probe tip is free in the direction defined by the axial direction (A) crossing the direction (N).

    S     = Start Point
    A     = Defined Axis / Axial direction
    SP     = Projected Start Point
    N     = The direction vertical to the axial direction.

  • Plane: After probing the point defined by the Start Point, the CMM centers with/against the probe direction while remaining free in the plane defined by the CutVec.


Performing a Line Basic Scan

BASICSCAN dialog box - Line tab

BASICSCAN dialog box - Line tab

Display Menu Roadmap

The Insert | Scan | Line menu option will scan the surface along a line. This scan needs three points, a Start Point, a Direction Point, and an End Point. It uses the starting and ending point for the line, and uses the direction point to calculate the cut plane. The probe will always remain within the cut plane while doing the scan.

The LINE scan also uses the following vectors for execution:

  • InitVec: The initial touch vector indicates the surface vector of the first point in the scanning process.

  • CutVec: The cut plane vector is the cross product of the InitVec and the line between the start and end point. If there is no end point, the line between the start point and direction point is used.

  • EndVec: The end vector is the approach vector at the end point of the line scan.

  • DirVec: The direction vector is the vector from the start point to the direction point.

The cut vector is the cross product of the initial touch vector and the line between the start and end point.

To Define a Basic Line Scan:

  1. Click the Start Point from the # column and either double-click on it to type in a value or click on the CAD model to select a point from the selected surface.

  2. Click the Direction Point from the # column and either double-click on it to type in a value or click on the CAD model to select a point from the selected surface.

  3. Click the End Point from the # column and either double-click on it to type in a value or click on the CAD model to select a point from the selected surface.

  4. Modify the vectors as needed.

  5. Fill out any other tabs as needed on the dialog box and click OK. PC-DMIS inserts the LINE scan into the Edit window.

The Edit window command line for a Line Basic Scan reads:

ID =BASICSCAN/LINE,ShowHits=YES,ShowAllParams= YES
startx,starty,startz,endx,endy,endz,CutVec=i,j,k, DirVec=i,j,k
InitVec=i,j,k, EndVec=i,j,k, thickness


Introduction to Performing Scans Manually

Manual TTP Scan dialog box

A Manual Scan dialog box

The manual method of scanning allows you to define a point measurement by manually scanning the surface of a part. This is particularly useful when user controlled CMM measurement hits are desired.

There are two types of manual scans.

  • Manual scans using a Touch Trigger Probe (TTP)

  • Manual scans using a Hard Probe

To begin creating manual scans, place PC-DMIS into Manual mode and then select one of the available manual scan type from the Scan submenu. These include:

  • Manual TTP (only available if you are using a TTP)

  • Fixed Distance

  • Fixed Time

  • Fixed Time/Distance

  • Body Axis

  • MultiSection

  • Manual Freeform

The appropriate manual scan dialog box will open. For general information about the options on these dialog boxes, see the "Common Functions of the Scan Dialog Box" in the PC-DMIS Core documentation.

More:

Common Functions of the Scan Dialog Box

Additional Manual Scan Options

Rules for Manual Scans

Performing Manual Scans with a Touch Trigger Probe

Performing Manual Scans with a Hard Probe


Rules for Manual Scans

The following topics discuss rules governing manual scanning in general, rules for standard Horizontal and Bridge CMM 's, and Arm CMMs.

More:

Rules for Manual Scans in General

Rules for Using Standard Horizontal and Bridge CMMs

Rules for Using Arm CMMs (Gage 2000A, Faro, Romer)


Rules for Manual Scans in General

Manual scans should be done along the machine axis (the X, Y, or Z axis).

For example, your part requires a scan along the surface of a sphere. To do this scan:

  1. Lock the Y axis. This is done by using a lock switch on your CMM. This switch can be set to ON/OFF to prevent/allow movement in a particular axis.

  2. Begin scanning in the +X direction.

  3. Unlock the Y axis, and move to the next row along +Y or -Y.

  4. Lock the Y axis again.

  5. Scan back in the reverse (-X) direction.

When multiple rows of manual scans are being done, we recommend that every other scan line be reversed.

For example (continuing the scan of the sphere as outlined above):

  1. Begin the scan along the surface in the +X direction.

  2. Move to the next row and scan along the -X axis.

  3. Continue to switch the direction of the scan as needed. The internal algorithms depend on this kind of regularity and could give poor results if the scheme is not followed.

Compensation Limitations

In previous versions there was a 3D check box that let you take hits in a three-dimensional manner. Starting with version 4.0, the 3D check box has been removed. PC-DMIS now automatically applies this functionality whenever you perform supported manual scans using a hard probe.

With Fixed Distance, Fixed Time / Distance, and Fixed Time scan, PC-DMIS automatically lets you take manual hits in a three-dimensional manner, in any direction. This is useful when scanning using free moving manual CMMs (such as a Romer or Faro arm) whose axes cannot be locked.

Since you can move the probe in any direction, PC-DMIS cannot accurately determine the proper probe compensation (or the Input and Direction vectors) from the measured data.

There are two solutions to the compensation limitations:

  • If CAD surfaces exist, then you can select FINDNOMS from the Nominals list. PC-DMIS will attempt to find the nominal values for each measured point in the scan. If the nominal data is found, then the point will be compensated along the found vector, allowing proper probe compensation; otherwise, it will remain at Ball Center.

  • If CAD surfaces do not exist, then probe compensation will not occur. All data will remain at Ball Center with no probe compensation occurring.


Rules for Using Standard Horizontal and Bridge CMMs

The following description contains rules you should follow to have manual scanning compensate correctly and with greater speed on standard Horizontal and Bridge type CMMs.

Fixed Distance Scans, Fixed Time Scans and Fixed Time / Distance Scans

  • You must lock one axis of the CMM during the scan; PC-DMIS will take the scan in a plane perpendicular the locked axis.

  • On each of these three types of scans you must type the InitVec and DirVec in the Machine Coordinate System . This is required because you are locking one of the machine axes.

Body Axis Scans

  • You should not lock any axis during the scan. PC-DMIS will take the scan by crossing the probe over a keyed in Body Axis location. Each time the probe crosses this given plane, the CMM takes a reading and passes it to PC-DMIS.

  • On this type of scan you need to type the InitVec and the DirVec values in the Part Coordinate System. This is required so that the probe can traverse the Body Axis location indicated.

  • Make sure you type the Body Axis in the Part Coordinate System.


Rules for Using Arm CMMs (Gage 2000A, Faro, Romer)

The following description lists the rules that you need to follow to have manual scanning compensate correctly and with greater speed on Arm CMMs.

All Types of Manual Scans

  • You should not lock any axis during the scan. PC-DMIS takes the scan by crossing the probe over a keyed in Body Axis location. Each time the probe crosses this given plane the CMM takes a reading and passes it to PC-DMIS.

  • On this type of scan you must type the InitVec and the DirVec values in the Part Coordinate System . This is required to work together with the Body Axis location.

  • Make sure you type the Body Axis in the Part Coordinate System.


Performing Manual Scans with a Touch Trigger Probe

Manual TTP Scan dialog box

Manual TTP Scan dialog box

You can perform manual scans using a touch trigger probe (TTP).

To do this:

  1. Place PC-DMIS into manual mode.

  2. Access the Manual TTP Scan dialog box (Insert | Scan | Manual TTP).

    Display Menu Roadmap

  3. Define the necessary parameters.

  4. Click the Create button. PC-DMIS will display the Execution Mode Options dialog box and request that a hit be taken.

    Execution Mode Options dialog box

  5. Take the hits as requested.

  6. At the end of the scan, click the Scan Done button in the Execution Mode Options dialog box and PC-DMIS will stop the scan.

Note: Some scanning methods are not available when using a Touch Trigger Probe.


Performing Manual Scans with a Hard Probe

Display Menu Roadmap

A hard probe must be used in order to access the four measurement methods.

Manual scanning provides four different measurement methods that can be used with a hard probe. PC-DMIS collects the measured points as fast as they are read by the controller during the scanning process. Once the scan is complete, PC-DMIS will offer you an opportunity to reduce the collected data based on the scanning method selected.

The four measurement methods with a hard probe are described below:

Note: When a touch trigger probe is used, PC-DMIS will require individual hits be at each location. It will not offer the different measurement methods as described for a hard probe scan.

More:

Performing a Fixed Distance Manual Scan

Performing a Fixed Time / Distance Manual Scan

Performing a Fixed Time Manual Scan

Performing a Body Axis Manual Scan

Performing a Multisection Manual Scan

Performing a Freeform Manual Scan


Performing a Fixed Distance Manual Scan

Fixed Delta dialog box

Fixed Delta dialog box

Display Menu Roadmap

The Insert | Scan | Fixed Distance method of scanning allows you to reduce the measured data by setting a distance value in the Distance Between Hits box. PC-DMIS will start from the first hit and reduce the scan by deleting hits that are closer than the distance specified. The reduction of hits happens as data comes from the machine. PC-DMIS only keeps the points that are set apart by more than the specified increments.

Example: If you have specified an increment of 0.5, PC-DMIS will only keep hits that are at least 0.5 units apart from each other. The rest of the hits from the controller are discarded.

To Create a Fixed Distance (Delta) Scan

  1. Access the Fixed Delta dialog box.

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. In the Distance Between Hits box, type the distance that the probe will need to move before PC-DMIS takes a hit. This is the 3D distance between points. For example, if you type 5, and your unit of measurement is millimeters, the probe has to move at least 5 mm from the last point before PC-DMIS accepts a hit from the controller.

  4. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  5. Set any other dialog box options as needed.

  6. Click Create. PC-DMIS inserts the basic scan.

  7. Execute your part program. When PC-DMIS executes the scan, the Execution Options dialog box appears and PC-DMIS waits for data to come from the controller.

  8. Manually drag the probe over the surface you want to scan. PC-DMIS will accept hits from the controller that are separated by any distance greater than the distance you defined in the Distance Between Hits box.

See the "Common Functions of the Scan Dialog Box" topic for information on this tab's other controls.


Performing a Fixed Time / Distance Manual Scan

Variable Delta dialog box

Variable Delta dialog box

Display Menu Roadmap

The Insert | Scan | Fixed Time / Distance method of scanning allows you to reduce the number of hits taken in a scan by specifying the distance the probe must move as well as the time that must pass before additional hits can be accepted by PC-DMIS from the controller.

To Create a Fixed Time / Distance (Variable Delta) Scan

  1. Access the Variable Delta dialog box.

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. In the Time Delay Between Reads box, type the time in seconds that will need to elapse before PC-DMIS takes a hit.

  4. In the Distance Between Hits box, type the distance that the probe will need to move before PC-DMIS takes a hit. This is the 3D distance between points. For example, if you type 5, and your unit of measurement is millimeters, the probe has to move at least 5 mm from the last point before PC-DMIS accepts a hit from the controller.

  5. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  6. Set any other dialog box options as needed.

  7. Click Create. PC-DMIS inserts the basic scan.

  8. Execute your part program. When PC-DMIS executes the scan, the Execution Options dialog box appears and PC-DMIS waits for data to come from the controller.

  9. Manually drag the probe over the surface you want to scan. PC-DMIS checks the amount of time elapsed and the distance the probe moves. Whenever the time and distance exceed the values specified, it will accept a hit from the controller.

See the "Common Functions of the Scan Dialog Box" topic for information on this dialog's controls.


Performing a Fixed Time Manual Scan

Time Delta dialog box

Display Menu Roadmap

The Insert | Scan | Fixed Time method of scanning allows you to reduce the scan data by setting a time increment in the Time Delay Between Reads box. PC-DMIS will start from the first hit and reduce the scan by deleting hits that are read in faster than the specified time delay.

Example: If you specify a time increment 0.05 seconds, then PC-DMIS will only keep hits from the controller that are measured at least 0.05 seconds apart. The other hits are excluded from the scan.

To Create a Fixed Time (Time Delta) Scan

  1. Access the Variable Delta dialog box.

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. In the Time Delay Between Reads box, type the time in seconds that will need to elapse before PC-DMIS takes a hit.

  4. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  5. Set any other dialog box options as needed.

  6. Click Create. PC-DMIS inserts the basic scan.

  7. Execute your part program. When PC-DMIS executes the scan, the Execution Options dialog box appears and PC-DMIS waits for data to come from the controller.

  8. Manually drag the probe over the surface you want to scan. Whenever the elapsed time exceeds the values specified in the Time Delay Between reads box, PC-DMIS will accept a hit from the controller.

See the "Common Functions of the Scan Dialog Box" topic for information on this dialog's controls.


Performing a Body Axis Manual Scan

Body Axis dialog box

Body Axis dialog box

Display Menu Roadmap

The Insert | Scan | Body Axis of scanning allows you to scan a part by specifying a cut plane on a certain part axis and dragging the probe across the Cut Plane. As you scan the part, you should scan so that the probe crisscrosses the defined Cut Plane as many times as desired. PC-DMIS then follows this procedure:

  1. PC-DMIS gets data from the controller and finds the two data hits that are closest to the Cut Plane on either side as you crisscross.

  2. PC-DMIS then forms a line between the two hits which will pierce the Cut Plane.

  3. The pierced point then becomes a hit on the Cut Plane.

This operation happens every time you cross the Cut Plane and you will finally have many hits that are on the Cut Plane.

You can use this method to inspect multiple rows (PATCH) of scans by specifying an increment for the cut plane location. After scanning the first row, PC-DMIS will move the cut plane to the next location by adding the current location to the increment. You can then continue scanning the next row at the new Cut Plane location.

To Create a Body Axis Scan

  1. Access the Body Axis dialog box.

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. From the Axis list, select an axis. The available axes are X, Y, and Z. The cut plane that your probe will crisscross will be parallel to this axis.

  4. In the Location box, specify a distance from the defined axis where your cut plane will be located.

  5. In the Increment box, specify the distance between planes if you will be scanning across multiple planes.

  6. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  7. Set any other dialog box options as needed.

  8. Click Create. PC-DMIS inserts the basic scan.

  9. Execute your part program. When PC-DMIS executes the scan, the Execution Options dialog box appears and PC-DMIS waits for data to come from the controller.

  10. Manually drag the probe back and forth over the surface you want to scan. As the probe approaches a defined cut plane, you will hear a continual audible tone that gradually increases in pitch until the probe crosses the plane. This audible cue helps you determine how close the probe is to any cut planes. PC-DMIS will accept hits from the controller each time the probe crosses the defined plane.

See the "Common Functions of the Scan Dialog Box" topic for information on this dialog's controls.


Performing a Multisection Manual Scan

Multisection dialog box

Multisection dialog box

Display Menu Roadmap

The Insert | Scan | Multisection method of scanning functions much like the Body Axis manual scan with these differences:

  • It can cross multiple sections.

  • It does not have to be parallel to the X, Y, or Z axis.

To Create a Multisection Scan

  1. Access the Multisection dialog box.

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. From the Section Type list, choose the type of sections you want to scan. Available types include:

    • Parallel Planes - The sections are planes running through your part. Every time the probe crosses a plane, PC-DMIS records a hit. Planes are relative to the start point and direction vector. If you select this type, define the vector of the initial plane in the Initial Vectors area.

    • Radial Planes - These sections are planes radiate out from the start point. Every time the probe crosses a plane, PC-DMIS takes a hit. If you select this type, define two vectors in the Initial Vectors area. The vector of the initial plane (PlaneVec), the other, the vector around which the planes are rotated (AxisVec).

    • Concentric Circles - These sections are concentric circles with increasingly larger diameters centered around the start point. Every time the probe crosses a circle, PC-DMIS takes a hit. If you select this type, define a single vector in the Initial Vectors area which defines the plane in which the circle lies (AxisVec).

  5. In the Number of Sections box, type how many sections you want to have in your scan.

  6. If you chose at least two sections, specify the increment between sections in the Increment box. For parallel planes and circles, this is the distance between places, for radial planes this value is an angle. PC-DMIS automatically spaces the sections on the part.

  7. Define the scan's start point. In the Start Point area type the X, Y, and Z values, or click on your part to have PC-DMIS select the start point from the CAD drawing. The sections are calculated from this temporary point based on the increment value.

  8. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  9. Set any other dialog box options as needed.

  10. Click Create. PC-DMIS inserts the basic scan.

  11. Execute your part program. When PC-DMIS executes the scan, the Execution Options dialog box appears and PC-DMIS waits for data to come from the controller.

  12. Manually drag the probe over the surface you want to scan. As the probe approaches each section, you will hear a continual audible tone that gradually increases in pitch until the probe crosses the section. This audible cue helps you determine how close the probe is to a section crossing. PC-DMIS will accept hits from the controller each time the probe crosses the defined section(s).

See the "Common Functions of the Scan Dialog Box" topic for information on this dialog's controls.


Performing a Freeform Manual Scan

Manual Freeform dialog box

Manual Freeform dialog box

Display Menu Roadmap

The Insert | Scan | Manual Freeform scan lets you create a freeform scan with a hard probe. This scan doesn't require a initial or direction vector, like many of the other manual scans. Similar to it's DCC counterpart, all you need to do to create a freeform scan is to click points on the surface you wish to scan.

To create a Manual Freeform scan:

  1. Click the Advanced>> button to make the tabs at the bottom of the dialog box visible.

  2. Click on the surface of the part in the Graphics Display window to define your scan's path. With each click, an orange point appears on the part drawing.

  3. Once you have sufficient points for your scan, click Create. PC-DMIS inserts the scan into the Edit window.

See the "Common Functions of the Scan Dialog Box" topic for information on this dialog's controls.


Working with Section Cuts

The Insert | Scan | Section Cut menu item displays the Section Cut dialog box.

Section Cut dialog box

This dialog box lets you specify a cut plane that intersects with the CAD model. Along the intersection line, you can define a start and end point between which points are created. From these points you can choose to create vector point features or a Freeform scan.

Note: This process does not visually cut the CAD model in any way like the clipping plane functionality does, instead it acts as a tool to help you create Auto Vector Points or a Freeform scan along the intersection line of the cut plane and the CAD model.

More:

Description of the Section Cut Dialog Box

Creating a Section Cut


Description of the Section Cut Dialog Box

Section Cut dialog box

Item

Description

Select plane point option

This option lets you select a point on the CAD model which will become the cut plane point.

Limits area

This area lets you specify the start and end points along the intersection. You can either select the points in the Graphics Display window, or specify an arc length to precisely position the start and end point.

Select start point - This option lets you select the start point of the section cut by selecting the start point in the Graphics Display window. Select the point on the black intersection line. A red point will appear on the screen indicating the location of the start point.

Start arc length - This box lets you precisely position the start point with respect to the cut plane point. Type the arc length between the projection of the cut plane point onto the section cut and the start point. Note that you can also define a negative number.

Select end point - This option lets you specify the end point on the section cut by selecting the end point in the Graphics Display window. Select the point on the black intersection line. A magenta point will appear on the screen indicating the location of the end point.

Arc length - This box lets you precisely position end point. The value you type is the arc length between the start and end points. Note that you can also define a negative number.

Reverse Direction - Click this button to swap the direction that the arc lengths are measured from the plane point.

Point Density area

This area lets you control the point spacing and number of points computed between the start and end points.

Minimum Spacing - This option uses a minimum number of points based on the curvature of the surfaces along the section cut. If the surfaces are flat, then only two points will be created at the start and end points. If the surfaces are curved, then more points will be created. The number of points created on curved surfaces depends on the value set in the tessellation multiplier defined in the OpenGL Options dialog box. See the "Changing OpenGL Options" topic in "Setting Your Preferences" in the core documentation.

Number of points - This box lets you type the number of points you want created. PC-DMIS evenly distributes the points between the start and end points.

Point spacing - This box lets you specify the arc length between each point.

Axis spacing - This option limits the creation of the points along only the selected axis. Once you select this option the X axis, Y axis, and Z axis options become enabled. The box next to this option lets you define the spacing between points along that selected axis. For example, if you selected the X axis, then the points would be spaced along the X axis according to the value you specified.

Point Selection area

This area lets you specify the snap options for the plane, start, and end points.

Snap to edge - This check box determines whether or not PC-DMIS snaps the point to the nearest surface edge or surface boundary.

Snap to grid - This check box determines whether or not PC-DMIS snaps the point to the nearest grid intersection. This only works if you have the 3D Grid enabled in the main graphic's view, using the View Setup dialog box. See "Setting up the Screen View" topic in "Editing the CAD Display" in the core documentation.

If you select both Snap to edge and Snap to grid, PC-DMIS will snap the point to the nearest grid line that intersects a surface edge or boundary.

Plane Vector Selection area

This area lets you specify the cut plane normal vector.

X axis - This option sets the cut plane normal to the X axis vector (1,0,0).

Y axis - This option sets the cut plane normal to the Y axis vector (0,1,0).

Z axis - This option sets the cut plane normal to the Z axis vector (0,0,1).

Edge - This option sets the cut plane normal to the nearest surface boundary tangent vector. Whenever you select the plane point, the plane normal will be updated to the nearest surface boundary tangent vector.

Other - This option lets you define the cut plane normal values manually. Once selected, you can either type the IJK values in the Plane Vector area or you can click the Select button to select a feature on the CAD model to use as the normal vector.

Select - This button displays the Select Points dialog box which you can use to select a feature to use as the cut plane normal vector. This dialog box is already documented in the "Transforming a CAD Model" topic in "Editing the CAD Display" in the core documentation.

Plane Point area

This area shows the XYZ values of the plane point. You can manually modify the values by typing new values in the X, Y, and Z boxes. Note that if the point you specify does not lie on a CAD surface, the actual point that is used will be projected onto the CAD model.

Plane Vector area

This area shows the IJK values of the plane normal vector. You can manually modify these values by typing new values in the I, J, and K boxes.

Start Point area

This area displays the XYZ values of the start point. You can also use this area to define or adjust the value of the selected axis. The other two axis values will be computed from the intersection line.

End Point area

This area displays the XYZ values of the end point. You can also use this area to define or adjust the value of the selected axis. The other two axis values will be computed from the intersection line.

Output area

This area lets you determine the type of feature or features created from the section cut. PC-DMIS creates the output feature or features only after you click the Create button.

Vector points - This option specifies that vector points should be created.

Scan - This option specifies that a Freeform scan should be created from the points.

Create button

This button creates the specified feature or features from the section cut. The type of features depends on the option selected in the Output area.

Close button

This button closes the Section Cut dialog box.


Creating a Section Cut

To create a section cut, you need to define these pieces of information:

  • a cut plane

  • a start point on the section cut

  • an end point on the section cut

Step 1: Define the Cut Plane

To define the cut plane, specify a point on the plane. You can do this in two ways:

  • You can select the Select plane point option. Then click a point on the CAD model.

  • You can manually type the XYZ values in the Plane Point area.

Once defined, PC-DMIS draws a gray arrow indicating the plane point and the direction of the cut plane normal. Additionally, PC-DMIS draws a black line on the CAD model, representing the intersection of the plane (called the "Cut Plane") with the surfaces in the CAD model. Since you haven't defined the start and end points yet, the red and magenta dots, representing the start and end points respectively, will initially appear on the CAD model at the plane point's location:

A sample Plane Point (indicated by the gray arrow) and Cut Plane (indicated by the black lines) drawn atop the CAD model

Note: If the plane intersects the model in more than one location, then PC-DMIS uses the intersection closest to the plane point.

Once you define the cut plane point, you can optionally specify the cut plane's normal vector. By default, the normal vector will be (1,0,0). You can modify the normal vector this by selecting an option in the Plane Vector Selection area, thereby shifting the normal along one of the selected axes or you can define your own custom vector.

Step 2: Define the Start and End Points along the Section Cut

Now that you have the cut plane defined, you need to define a start and end point along the section cut.

You can do this using any combination of these different methods, depending on your preference to define the start and end points:

Method 1: Clicking on the CAD

  1. Choose the Select start point option and then click a point on the section cut. This defines the distance away from the Plane Point along the section cut and places that distance in the Start arc length box. PC-DMIS places the XZY values for the selected point into the Start Point area.

  2. Choose the Select end point option and then click a point on the section cut. This defines the length of the arc between the start and end point. PC-DMIS places the XYZ values for the selected point into the End Point area.

Method 2: Typing Arc Values

Define the start point by specifying the distance away from the Plane Point by typing the value in the Start arc length box. You can then define the end point, thereby specifying the arc's length, by typing the value in the Arc length box.

Method 3: Typing XYZ Values

Define the start and end points by typing the XYZ value in the Start Point and End Point areas.

A red dot appears on the CAD model representing the start point and a magenta dot appears representing the end point. Additionally, PC-DMIS draws green arrows along the section to show where the points of the section cut will be created. If the surface is curved, then several arrows will be drawnIf the surface is flat, then these green arrows will only be drawn at the start and end point (because the Point Density area has Minimum Density selected by default).

You can modify options in the Point Density area to control the number of points between the two points:

A Sample Section Cut Showing 25 Equally Spaced Points Between the Start Point (Red Dot) and the End Point (Magenta Dot)

Step 3: Define the Output and Create

  1. Select the desired output format in the Output area. The output can either be in individual Auto Vector Points or a Free Form scan containing the points.

  2. Modify any other controls as needed. These allow you to customize the parameters affecting the plane, start and end points, point spacing, and feature type created.

  3. Click Create button to create the output features or scan.

PC-DMIS creates the specified feature or features in the part program.


High Point Creation Example

A toolbar at the bottom of this window lets you control the demo. When you finish viewing this demo, click anywhere outside of this window to close it.


High Point Execution Example

click to play 14_auto_files/high_point_execution_example.avi

  • PC-DMIS will begin its search at the start point.

  • It will take eight sampling hits around the start point at the distance specified in the Increment value.

  • If a higher point is found, it becomes the new start point, and PC-DMIS again takes the eight sampling hits around the point. This continues until a higher point cannot be found at the increment distance.

  • PC-DMIS then continues taking sampling hits reducing the increment value until the it matches the tolerance value thus completing the high point search.

  • Once the search finishes, PC-DMIS displays the new high point value on the CAD model itself by moving the point ID to the found high point location within the search region.


Current Help System: PC-DMIS CMM (View Core Help)

Example of Probe Creation


Tip Highlighting in Action

In this movie, notice how the different tips become highlighted when the cursor location moves through the part program:

click to play active_tip_highlight.avi